2004-12-31  Dalibor Topic  <robilad@kaffe.org>

	* test/internal/Makefile.am (NativeMethodCall.class): Merged 
	with java/lang/System.class.
	(java/lang/System.class): Removed.

2004-12-31  Dalibor Topic  <robilad@kaffe.org>

	* test/internal/Makefile.am (NativeMethodCall.class): Added 
	dependency on java/lang/System.class.
	(java/lang/System.class): Written out source file name.

2004-12-31  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in (LD_LIBRARY_PATH): Added to
	fix bootstrap problems on OpenBSD.

	Reported by:  Riccardo Mottola <rmottola@users.sf.net>
	Suggested by:  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.
	
2004-12-30  Guilhem Lavaux  <guilhem@kaffe.org>

	* include/Makefile.am
	(NOINSTALL_DERIVED_HDRS): Added java_lang_VMClassLoader.h.

	* configure.ac: Removed the detection of broken setsockopt.

	* kaffe/kaffevm/jni/jni-string.c
	(KaffeJNI_NewStringUTF): If data is NULL we should return NULL
	directly.

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	(jthreadedAccept): Use the old implementation using select all the
	time. It looks like being the only really working way of handling
	timeouts.

	* libraries/clib/native/ClassLoader.c: Include
	java_lang_VMClassLoader.h to fix some warnings.
	
	* configure, include/Makefile.in, config/config.h.in,
	libltdl/ltdl.c: Regenerated.

2004-12-30  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/jsignal.h,
	kaffe/kaffevm/systems/unix-jthreads/signal.c:
	Brought back ignoreSignal as a global symbol but renamed it to
	KaffeJThread_ignoreSignal.

2004-12-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/gtypes.h: New intp type for signed integer that may
	represent pointers.

	* kaffe/kaffevm/thread.c
	(nameThread): Check that the thread has been linked before returning
	the name.

	* kaffe/kaffevm/kaffe-gc/gc-mem.c
	(page_alloc): Use intp instead of intptr_t as it is not available on
	all systems.
	
	* kaffe/kaffevm/kaffe-gc/gc-refs.c
	(TwalkLiveThreads): Reuse jthread_walkLiveThreads_r to highlight the
	bug on SMP.

	* kaffe/kaffevm/systems/unix-jthreads/jsignal.h: Removed ignoreSignal.

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	(jthreadedForkExec): Save the old sigmask and restore it after fork.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_create): Cleanup the thread queue if pthread_create fails.
	(jthread_suspendall): Temporarily changed logic to insure that all
	concerned threads receive the signal.

2004-12-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/sparc/jit-sparc.def: Renamed setEpilogueLabel to match the
	new symbol names.

2004-12-29  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/jsignal.h,
	kaffe/kaffevm/systems/unix-jthreads/jsignal.h,
	kaffe/kaffevm/systems/unix-pthreads/signal.c,
	kaffe/kaffevm/systems/unix-jthreads/signal.c:
	Made ignoreSignal private to signal.c. This symbol may conflict
	with Ch.

	Reported by Kabileshkumar Cheetancheri <cgkabilesh@yahoo.com>
	
2004-12-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* test/regression/ProhibitedClass.java: Changed the output to be less
	sensitive to the line number fluctuations.

2004-12-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/soft.c
	(instanceof_interface): Fixed instanceof implementation. It should
	work as expected now (tested against Ant). CSTATE_PREPARED is
	sufficient for implementors.

	* WHATSNEW: Updated NEWS entry.

2004-12-27  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/alpha/jit-alpha.def,
	config/i386/jit-i386.def,
	config/i386/jit3-i386.def,
	config/powerpc/jit3-powerpc.def,
	kaffe/kaffevm/jit/funcs.c,
	kaffe/kaffevm/jit/icode.c,
	kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/jit3/funcs.c,
	kaffe/kaffevm/jit3/icode.c,
	kaffe/kaffevm/jit3/machine.c: Adjusted calls to the new name of
	some JIT compiler symbols.

	* kaffe/kaffevm/jit/constpool.c, kaffe/kaffevm/jit/constpool.h,
	* kaffe/kaffevm/jit/labels.c, kaffe/kaffevm/jit/labels.h:
	Renamed functions to use the KaffeJIT_ prefix.

	* kaffe/kaffevm/jit/machine.h: New macro KJIT to follow the prefix name.

	* kaffe/kaffevm/jit/native-wrapper.c: Renamed calls to the JIT
	compiler using the KJIT macro.

	* kaffe/kaffevm/jit3/constpool.c, kaffe/kaffevm/jit3/constpool.h,
	kaffe/kaffevm/jit3/labels.c, kaffe/kaffevm/jit3/labels.h:
	Renamed functions to use the KaffeJIT_ prefix.

	* kaffe/kaffevm/jit3/machine.h: New macro KJIT to follow the prefix name.

	* kaffe/kaffevm/jni/jni-base.c
	(parseSize): Imported from kaffe/main.c
	(KaffeJNI_ParseArgs): Added support for debug output and stack
	size setting.
	
2004-12-25  Guilhem Lavaux  <guilhem@kaffe.org>

	* configure.ac: Fixed CPPFLAGS generation to be compatible with
	boehm's configure.

	* config/mips/irix5/md.h: Removed extra macros.

	* include/Makefile.am: Moved ObjectInputStream and
	VMObjectStreamClass to JNI headers.

	* kaffe/kaffevm/baseClasses.c: Reset dummyClassClass before using
	it.

	* kaffe/kaffevm/classMethod.c
	(processClass, resolveInterfaces): Use weak references to track
	vanishing classes.
	(processClass): Do not free explicitly the generated code anymore.
	(buildInterfaceDispatchTable): Remember the total length of the
	table. Store the parent class of the table in the first entry. 
	(computeInterfaceImplementationIndex): Store a pointer to the
	itable2dtable instead of an index.

	* kaffe/kaffevm/soft.c
	(soft_lookupinterfacemethod): Use directly the pointer in
	implementors.
	(instanceof_interface): Use implementors to directly check the
	inheritancy.

	* kaffe/kaffevm/gc.h: New type for interface table. Two new
	functions to handle weak references.

	* kaffe/kaffevm/gcFuncs.c
	(destroyClass): Do not explicitly free memory for the
	native/bytecode code. Use weak references to track classes which
	has already been freed.
	(walkMethods): Mark the bytecode _and_ the native code.
	(walkClass): Mark the dtable, the interfaces, the vtable.
	(initCollector): KGC_ALLOC_TRAMPOLINE, KGC_ALLOC_JITCODE,
	KGC_ALLOC_BYTECODE, KGC_ALLOC_INTERFACE, KGC_ALLOC_INTERFACE_TABLE
	are now dynamic.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(finishGC): Invoke KaffeGC_clearWeakRef.
	
	* kaffe/kaffevm/kaffe-gc/gc-refs.c
	(refObject): Renamed to strongRefObject.
	(refTable): Likewise.
	(weakRefObject, weakRefTable): New table.
	(KaffeGC_addWeakRef, KaffeGC_rmWeakRef): New functions.
	(KaffeGC_clearWeakRef): New function.

	* kaffe/kaffevm/boehm-gc/gc-refs.c: Like kaffe-gc/gc-refs.c

	* kaffe/kaffevm/boehm-gc/gc2.c
	(finalizeObject): Invoke KaffeGC_clearWeakRef.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_unsuspend_all): Removed mutex protection.
	(jthread_walkLiveThreads_r, jthread_walkLiveThreads): Splitted in
	a reentrant function and a non-reentrant one. (See
	jthread_unsuspend_all)
	
	* include/Makefile.in, configure: Regenerated.
	
2004-12-24  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/java/util/zip/ZipFile.java:
	  If we can't find the entry, return null for the input stream.

2004-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/plaf/metal/MetalTheme.java:
	Resynced with GNU Classpath.
	
	2004-12-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/metal/MetalTheme.java
	(getControlTextColor): Return getControlInfo().
	(getHighlightedTextColor): Return getControlTextColor().
	
2004-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/plaf/basic/BasicButtonListener.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonUI.java:
	Resynced with GNU Classpath.
	
	2004-12-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicButtonListener.java
	(BasicButtonListener): New constructor.
	* javax/swing/plaf/basic/BasicButtonUI.java
	(createButtonListener): Usw new BasicButtonListener constructor.

2004-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/MemoryImageSource.java:
	Resynced with GNU Classpath.
	
	2004-12-23  Michael Koch  <konqueror@gmx.de>

	* java/awt/image/MemoryImageSource.java: Reformatted.
	
2004-12-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/tree/TreeCellEditor.java:
	Resynced with GNU Classpath.
	
	2004-12-23  Michael Koch  <konqueror@gmx.de>

	* javax/swing/tree/TreeCellEditor.java: Refomatted.

2004-12-23  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/verifier/verify-block.c
	(ensureOpstackSizeErrorInVerifyBasicBlock, 
	opstackPeekTBlindErrorInVerifyBasicBlock): No longer 
	inlined. That fixes gcc warnings.

2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JTable.java:
	Resynced with GNU Classpath.
	
	2004-12-22  Michael Koch  <konqueror@gmx.de>
	    Olga Rodimina  <rodimina@redhat.com>

	* javax/swing/JTable.java
	(editorComp): New field.
	(JTable): Initialize local variables and call updateUI
	(selectionBackground): Make protected.
	(selectionForeground): Likewise.
	(initializeLocalVars): Create default editors and renderers,
	initialize editingColumn, editingRow variables.
	(createDefaultEditors): New Method.
	(createDefaultRenderers): Likewise.
	(createDefaultListSelectionModel): Removed
	(createDefaultSelectionModel): New Method.
	(createDefaultTableHeader): Likewise
	(removeColumn): Likewise.
	(getEditingColumn): Likewise.
	(setEditingColumn): Likewise.
	(getEditingRow): Likewise.
	(setEditingRow): Likewise.
	(getEditorComponent): Likewise.
	(isEditing): Likewise.
	(setDefaultEditor): Likewise.
	(addColumnSelectionInterval): Likewise.
	(addRowSelectionInterval): Likewise.
	(setColumnSelectionInterval): Likewise.
	(setRowSelectionInterval): Likewise.
	(removeColumnSelectionInterval): Likewise.
	(removeRowSelectionInterval): Likewise.
	(isColumnSelected): Likewise.
	(isRowSelected): Likewise.
	(isCellSelected): Likewise.
	(selectAll): Likewise.

2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/plaf/metal/MetalTheme.java
	libraries/javalib/javax/swing/plaf/metal/DefaultMetalTheme.java,
	libraries/javalib/javax/swing/plaf/metal/MetalLookAndFeel.java:
	Resynced with GNU Classpath.
	
	2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/metal/MetalTheme.java,
	javax/swing/plaf/metal/DefaultMetalTheme.java:
	New files.
	* javax/swing/plaf/metal/MetalLookAndFeel.java:
	Implemented all color resource getter methods.
	
2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JFileChooser.java:
	Resynced with GNU Classpath.
	
	2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFileChooser.java
	(showDialog): Return CANCEL_OPTION for now.
	(showOpenDialog): Likewise.
	(showSaveDialog): Likewise.
	
2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JTextField.java:
	Resynced with GNU Classpath.

	2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JTextField.java (getPreferredSize):
	Re-implemented.

2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/plaf/basic/BasicEditorPaneUI.java:
	Resynced with GNU Classpath.

	2004-12-22  Michael Koch  <konqueror@gmx.de>

	* javax/swing/plaf/basic/BasicEditorPaneUI.java: New file.
	
2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JLabel.java:
	Resynced with GNU Classpath.

	2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JLabel.java (setDisplayedMnemoic):
	Make text upper case before searching mnemonic character.
	
2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JLabel.java:
	Resynced with GNU Classpath.
	
	2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JLabel.java
	(setDisplayedMnemonicIndex): Handle index == -1 and fire
	PropertyChangeEvent after property got set to the new index.
	(setDisplayedMnemonic): Use only upper case characters.
	
2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JApplet.java,
	libraries/javalib/javax/swing/JInternalFrame.java,
	libraries/javalib/javax/swing/JWindow.java:
	Resynced with GNU Classpath.

	2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFrame.java
	(setDefaultLookAndFeelDecorated): Removed wrong code again.
	* javax/swing/JInternalFrame.java
	(setDefaultCloseOperation): Fixed typo.

	2004-12-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JApplet.java
	(HIDE_ON_CLOSE): Removed.
	(EXIT_ON_CLOSE): Likewise.
	(DISPOSE_ON_CLOSE): Likewise.
	(DO_NOTHING_ON_CLOSE): Likewise.
	(close_action): Likewise.
	(getDefaultCloseOperation): Likewise.
	(setDefaultCloseOperation): Likewise.
	(processWindowEvent): Likewise.
	(getPreferredSize): Simplified.
	* javax/swing/JDialog.java
	(setDefaultLookAndFeelDecorated): Throw exception on wrong argument
	value.
	* javax/swing/JFrame.java
	(setDefaultLookAndFeelDecorated): Likewise.
	* javax/swing/JInternalFrame.java
	(setDefaultCloseOperation): Fixed throwing exception on wrong argument
	value.
	* javax/swing/JWindow.java
	(HIDE_ON_CLOSE): Removed.
	(EXIT_ON_CLOSE): Likewise.
	(DISPOSE_ON_CLOSE): Likewise.
	(DO_NOTHING_ON_CLOSE): Likewise.
	(close_action): Likewise.
	(processKeyEvent): Likewise.
	(setDefaultCloseOperation): Likewise.
	(getPreferredSize): Simplified.

2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Disable gjdoc by default because it needs 
	external ANTLR.

	* configure: Regenerated.

2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* m4/ac_prog_javac.m4,
	m4/ac_prog_javac_works.m4:
	Added missing m4 macros.

	Reported by:  Davanum Srinivas  <davanum@gmail.com>

	* THIRDPARTY: Added notes for new macros.

	* aclocal.m4,
	configure,
	config/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/Makefile.in,
	libltdl/aclocal.m4,
	libltdl/configure,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/classpath/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-12-22  Dalibor Topic  <robilad@kaffe.org>

        * m4/ac_prog_antlr.m4:
	Fixed detection of ANTLR when antlr.jar is on CLASSPATH
	but not among the directories looked at.

        * configure,
        libraries/javalib/Makefile.am,
        libraries/javalib/Makefile.in,
        libraries/javalib/rebuildLib.in:
	Regenerated.
	
2004-12-22  Dalibor Topic  <robilad@kaffe.org>

	* m4/ac_prog_antlr.m4,
	m4/ac_prog_java.m4,
	m4/ac_prog_java_works.m4,
	tools/gjdoc/javalib/java.lang-classes-1.2.txt,
	tools/gjdoc/javalib/java.lang-classes-1.3.txt,
	tools/gjdoc/javalib/java.lang-classes-1.4.txt,
	tools/gjdoc/javalib/java.lang-classes-1.5.txt,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOptionPackageWildcard.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/InlineTagRenderer.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/debugdoclet,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlTagletContext.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocReflectedImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ValueTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/expr,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/CodeTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/GnuExtendedTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/ValueTaglet.java,
	tools/gjdoc/javalib/htmldoclet/gjdoc.js,
	tools/gjdoc/javalib/htmldoclet/gjdochtml-clean-color1.css,
	tools/gjdoc/javalib/htmldoclet/gjdochtml-clean-layout.css,
	tools/gjdoc/javalib/htmldoclet/inherit.png:
	New files taken from gjdoc.

	* THIRDPARTY: Added ANTLR reference.

	* configure.ac: Check for ANTLR when building gjdoc.

	* tools/gjdoc/javalib/Makefile.am:
	Added new resources, classes and adapted build to use
	ANTLR.
	
	* Makefile.in,
	aclocal.m4,
	configure,
	config/Makefile.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/Makefile.in,
	libltdl/aclocal.m4,
	libltdl/configure,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/classpath/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

	tools/gjdoc/javalib/com/sun/javadoc/ClassDoc.java,
	tools/gjdoc/javalib/com/sun/javadoc/FieldDoc.java,
	tools/gjdoc/javalib/com/sun/javadoc/Type.java,
	tools/gjdoc/javalib/gnu/classpath/tools/IOToolkit.java,
	tools/gjdoc/javalib/gnu/classpath/tools/NotifyingInputStreamReader.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/AbstractDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOptionColonSeparated.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/PackageMatcher.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/CssClass.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/Driver.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/AbstractTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocProxy.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/DocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/FieldDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/LinkTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Main.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/MemberDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ParseException.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Parser.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ProgramElementDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/RootDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/SeeTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/TagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ThrowsTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/TypeImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/java2xhtml/Java2xhtml.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/SinceTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/TagletContext.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/VersionTaglet.java,
	tools/gjdoc/javalib/htmldoclet/help.xhtml:
	Resynced with gjdoc.

	2004-12-21  Julian Scheid <julian@sektor37.de>

	* acinclude.m4: remove dependency on grep supporting -o; do not
	complain if no antlr.jar is found.

	2004-12-21  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: add
	standard taglet for @return tags.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	properly output @return tags.

	* src/gnu/classpath/tools/gjdoc/ClassDocReflectedImpl.java: add
	method newInstance().

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: remove debug
	output; add resolution mechanism for .* imports.

	2004-12-20  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/AbstractTagImpl.java: temporary
	fix for inlineTags() sometimes returnining null.

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: rewrite of
	findClass(); findExecutableRec(), findConstructor() and
	findMethod() no longer assume that the member is part of a
	ClassDocImpl; add getter and setter for importStatementList.

	* src/gnu/classpath/tools/gjdoc/ClassDocProxy.java: remove dead
	code in compareTo(); resolve qualifiedName in constructor; minor
	reformatting.

	* src/gnu/classpath/tools/gjdoc/ClassDocReflectedImpl.java:
	initial version.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: use char[] instead
	of StringBuffer; write raw comment into cache depending on
	Main.isCacheRawComments(); cache source files.

	* src/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java: no
	longer assume that the member is part of a ClassDocImpl.

	* src/gnu/classpath/tools/gjdoc/FieldDocImpl.java: remove debug
	code.

	* src/gnu/classpath/tools/gjdoc/Main.java: added
	isCacheRawComments(); added System.exit(0) at end of main(); catch
	Throwables in addition to Exceptions in main().

	* src/gnu/classpath/tools/gjdoc/MemberDocImpl.java: fix bug which
	would lead to an ArrayIndexOutOfBoundsException.

	* src/gnu/classpath/tools/gjdoc/Parser.java: add import statements
	to ClassDocImpl; cope with empty statements at top-level; handle
	escaped single and double quotes in field constants; accelerate
	whitespace detection.

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: complete
	overhaul of class resolution mechanism; introducing fall-back to
	reflection if source code not available.

	* src/gnu/classpath/tools/gjdoc/ThrowsTagImpl.java: no longer
	assume that referenced exception is a ClassDocImpl.

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java:
	optimizations to index building; removed debug message.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	fixed NPE.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	optimization test.

	2004-12-17  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: added
	methods isSinglePackage(), getSinglePackage().

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	output trimmed documentation if only one package is being
	documented.

	2004-12-17  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: fixed
	method name.

	2004-12-17  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: add
	methods createHrefString(String,String) and
	createHrefString(String,String,String).

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: add
	method createTypeHref; add hyperlink to inherited member table
	headers.

	2004-12-17  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: add method
	getImplementedInterfaces().

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	class for sub-table headers.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: list
	inherited fields and inherited nested classes; show "member
	summary" headers even if only inherited members are listed; use
	smaller heading for inherited member table; add "class" or
	"interface" to modifiers for nested classes.

	* src/com/sun/javadoc/ClassDoc.java: add innerClasses(boolean).
	
	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: implement
	innerClasses(boolean); treat inner classes as included when they
	are protected, no matter what access level mask has been
	specified.

	* src/gnu/classpath/tools/gjdoc/ClassDocProxy.java: implement
	innerClasses(boolean) dummy.

	* src/gnu/classpath/tools/gjdoc/FieldDocImpl.java: treat fields as
	public if they are members of an interface.

	* src/gnu/classpath/tools/gjdoc/MemberDocImpl.java: remove
	commented out code.

	* src/gnu/classpath/tools/gjdoc/Parser.java: support for
	unfiltered inner classes; correctly filter inner classes.

	* src/resources/htmldoclet/gjdochtml-clean-color1.css: add style
	for sub-table headers.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: likewise.

	2004-12-17  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: add
	window title to all page titles if specified; sort member details
	by name; output serialized form page; link to serialized form page
	from class page.

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: register
	serial tag; call tag output method even if tags are empty; add
	findField() method.

	* src/gnu/classpath/tools/doclets/debugdoclet/DebugDoclet.java:
	output fields and serialized fields.

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	CSS classes for serialized form page.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: add
	method span(CssClass, String).

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlTagletContext.java: 
	store whether context is serialized form page.

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: fix a bug which
	would result in an incorrect SourcePosition; add readExternal,
	writeExternal, and writeObject to serialization methods.

	* src/gnu/classpath/tools/gjdoc/MemberDocImpl.java: improved
	comparison.

	* src/gnu/classpath/tools/gjdoc/Parser.java: treat readExternal,
	writeExternal and writeObject as serialization method candidates.

	* src/resources/htmldoclet/gjdochtml-clean-color1.css: add styles
	for serialized form page.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: likewise.
	
	2004-12-16  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java:
	tweaked CSS classes, added new class.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: hide
	link to package overview on index page(s); categorize class menu
	for packages.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: smaller
	font for menu pages.

	2004-12-16  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	remove commented code.

	2004-12-16  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: collect
	implementing classes in separate pass.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	remove inefficient collection of implementing classes.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java:
	added new CSS classes.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	further improved generated HTML.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	added beginRow(CssClass).

	* src/resources/htmldoclet/gjdochtml-clean-color1.css: various
	improvements.

	* src/resources/htmldoclet/gjdochtml-clean-layout.css: likewise.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java:
	added various CSS classes.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	improved generated HTML.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	include default CSS stylesheets.

	* src/resources/htmldoclet/gjdochtml-clean-color1.css:
	* src/resources/htmldoclet/gjdochtml-clean-layout.css:
	* src/resources/htmldoclet/inherit.png:
	initial version.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/NotifyingInputStreamReader.java: fix bug
	which would result in an endless loop under certain conditions;
	fix bug in event listener registration/deregistration.

	* src/gnu/classpath/tools/IOToolkit.java: add methods
	getLineFromFile(), getColumnDisplayLine().

	* src/gnu/classpath/tools/gjdoc/Parser.java: output warning on
	malformed input.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: fix
	window title, omit title for menu pages; copy resources to own
	subdirectory; copy javascript file.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	include javascript; invoke javascript function when page is
	loaded.

	* src/resources/htmldoclet/gjdoc.js: copied from
	src/resources/doctranslets/html/res/gjdoc.js; only set title if
	not null.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	support @linkplain tags.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: likewise.

	* src/gnu/classpath/tools/gjdoc/LinkTagImpl.java: likewise.

	* src/gnu/classpath/tools/gjdoc/SeeTagImpl.java: fix bug in label
	detection.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: add
	navigation bar to about page and help page.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java: add
	method insert(Reader).

	* src/resources/htmldoclet/help.xhtml: replaced outer body tag by
	p tag.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: added
	getThrownExceptions(), isUncheckedException().

	* src/gnu/classpath/tools/doclets/debugdoclet/DebugDoclet.java:
	output thrown exceptions.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	output "throws" information for unchecked exceptions. remove debug
	output.

	2004-12-15  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: added
	getSortedMethods(), getSortedConstructors(), getSortedFields(),
	getSortedInnerClasses(); removed bogus comment; special handling
	for standard taglets.

	* src/gnu/classpath/tools/doclets/DocletOptionPackageWildcard.java:
	add isSpecified().

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: added
	various CSS classes.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: list
	inhertited methods properly for interfaces; fix bug in "specified
	by" list; sort methods/fields/constructors; add inline deprecated
	information; add see also information; list nested classes;
	improved layout.

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: remove
	interface sorting; properly handle empty method and constructor
	signatures; improved comparison.

	* src/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java:
	improved comparison.

	* src/gnu/classpath/tools/gjdoc/Parser.java: removed array
	sorting.

	* src/gnu/classpath/tools/gjdoc/SeeTagImpl.java: improved
	reference resolution.

	* src/gnu/classpath/tools/taglets/ValueTaglet.java: corrected
	copyright notice.

	2004-12-14  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Main.java: support option
	-classpath.

	2004-12-14  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/debugdoclet/DebugDoclet.java:
	Initial version.
	
	2004-12-14  Julian Scheid <julian@sektor37.de>

	* Makefile.am: add new files.

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: made
	tagletMap accessible to subclasses; pass tag renderer to
	SinceTaglet; adapt to new TagletContext architecture; collect
	information about relationship between classes interfaces.

	* src/gnu/classpath/tools/taglets/TagletContext.java: revamped
	Taglet rendering.
		
	* src/gnu/classpath/tools/taglets/SinceTaglet.java: likewise.

	* src/gnu/classpath/tools/gjdoc/TagImpl.java: likewise.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: likewise.

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: likewise.

	* src/gnu/classpath/tools/gjdoc/SeeTagImpl.java: allow access to
	reference text; remove debug code.

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: improve
	sorting; allow multiple "extends" for interfaces; make all
	interface members public.

	* src/gnu/classpath/tools/doclets/InlineTagRenderer.java: 
	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlTagletContext.java:
	* src/gnu/classpath/tools/gjdoc/ValueTagImpl.java:
	* src/gnu/classpath/tools/taglets/CodeTaglet.java:
	* src/gnu/classpath/tools/taglets/GnuExtendedTaglet.java:
	initial version.

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: added
	various CSS classes.

	* src/gnu/classpath/tools/gjdoc/expr/ConstantInteger.java: return
	new Integer instead of new Long().

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	various improvements to generated HTML code; improve tag
	rendering; show superinterfaces, subinterfaces, implementing
	classes;

	2004-12-13  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: remove debug
	output.

	2004-12-13  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: add missing
	imports.

	* src/gnu/classpath/tools/doclets/DocletOptionPackageWildcard.java:
	likewise.

	* src/gnu/classpath/tools/gjdoc/Main.java: remove support for
	class names on command line and update usage information; complain
	if no classes can be found.

	* src/gnu/classpath/tools/gjdoc/ParseException.java: add default
	constructor.

	* src/gnu/classpath/tools/gjdoc/Parser.java: compare specified
	package name and actual package name in source file, ignore source
	and emit warning on mismatch.

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: likewise.
	
	2004-12-13  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: removed
	bogus comment at eof.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	added options -title for backwards compatibility; added dummy
	implementation of -noserialwarn; removed "Running HtmlDoclet"
	notice.

	2004-12-13  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	implemented option -nocomment.

	2004-12-13  Julian Scheid <julian@sektor37.de>

	* Makefile.am: added new files.

	* src/gnu/classpath/tools/doclets/PackageMatcher.java
	
	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: minor
	refactoring due to above.
	
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: likewise.
	
	* src/gnu/classpath/tools/doclets/DocletOptionPackageWildcard.java:
	add missing import; catch InvalidPackageWildcardException; minor
	refactoring.

	2004-12-13  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/DocletOptionColonSeparated.java:
	replace "subdirs" naming with the more neutral "components".

	* src/gnu/classpath/tools/doclets/DocletOptionPackageWildcard.java:
	initial version.

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: implemented
	option -noqualifier.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	likewise.

	* src/gnu/classpath/tools/gjdoc/Main.java: add option -noqualifier
	to usage.

	2004-12-13  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: added missing
	imports.
	
	2004-12-13  Julian Scheid <julian@sektor37.de>

	* acinclude.m4: added AC_PROG_ANTLR macro.

	* configure.ac: added call to AC_PROG_ANTLR macro.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	added border to all tables except navigation bar; added tooltip to
	type links; added some missing CSS classes; added "implements" to
	tree; improved tree formatting; added links to package trees from
	full tree; added "All Classes" link to package menu; fixed
	double-slash in URLs;general HTML improvements; italics for
	interfaces in class menu; added inheritance tree to class page;
	added "enclosing class" to class page; added missing type to field
	details; only output parameters if @param tag is present; better
	status output. show "(package private)" for package private
	elements.
	
	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: added
	new CSS classes; support for templates with two nested tags (inner
	elements).
	
	* src/com/sun/javadoc/FieldDoc.java: added method
	constantValueExpression()

	* src/com/sun/javadoc/Type.java: added method isPrimitive().

	* src/gnu/classpath/tools/taglets/SinceTaglet.java: fixed wrong
	HTML close tag.

	* src/gnu/classpath/tools/taglets/VersionTaglet.java: changed CSS
	class in HTML code.

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: implemented
	isPrimitive(); minor reformatting; added methods getValue(),
	findFieldValue().

	* src/gnu/classpath/tools/gjdoc/ClassDocProxy.java: implemented
	isPrimitive(); properly implemented compareTo(Object).

	* src/gnu/classpath/tools/gjdoc/FieldDocImpl.java: support for
	field value literal extraction; minor reformatting; implements
	constantValue(), constantValueExpression(); override isStatic()
	and isFinal() to always return true for fields in interfaces.

	* src/gnu/classpath/tools/gjdoc/Parser.java: support for field
	value literal extraction.

	* src/gnu/classpath/tools/gjdoc/ProgramElementDocImpl.java: fix
	swapped package private/private modifier; use isStatic() and
	isFinal() methods instead of isStatic and isFinal fields for
	determining modifier.

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: minor
	reformatting.

	* src/gnu/classpath/tools/gjdoc/TypeImpl.java: implement
	isPrimitive().

	* src/gnu/classpath/tools/gjdoc/expr/AdditionExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/AndExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryBitwiseExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryComputationExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryEqualityExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryLogicalExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryRelationExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BinaryShiftExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/BitShiftRightExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConditionalExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantBoolean.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantByte.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantChar.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantDouble.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantFloat.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantInteger.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantLong.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantNull.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantShort.java:
	* src/gnu/classpath/tools/gjdoc/expr/ConstantString.java:
	* src/gnu/classpath/tools/gjdoc/expr/Context.java:
	* src/gnu/classpath/tools/gjdoc/expr/DivisionExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/EqualExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/Evaluator.java:
	* src/gnu/classpath/tools/gjdoc/expr/EvaluatorEnvironment.java:
	* src/gnu/classpath/tools/gjdoc/expr/ExclusiveOrExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/Expression.java:
	* src/gnu/classpath/tools/gjdoc/expr/GreaterThanExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/GreaterThanOrEqualExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/IdentifierExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/IllegalExpressionException.java:
	* src/gnu/classpath/tools/gjdoc/expr/InclusiveOrExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/LessThanExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/LessThanOrEqualExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/LogicalAndExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/LogicalNotExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/LogicalOrExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/ModuloExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/MultiplicationExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/NegateExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/NotEqualExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/NotExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/ShiftLeftExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/ShiftRightExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/SubtractionExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/Type.java:
	* src/gnu/classpath/tools/gjdoc/expr/TypeCastExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/UnaryExpression.java:
	* src/gnu/classpath/tools/gjdoc/expr/UnknownIdentifierException.java:
	* src/gnu/classpath/tools/gjdoc/expr/java-expression.g:
	Initial version.
	
	2004-12-11  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/java2xhtml/Java2xhtml.java: removed
	unnecessary toString() call; sized output StringBuffer more
	generously.
	
2004-12-21  Timothy S. Stack  <stack@cs.utah.edu>

	* kaffe/kaffeh/support.c, kaffe/kaffevm/file.h,
	kaffe/kaffevm/file.c, kaffe/kaffevm/jni/jni.c,
	libraries/clib/native/ClassLoader.c:
	Be really pedantic about handling const variables and slots in the
	classFile struct.
	
	* kaffe/kaffevm/findInJar.c:
	Revert a couple changes from 1.63.

	* kaffe/kaffevm/external.c:
	Remove const from libraryPath variable.

	* kaffe/kaffevm/jit3/machine.c:
	Add const to engine_name variable.

2004-12-21  Timothy S. Stack  <stack@cs.utah.edu>

	* kaffe/kaffevm/jit/machine.h, kaffe/kaffevm/jit/machine.c:
	Add jitCodeHeader support.

	* kaffe/kaffevm/jit/native-wrapper.c:
	Put ifdef guards around the initFakeCalls call since it isn't
	available in jit1.

	* kaffe/kaffevm/jit3/machine.c:
	Remove dead code.

	* kaffe/kaffevm/jit3/machine.h:
	Add initFakeCalls proto and HAVE_FAKE_CALLS define.
	
2004-12-21  Timothy S. Stack  <stack@cs.utah.edu>

	* kaffe/kaffevm/external.c:
	Fix a typo.
	
2004-12-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/Klasses.jar.bootstrap: Regenerated.

	* libraries/javalib/bootstrap.classlist: Added two missing classes
	for KJC.
	
2004-12-21  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/clib/native/Class.c
	(getProtectionDomain): Fixed return type.

	* libraries/javalib/Makefile.am.in: Removed an extra '\'.

	* libraries/javalib/Klasses.jar.bootstrap,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.

	* libraries/javalib/all.files:
	Added missing files for KJC.

	* libraries/javalib/bootstrap.classlist: 
	Added missing files to bootstrap with KJC.

2004-12-21  Helmer Kraemer  <hkraemer@freenet.de>

	Merged java.lang.ClassLoader from GNU Classpath

	* kaffe/kaffevm/external.c, kaffe/kaffevm/external.h, kaffe/kaffevm/classPool.c,
	kaffe/kaffe/main.c: keep track of the associated class loader of a native library;
	unload native libraries when a class loader is gced, throw an exception if a
	library is loaded by more than one class loader
	
	* kaffe/kaffevm/gcFuncs.c, kaffe/kaffevm/classMethod.h: add protectionDomain field
	to Hjava_lang_Class

	* libraries/javalib/kaffe/lang/ThreadStack.java, kaffe/kaffevm/thread.c: use
	ClassLoader.getSystemClassLoader instead of AppClassLoader.getSingleton so we
	don't mess up the initialization order of the runtime library

	* libraries/javalib/java/lang/ClassLoader.java, gnu/java/util/DoubleEnumeration.java:
	new files, taken from GNU classpath

	* libraries/javalib/java/lang/VMClassLoader.java: new file

	* libraries/javalib/java/lang/Class.java, libraries/clib/native/Class.c,
	libraries/clib/native/ClassLoader.c: updated to class loader changes

	* libraries/javalib/kaffe/lang/PrimordialClassLoader.java: deny loading of classes
	from the gnu.classpath package
	
	* libraries/javalib/java/lang/System.java, libraries/javalib/java/lang/Runtime.java:
	moved handling of native libraries into java.lang.Runtime.
	
	* libraries/javalib/java/lang/NativeLibrary.java,
	libraries/clib/native/NativeLibrary.c: removed

	* libraries/javalib/bootstrap.classlist, libraries/javalib/all.files,
	libraries/javalib/Makefile.am, libraries/javalib/Makefile.in, include/Makefile.am,
	include/Makefile.in: updated

	* test/regression/ProcessClassInst.java, test/regression/ProcessClassStop.java,
	ProhibitedClass.java: updated expected output

	* test/regression/KaffeInternal.java: check that access to gnu.classpath
	package is denied for non-bootstrap classes

	* test/regression/Makefile.am, test/regression/Makefile.in,
	test/regression/PrimordialLoaderTest.java: new test case for the java
	interface to the primordial class loader

2004-12-21  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/threadData.h (THREAD_DATA_INITIALIZED): new macro

	* kaffe/kaffevm/kaffe-gc/gc-refs.c (liveThreadWalker): properly handle
	partially initialized threads

	Reported by: Alexander Boettcher <ab764283@os.inf.tu-dresden.de>
	
2004-12-21  Adam Heath  <doogie@brainfood.com>

	* AUTHORS:
	  Added myself.

2004-12-21  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/classMethod.c, kaffe/kaffevm/findInJar.c,
	  kaffe/kaffevm/gc.h, kaffe/kaffevm/gcFuncs.c,
	  kaffe/kaffevm/hashtab.c, kaffe/kaffevm/jar.c, kaffe/kaffevm/jar.h,
	  kaffe/kaffevm/stackTrace.c, kaffe/kaffevm/string.c,
	  kaffe/kaffevm/stringSupport.h, kaffe/kaffevm/jit3/machine.c,
	  kaffe/kaffevm/jni/jni-string.c, kaffe/kaffevm/jni/jni.c,
	  kaffe/kaffevm/jni/jni_funcs.h,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  libraries/clib/net/PlainSocketImpl.c:
	  Various gcc and sparse fixes all over the board.

2004-12-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/text/DefaultStyledDocument.java:
        Resynced with GNU Classpath

	2004-12-21  Michael Koch  <konqueror@gmx.de>

        * javax/swing/text/DefaultStyledDocument.java:
        New file.

2004-12-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JComboBox.java:
        Resynced with GNU Classpath

	2004-12-19  Robert Schuster <thebohemian@gmx.net>

        * javax/swing/JComboBox.java:
        (JComboBox): Removed selection of the
        first item in the model.

2004-12-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/iso4217.properties:
	Resynced with GNU Classpath

	* kaffe/kaffeh/Makefile.am:
	Added include path to config.h.

	* libraries/javalib/Makefile.am.in,
	Added JAR command for iso4217.properties.

	* kaffe/kaffeh/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	test/internal/Makefile.in:
	Regenerated.

	2004-12-19  Michael Koch  <konqueror@gmx.de>

        * resource/java/util/iso4217.properties:
        New file.

	* libraries/javalib/java/util/Currency.java:
	(static) Simplified a tiny bit.

2004-12-20  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/classMethod.c, kaffe/kaffevm/classMethod.h,
	  kaffe/kaffevm/external.c, kaffe/kaffevm/itypes.c,
	  kaffe/kaffevm/kaffe.def, kaffe/kaffevm/soft.c,
	  kaffe/kaffevm/thread.c, kaffe/kaffevm/jit/methodcalls.c,
	  kaffe/kaffevm/jit3/icode.c, kaffe/kaffevm/jit3/machine.c,
	  kaffe/kaffevm/jit3/registers.c, kaffe/kaffevm/jit3/slots.c,
	  kaffe/kaffevm/jit3/slots.h, kaffe/kaffevm/kaffe-gc/gc-mem.c,
	  kaffe/kaffevm/systems/unix-jthreads/jthread.c,
	  kaffe/kaffevm/systems/unix-jthreads/jthread.h,
	  kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-internal.h,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  libraries/clib/native/ByteToCharIconv.c,
	  libraries/clib/native/CharToByteIconv.c,
	  libraries/clib/native/Class.c,
	  libraries/clib/native/Float.c,
	  libraries/clib/native/NativeLibrary.c,
	  libraries/clib/native/Object.c,
	  libraries/clib/native/System.c,
	  libraries/clib/net/PlainDatagramSocketImpl.c,
	  libraries/clib/security/kaffe_md5.c,
	  libraries/clib/security/sha-1.c, replace/getaddrinfo.c:
	  Various gcc and sparse fixes all over the board.

2004-12-20  Adam Heath  <doogie@brainfood.com>

	* libltdl/ltdl.c:
	  Dalibor's last checkin included an older version of this file by
	  mistake, reverting.

2004-12-20  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/classMethod.c, kaffe/kaffevm/classMethod.h
	  kaffe/kaffevm/itypes.c, kaffe/kaffevm/kaffe.def,
	  kaffe/kaffevm/soft.c, kaffe/kaffevm/thread.c,
	  kaffe/kaffevm/jit/methodcalls.c, kaffe/kaffevm/jit3/icode.c,
	  kaffe/kaffevm/jit3/machine.c, kaffe/kaffevm/jit3/registers.c,
	  kaffe/kaffevm/jit3/slots.c, kaffe/kaffevm/jit3/slots.h,
	  kaffe/kaffevm/kaffe-gc/gc-mem.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-internal.h,
	  libraries/clib/native/ByteToCharIconv.c,
	  libraries/clib/native/CharToByteIconv.c,
	  libraries/clib/native/Class.c, libraries/clib/native/Float.c,
	  libraries/clib/native/Object.c, libraries/clib/native/System.c,
	  libraries/clib/net/PlainDatagramSocketImpl.c,
	  replace/getaddrinfo.c:
	  Various gcc and sparse fixes all over the board.

2004-12-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Currency.java:
	Resynced with GNU Classpath.

	2004-12-19  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/util/Currency.java
        New implementation of this class so as to
        use iso4271.properties.

2004-12-21  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JComboBox.java,
	libraries/javalib/javax/swing/DefaultComboBoxModel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxUI.java:
	Resynced with GNU Classpath.

	2004-12-18  Robert Schuster <thebohemian@gmx.net>

        * javax/swing/JComboBox.java
        added support for no item being selected
        (JComboBox): select first or nothing depending on element
        count
        (setModel): cleaned up unneeded "this." usage, added more
        docs, made exception behavior match that of the JDK
        (setLighWeightPopupEnabled): removed unneeded "this." usage
        (setEditable): dito
        (setMaximumRowCount): dito
        (setRenderer): dito
        (setPrototypeDisplayValue): dito
        (getSelectedItem): simplified, added more user doc
        (setSelectedIndex): corrected exception behavior, added more user
        doc
        (getSelectedIndex): fixed hardcoded dependency on DefaultComboBoxModel
         (see bug #11255), added performance warning to user doc
        (addItem): fixed exception behavior, added user doc
        (insertItemAt): dito
        (removeItem): dito
        (removeItemAt): dito
        (removeAll): fixed exception behavior, added user doc, added support
        for model not being instance of DefaultComboBoxModel (see bug #11255)
        (getSelectedItemObjects): simplified
        (getItemCount): fixed dependency on DefaultComboBoxModel (see bug #11255)
        (getItemAt): fixed dependency on MutableComboBoxModel (see bug #11255)
        * javax/swing/DefaultComboBoxModel.java:
        (setSelectedItem): updates selected item only if new
        value is null or known (match JDK behavior)
        * javax/swing/plaf/basic/BasicComboBoxUI.java:
        (paintCurrentValue): renders "" if no item is selected

2004-12-20  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	  Fix problem reported by Michael Franz <mvfranz@gmail.com;
	  missing ';' after DBG call for systems using FIOASYNC.

2004-12-20  Timothy S. Stack  <stack@cs.utah.edu>

	* config/powerpc/jit-labels.h:
	Moved label handling code into here so it's easier to change
	without having to recompile the whole tree.

	* config/powerpc/jit.h:
	Linux-specific changes, will probably break OS X compat.  Moved
	out label handling macros.  Fixed SLOT2LOCALOFFSET macro for
	linux.

	* config/powerpc/jit3-icode.h: 
	Fix broken I26const_rangecheck macro.  Don't undef HAVE_call_ref.

	* config/powerpc/jit3-powerpc.def:
	Updates for linux/ppc.

	* config/powerpc/ppc_isa.h:
	Macros now print the current function name.

	* config/powerpc/ppc_macros.h:
	Add ppc_b26 macro.

	* config/powerpc/ppc_stack_frame.h:
	Add linux specific stack frame structure.

	* config/powerpc/sysdepCallMethod.h:
	Break sysdepCallMethod function into __APPLE__ and non-Apple
	functions, so I can wrap my puny brain around what's going on.

	* config/powerpc/trampolines.c, config/powerpc/linux/jit3-md.h,
	config/powerpc/linux/md.h, config/powerpc/linux/md.c:
	Updates for linux/ppc.

	* developers/mnemonicizer.awk:
	Add the function name to the debugging printfs.

	* kaffe/kaffevm/classMethod.h, kaffe/kaffevm/stackTrace.c,
	kaffe/kaffevm/jit3/machine.h, kaffe/kaffevm/jit3/machine.c:
	Add an explicit header structure to jitted code.

	* kaffe/kaffevm/jit/native-wrapper.c:
	Must call initFakeCalls() to reinitialize fake-call state.

	* test/internal/ControlFlowMethods.java,
	test/internal/Exceptions.java:
	Move stuff that throws exceptions to Exceptions.java since they
	require more things to work correctly.

	* test/internal/Makefile.am, test/internal/Makefile.in:
	Add NativeMethodCall and Exceptions tests.

	* test/internal/NativeMethodCall.java, test/internal/System.java:
	Test for calling native methods.

	* test/internal/ObjectFields.java:
	More test cases.

	* test/internal/TypeConversion.java:
	Add critical comment so that certain dummies don't make changes
	that distort the test case.

	* test/internal/jitBasic.c:
	Deal better with endianess when comparing things.

	* test/internal/jit_stub.c:
	Statically load java.lang.System (our stripped version atleast),
	java.lang.Float, and java.lang.Double.

2004-12-20  Adam Heath  <doogie@brainfood.com>

	* TODO:
	  Add test case to write: Calendar.getInstance().get(YEAR) returning
	  non-zero.

2004-12-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/native/gnu_classpath_VMSystemProperties.c
	(Java_gnu_classpath_VMSystemProperties_getLocale) Fixed to actually
	return a locale.

	* Makefile.in,
	configure,
	libltdl/ltdl.c,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.am.in,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/java/locale/LocaleInformation.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_aa.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_aa_DJ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_aa_ER.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_aa_ER_SAAHO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_aa_ET.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_af.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_af_ZA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_am.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_am_ET.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_AE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_BH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_DZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_EG.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_IQ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_JO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_KW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_LB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_LY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_MA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_OM.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_QA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_SA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_SD.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_SY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_TN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_YE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_as.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_as_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_az.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_be.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_be_BY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_bg.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_bg_BG.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_bn.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_bn_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_br_FR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_bs_BA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ca.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ca_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_cs.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_cs_CZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_cy.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_cy_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_da.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_da_DK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_AT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_CH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_DE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_LI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_LU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_dv.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_dv_MV.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_dz.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_dz_BT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_el.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_el_GR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_AS.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_AU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_BW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_BZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_CA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_DK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_GU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_HK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_IE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_MH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_MP.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_MT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_NZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_PH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_PK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_SG.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_UM.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_US.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_US_POSIX.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_VI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_ZA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_ZW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_eo.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_AR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_BO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_CL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_CO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_CR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_DO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_EC.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_GT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_HN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_MX.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_NI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_SV.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_US.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_UY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_VE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_et.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_et_EE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_eu.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_eu_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fa.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fa_AF.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fa_IR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fi.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fi_FI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fo.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fo_FO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_CA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_CH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_FR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_LU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ga.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ga_IE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gd_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gl.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gl_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gu.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gu_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gv.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gv_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_he.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_he_IL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hi.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hi_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hr.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hr_HR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hu.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hu_HU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hy.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hy_AM.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hy_AM_REVISED.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_id.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_id_ID.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_is.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_is_IS.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_it.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_it_CH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_it_IT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_iu.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_iw_IL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ja.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ja_JP.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ka.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ka_GE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kk.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kk_KZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kl.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kl_GL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_km.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_km_KH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kn.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kn_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ko.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ko_KR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kw.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kw_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ky.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lo.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lo_LA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lt.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lt_LT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lv.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lv_LV.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mi_NZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mk.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mk_MK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ml.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ml_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mn.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mr.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mr_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ms.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ms_BN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ms_MY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mt.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mt_MT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nb.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nb_NO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nl.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nl_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nl_NL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nn.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nn_NO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_no_NO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_oc_FR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_om.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_om_ET.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_om_KE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_or.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_or_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pa.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pa_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pl.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pl_PL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ps.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ps_AF.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pt.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pt_BR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pt_PT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ro.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ro_RO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ru.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ru_RU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ru_UA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sa.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sa_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_se_NO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sk.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sk_SK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sl.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sl_SI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_so.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_so_DJ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_so_ET.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_so_KE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_so_SO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sq.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sq_AL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sr.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sr_Latn.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sr_YU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sv.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sv_FI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sv_SE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sw.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sw_KE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sw_TZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ta.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ta_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_te.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_te_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tg_TJ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_th.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_th_TH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ti.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ti_ER.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ti_ET.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tl_PH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tr.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tr_TR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tt.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tt_RU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_uk.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_uk_UA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ur.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ur_PK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_uz.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_uz_AF.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_uz_UZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_vi.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_vi_VN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_yi_US.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_CN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_CN_Hans.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_HK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_HK_Hant.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_Hant.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_MO_Hant.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_SG.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_SG_Hans.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_TW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_zh_TW_Hant.java,
	libraries/javalib/gnu/java/locale/iso3166-a3.properties,
	libraries/javalib/gnu/java/locale/iso3166.properties,
	libraries/javalib/gnu/java/locale/iso3166_de.properties,
	libraries/javalib/gnu/java/locale/iso4217.properties,
	libraries/javalib/gnu/java/locale/iso639-a2-old.properties,
	libraries/javalib/gnu/java/locale/iso639-a3.properties,
	libraries/javalib/gnu/java/locale/iso639.properties,
	libraries/javalib/gnu/java/locale/iso639_de.properties,
	libraries/javalib/gnu/java/locale/iso639_fr.properties,
	libraries/javalib/gnu/java/locale/iso639_ga.properties,
	libraries/javalib/java/util/Locale.java,
	libraries/javalib/java/util/LocaleData.java:
	Resynced with GNU Classpath.

	2004-12-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/iso3166-a3.properties,
	gnu/java/locale/iso3166_de.properties,
	gnu/java/locale/iso3166.properties,
	gnu/java/locale/iso639-a2-old.properties,
	gnu/java/locale/iso639-a3.properties,
	gnu/java/locale/iso639_de.properties,
	gnu/java/locale/iso639_fr.properties,
	gnu/java/locale/iso639_ga.properties,
	gnu/java/locale/iso639.properties: Removed.

	2004-12-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_aa.java,
	gnu/java/locale/LocaleInformation_aa_DJ.java,
	gnu/java/locale/LocaleInformation_aa_ER.java,
	gnu/java/locale/LocaleInformation_aa_ER_SAAHO.java,
	gnu/java/locale/LocaleInformation_aa_ET.java,
	gnu/java/locale/LocaleInformation_af.java,
	gnu/java/locale/LocaleInformation_am.java,
	gnu/java/locale/LocaleInformation_am_ET.java,
	gnu/java/locale/LocaleInformation_ar.java,
	gnu/java/locale/LocaleInformation_ar_SA.java,
	gnu/java/locale/LocaleInformation_as.java,
	gnu/java/locale/LocaleInformation_as_IN.java,
	gnu/java/locale/LocaleInformation_az.java,
	gnu/java/locale/LocaleInformation_be.java,
	gnu/java/locale/LocaleInformation_bg.java,
	gnu/java/locale/LocaleInformation_bg_BG.java,
	gnu/java/locale/LocaleInformation_bn.java,
	gnu/java/locale/LocaleInformation_ca.java,
	gnu/java/locale/LocaleInformation_cs.java,
	gnu/java/locale/LocaleInformation_cy.java,
	gnu/java/locale/LocaleInformation_da.java,
	gnu/java/locale/LocaleInformation_de_LI.java,
	gnu/java/locale/LocaleInformation_dv.java,
	gnu/java/locale/LocaleInformation_dv_MV.java,
	gnu/java/locale/LocaleInformation_dz.java,
	gnu/java/locale/LocaleInformation_dz_BT.java,
	gnu/java/locale/LocaleInformation_en_AS.java,
	gnu/java/locale/LocaleInformation_en_BE.java,
	gnu/java/locale/LocaleInformation_en_BZ.java,
	gnu/java/locale/LocaleInformation_en_GU.java,
	gnu/java/locale/LocaleInformation_en_MH.java,
	gnu/java/locale/LocaleInformation_en_MP.java,
	gnu/java/locale/LocaleInformation_en_MT.java,
	gnu/java/locale/LocaleInformation_en_PK.java,
	gnu/java/locale/LocaleInformation_en_UM.java,
	gnu/java/locale/LocaleInformation_en_US_POSIX.java,
	gnu/java/locale/LocaleInformation_en_VI.java,
	gnu/java/locale/LocaleInformation_eo.java,
	gnu/java/locale/LocaleInformation_es.java,
	gnu/java/locale/LocaleInformation_et.java,
	gnu/java/locale/LocaleInformation_eu.java,
	gnu/java/locale/LocaleInformation_fa.java,
	gnu/java/locale/LocaleInformation_fa_AF.java,
	gnu/java/locale/LocaleInformation_fo.java,
	gnu/java/locale/LocaleInformation_ga.java,
	gnu/java/locale/LocaleInformation_gl.java,
	gnu/java/locale/LocaleInformation_gu.java,
	gnu/java/locale/LocaleInformation_gu_IN.java,
	gnu/java/locale/LocaleInformation_gv.java,
	gnu/java/locale/LocaleInformation_he.java,
	gnu/java/locale/LocaleInformation_hi.java,
	gnu/java/locale/LocaleInformation_hr.java,
	gnu/java/locale/LocaleInformation_hu.java,
	gnu/java/locale/LocaleInformation_hy.java,
	gnu/java/locale/LocaleInformation_hy_AM.java,
	gnu/java/locale/LocaleInformation_hy_AM_REVISED.java,
	gnu/java/locale/LocaleInformation_id.java,
	gnu/java/locale/LocaleInformation_is.java,
	gnu/java/locale/LocaleInformation_is_IS.java,
	gnu/java/locale/LocaleInformation_it.java,
	gnu/java/locale/LocaleInformation_iu.java,
	gnu/java/locale/LocaleInformation_ja.java,
	gnu/java/locale/LocaleInformation_ka.java,
	gnu/java/locale/LocaleInformation_kk.java,
	gnu/java/locale/LocaleInformation_kk_KZ.java,
	gnu/java/locale/LocaleInformation_kl.java,
	gnu/java/locale/LocaleInformation_km.java,
	gnu/java/locale/LocaleInformation_km_KH.java,
	gnu/java/locale/LocaleInformation_kn.java,
	gnu/java/locale/LocaleInformation_kn_IN.java,
	gnu/java/locale/LocaleInformation_ko.java,
	gnu/java/locale/LocaleInformation_kw.java,
	gnu/java/locale/LocaleInformation_ky.java,
	gnu/java/locale/LocaleInformation_lo.java,
	gnu/java/locale/LocaleInformation_lo_LA.java,
	gnu/java/locale/LocaleInformation_lt.java,
	gnu/java/locale/LocaleInformation_lv.java,
	gnu/java/locale/LocaleInformation_mk.java,
	gnu/java/locale/LocaleInformation_ml.java,
	gnu/java/locale/LocaleInformation_ml_IN.java,
	gnu/java/locale/LocaleInformation_mn.java,
	gnu/java/locale/LocaleInformation_mr.java,
	gnu/java/locale/LocaleInformation_ms.java,
	gnu/java/locale/LocaleInformation_ms_BN.java,
	gnu/java/locale/LocaleInformation_ms_MY.java,
	gnu/java/locale/LocaleInformation_mt.java,
	gnu/java/locale/LocaleInformation_nb.java,
	gnu/java/locale/LocaleInformation_nb_NO.java,
	gnu/java/locale/LocaleInformation_nn.java,
	gnu/java/locale/LocaleInformation_om.java,
	gnu/java/locale/LocaleInformation_om_ET.java,
	gnu/java/locale/LocaleInformation_om_KE.java,
	gnu/java/locale/LocaleInformation_or.java,
	gnu/java/locale/LocaleInformation_or_IN.java,
	gnu/java/locale/LocaleInformation_pl.java,
	gnu/java/locale/LocaleInformation_ps.java,
	gnu/java/locale/LocaleInformation_ps_AF.java,
	gnu/java/locale/LocaleInformation_pt.java,
	gnu/java/locale/LocaleInformation_ro.java,
	gnu/java/locale/LocaleInformation_ru.java,
	gnu/java/locale/LocaleInformation_sa.java,
	gnu/java/locale/LocaleInformation_sa_IN.java,
	gnu/java/locale/LocaleInformation_sk.java,
	gnu/java/locale/LocaleInformation_sl.java,
	gnu/java/locale/LocaleInformation_so.java,
	gnu/java/locale/LocaleInformation_so_DJ.java,
	gnu/java/locale/LocaleInformation_so_ET.java,
	gnu/java/locale/LocaleInformation_so_KE.java,
	gnu/java/locale/LocaleInformation_so_SO.java,
	gnu/java/locale/LocaleInformation_sq.java,
	gnu/java/locale/LocaleInformation_sr.java,
	gnu/java/locale/LocaleInformation_sr_Latn.java,
	gnu/java/locale/LocaleInformation_sw.java,
	gnu/java/locale/LocaleInformation_sw_KE.java,
	gnu/java/locale/LocaleInformation_sw_TZ.java,
	gnu/java/locale/LocaleInformation_ta.java,
	gnu/java/locale/LocaleInformation_te.java,
	gnu/java/locale/LocaleInformation_th.java,
	gnu/java/locale/LocaleInformation_th_TH.java,
	gnu/java/locale/LocaleInformation_ti.java,
	gnu/java/locale/LocaleInformation_ti_ER.java,
	gnu/java/locale/LocaleInformation_ti_ET.java,
	gnu/java/locale/LocaleInformation_tt.java,
	gnu/java/locale/LocaleInformation_tt_RU.java,
	gnu/java/locale/LocaleInformation_uk.java,
	gnu/java/locale/LocaleInformation_ur.java,
	gnu/java/locale/LocaleInformation_uz.java,
	gnu/java/locale/LocaleInformation_uz_AF.java,
	gnu/java/locale/LocaleInformation_vi.java,
	gnu/java/locale/LocaleInformation_zh.java,
	gnu/java/locale/LocaleInformation_zh_CN_Hans.java,
	gnu/java/locale/LocaleInformation_zh_HK_Hant.java,
	gnu/java/locale/LocaleInformation_zh_Hant.java,
	gnu/java/locale/LocaleInformation_zh_MO_Hant.java,
	gnu/java/locale/LocaleInformation_zh_SG_Hans.java,
	gnu/java/locale/LocaleInformation_zh_TW_Hant.java:
	New locale files.
	* gnu/java/locale/LocaleInformation_ar_AE.java,
	gnu/java/locale/LocaleInformation_ar_BH.java,
	gnu/java/locale/LocaleInformation_ar_EG.java,
	gnu/java/locale/LocaleInformation_ar_OM.java,
	gnu/java/locale/LocaleInformation_ar_SD.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_hr_HR.java,
	gnu/java/locale/LocaleInformation_ka_GE.java,
	gnu/java/locale/LocaleInformation_mk_MK.java,
	gnu/java/locale/LocaleInformation_sl_SI.java,
	gnu/java/locale/LocaleInformation_sr_YU.java,
	gnu/java/locale/LocaleInformation_ur_PK.java,
	gnu/java/locale/LocaleInformation_uz_UZ.java,
	gnu/java/locale/LocaleInformation_vi_VN.java,
	gnu/java/locale/LocaleInformation_zh_CN.java,
	gnu/java/locale/LocaleInformation_zh_HK.java,
	gnu/java/locale/LocaleInformation_zh_SG.java,
	gnu/java/locale/LocaleInformation_zh_TW.java:
	Removed.

	2004-12-19  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation.java (LocaleInformation):
	Don't inherit LocaleInformation_en and put all default values into
	this class.
	* gnu/java/locale/LocaleInformation_af_ZA.java
	gnu/java/locale/LocaleInformation_ar_DZ.java
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Removed all redundant stuff.

	2004-12-18  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pa_IN.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Updated to latest gnu.localegen and locale date.

	2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_oc_FR.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_tr_TR.java:
	Updated.
	* gnu/java/locale/LocaleInformation_el.java,
	gnu/java/locale/LocaleInformation_fi.java,
	gnu/java/locale/LocaleInformation_fr.java,
	gnu/java/locale/LocaleInformation_sv.java,
	gnu/java/locale/LocaleInformation_tr.java:
	New files.

	2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_gd_GB.java:
	Updated.
	gnu/java/locale/LocaleInformation_mi_NZ.java
	gnu/java/locale/LocaleInformation_tl_PH.java
	gnu/java/locale/LocaleInformation_yi_US.java:
	Removed.

	2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java:
	Updated.

	2004-12-17  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_af_ZA.java,
	gnu/java/locale/LocaleInformation_ar_AE.java,
	gnu/java/locale/LocaleInformation_ar_BH.java,
	gnu/java/locale/LocaleInformation_ar_DZ.java,
	gnu/java/locale/LocaleInformation_ar_EG.java,
	gnu/java/locale/LocaleInformation_ar_IN.java,
	gnu/java/locale/LocaleInformation_ar_IQ.java,
	gnu/java/locale/LocaleInformation_ar_JO.java,
	gnu/java/locale/LocaleInformation_ar_KW.java,
	gnu/java/locale/LocaleInformation_ar_LB.java,
	gnu/java/locale/LocaleInformation_ar_LY.java,
	gnu/java/locale/LocaleInformation_ar_MA.java,
	gnu/java/locale/LocaleInformation_ar_OM.java,
	gnu/java/locale/LocaleInformation_ar_QA.java,
	gnu/java/locale/LocaleInformation_ar_SD.java,
	gnu/java/locale/LocaleInformation_ar_SY.java,
	gnu/java/locale/LocaleInformation_ar_TN.java,
	gnu/java/locale/LocaleInformation_ar_YE.java,
	gnu/java/locale/LocaleInformation_be_BY.java,
	gnu/java/locale/LocaleInformation_bn_IN.java,
	gnu/java/locale/LocaleInformation_br_FR.java,
	gnu/java/locale/LocaleInformation_bs_BA.java,
	gnu/java/locale/LocaleInformation_ca_ES.java,
	gnu/java/locale/LocaleInformation_cs_CZ.java,
	gnu/java/locale/LocaleInformation_cy_GB.java,
	gnu/java/locale/LocaleInformation_da_DK.java,
	gnu/java/locale/LocaleInformation_de.java,
	gnu/java/locale/LocaleInformation_de_AT.java,
	gnu/java/locale/LocaleInformation_de_BE.java,
	gnu/java/locale/LocaleInformation_de_CH.java,
	gnu/java/locale/LocaleInformation_de_DE.java,
	gnu/java/locale/LocaleInformation_de_LU.java,
	gnu/java/locale/LocaleInformation_el_GR.java,
	gnu/java/locale/LocaleInformation_en.java,
	gnu/java/locale/LocaleInformation_en_AU.java,
	gnu/java/locale/LocaleInformation_en_BW.java,
	gnu/java/locale/LocaleInformation_en_CA.java,
	gnu/java/locale/LocaleInformation_en_DK.java,
	gnu/java/locale/LocaleInformation_en_GB.java,
	gnu/java/locale/LocaleInformation_en_HK.java,
	gnu/java/locale/LocaleInformation_en_IE.java,
	gnu/java/locale/LocaleInformation_en_IN.java,
	gnu/java/locale/LocaleInformation_en_NZ.java,
	gnu/java/locale/LocaleInformation_en_PH.java,
	gnu/java/locale/LocaleInformation_en_SG.java,
	gnu/java/locale/LocaleInformation_en_US.java,
	gnu/java/locale/LocaleInformation_en_ZA.java,
	gnu/java/locale/LocaleInformation_en_ZW.java,
	gnu/java/locale/LocaleInformation_es_AR.java,
	gnu/java/locale/LocaleInformation_es_BO.java,
	gnu/java/locale/LocaleInformation_es_CL.java,
	gnu/java/locale/LocaleInformation_es_CO.java,
	gnu/java/locale/LocaleInformation_es_CR.java,
	gnu/java/locale/LocaleInformation_es_DO.java,
	gnu/java/locale/LocaleInformation_es_EC.java,
	gnu/java/locale/LocaleInformation_es_ES.java,
	gnu/java/locale/LocaleInformation_es_GT.java,
	gnu/java/locale/LocaleInformation_es_HN.java,
	gnu/java/locale/LocaleInformation_es_MX.java,
	gnu/java/locale/LocaleInformation_es_NI.java,
	gnu/java/locale/LocaleInformation_es_PA.java,
	gnu/java/locale/LocaleInformation_es_PE.java,
	gnu/java/locale/LocaleInformation_es_PR.java,
	gnu/java/locale/LocaleInformation_es_PY.java,
	gnu/java/locale/LocaleInformation_es_SV.java,
	gnu/java/locale/LocaleInformation_es_US.java,
	gnu/java/locale/LocaleInformation_es_UY.java,
	gnu/java/locale/LocaleInformation_es_VE.java,
	gnu/java/locale/LocaleInformation_et_EE.java,
	gnu/java/locale/LocaleInformation_eu_ES.java,
	gnu/java/locale/LocaleInformation_fa_IR.java,
	gnu/java/locale/LocaleInformation_fi_FI.java,
	gnu/java/locale/LocaleInformation_fo_FO.java,
	gnu/java/locale/LocaleInformation_fr_BE.java,
	gnu/java/locale/LocaleInformation_fr_CA.java,
	gnu/java/locale/LocaleInformation_fr_CH.java,
	gnu/java/locale/LocaleInformation_fr_FR.java,
	gnu/java/locale/LocaleInformation_fr_LU.java,
	gnu/java/locale/LocaleInformation_ga_IE.java,
	gnu/java/locale/LocaleInformation_gd_GB.java,
	gnu/java/locale/LocaleInformation_gl_ES.java,
	gnu/java/locale/LocaleInformation_gv_GB.java,
	gnu/java/locale/LocaleInformation_he_IL.java,
	gnu/java/locale/LocaleInformation_hi_IN.java,
	gnu/java/locale/LocaleInformation_hr_HR.java,
	gnu/java/locale/LocaleInformation_hu_HU.java,
	gnu/java/locale/LocaleInformation_id_ID.java,
	gnu/java/locale/LocaleInformation_it_CH.java,
	gnu/java/locale/LocaleInformation_it_IT.java,
	gnu/java/locale/LocaleInformation_iw_IL.java,
	gnu/java/locale/LocaleInformation_ja_JP.java,
	gnu/java/locale/LocaleInformation_ka_GE.java,
	gnu/java/locale/LocaleInformation_kl_GL.java,
	gnu/java/locale/LocaleInformation_ko_KR.java,
	gnu/java/locale/LocaleInformation_kw_GB.java,
	gnu/java/locale/LocaleInformation_lt_LT.java,
	gnu/java/locale/LocaleInformation_lv_LV.java,
	gnu/java/locale/LocaleInformation_mi_NZ.java,
	gnu/java/locale/LocaleInformation_mk_MK.java,
	gnu/java/locale/LocaleInformation_mr_IN.java,
	gnu/java/locale/LocaleInformation_mt_MT.java,
	gnu/java/locale/LocaleInformation_nl.java,
	gnu/java/locale/LocaleInformation_nl_BE.java,
	gnu/java/locale/LocaleInformation_nl_NL.java,
	gnu/java/locale/LocaleInformation_nn_NO.java,
	gnu/java/locale/LocaleInformation_no_NO.java,
	gnu/java/locale/LocaleInformation_oc_FR.java,
	gnu/java/locale/LocaleInformation_pl_PL.java,
	gnu/java/locale/LocaleInformation_pt_BR.java,
	gnu/java/locale/LocaleInformation_pt_PT.java,
	gnu/java/locale/LocaleInformation_ro_RO.java,
	gnu/java/locale/LocaleInformation_ru_RU.java,
	gnu/java/locale/LocaleInformation_ru_UA.java,
	gnu/java/locale/LocaleInformation_se_NO.java,
	gnu/java/locale/LocaleInformation_sk_SK.java,
	gnu/java/locale/LocaleInformation_sl_SI.java,
	gnu/java/locale/LocaleInformation_sq_AL.java,
	gnu/java/locale/LocaleInformation_sr_YU.java,
	gnu/java/locale/LocaleInformation_sv_FI.java,
	gnu/java/locale/LocaleInformation_sv_SE.java,
	gnu/java/locale/LocaleInformation_ta_IN.java,
	gnu/java/locale/LocaleInformation_te_IN.java,
	gnu/java/locale/LocaleInformation_tg_TJ.java,
	gnu/java/locale/LocaleInformation_tl_PH.java,
	gnu/java/locale/LocaleInformation_tr_TR.java,
	gnu/java/locale/LocaleInformation_uk_UA.java,
	gnu/java/locale/LocaleInformation_ur_PK.java,
	gnu/java/locale/LocaleInformation_uz_UZ.java,
	gnu/java/locale/LocaleInformation_vi_VN.java,
	gnu/java/locale/LocaleInformation_yi_US.java,
	gnu/java/locale/LocaleInformation_zh_CN.java,
	gnu/java/locale/LocaleInformation_zh_HK.java,
	gnu/java/locale/LocaleInformation_zh_SG.java,
	gnu/java/locale/LocaleInformation_zh_TW.java:
	Updated.

2004-12-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/locale/LocaleInformation_de.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_DE.java:
        Resynced with GNU Classpath.

	2004-12-17  Michael Koch  <konqueror@gmx.de>

        * gnu/java/locale/LocaleInformation_de.java,
        gnu/java/locale/LocaleInformation_de_DE.java:
        Updated.

2004-12-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/locale/LocaleInformation_de.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_DE.java:
	Resynced with GNU Classpath.

	2004-12-17  Michael Koch  <konqueror@gmx.de>

        * gnu/java/locale/LocaleInformation_de.java,
        gnu/java/locale/LocaleInformation_de_DE.java:
        Updated.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/java/util/GregorianCalendar.java:
	  Call complete() in the constructor after setting the time.  Fixes
	  test case failure in commons-net, and makes the code behave like
	  sun.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/jit/basecode.h, kaffe/kaffevm/jit/codeproto.h
	  kaffe/kaffevm/jit/funcs.c, kaffe/kaffevm/jit3/funcs.c:
	  Miscellaenous sparse fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* scripts/SparseWarning.pm:
	  Add another warning.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* libltdl/ltdl.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/jit/seq.c, libraries/clib/io/File.c,
	  libraries/clib/management/Debug.c,
	  libraries/clib/math/BigInteger.c,
	  libraries/clib/native/AccessController.c,
	  libraries/clib/native/Arrays.c,
	  libraries/clib/native/ByteToCharIconv.c,
	  libraries/clib/native/CharToByteIconv.c,
	  libraries/clib/native/Class.c, libraries/clib/native/Method.c,
	  libraries/clib/native/PrimordialClassLoader.c,
	  libraries/clib/native/Runtime.c, libraries/clib/native/System.c,
	  libraries/clib/native/ThreadStack.c,
	  libraries/clib/native/Throwable.c,
	  libraries/clib/native/ZipFile.c,
	  libraries/clib/net/InetAddressImpl.c,
	  libraries/clib/net/NetworkInterface.c,
	  libraries/clib/net/PlainDatagramSocketImpl.c,
	  libraries/clib/net/PlainSocketImpl.c,
	  libraries/clib/nio/java_nio_VMDirectByteBuffer.c,
	  libraries/clib/zip/Deflater.c, libraries/clib/zip/Inflater.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c,
	  kaffe/kaffevm/systems/unix-pthreads/signal.c,
	  kaffe/kaffevm/systems/unix-pthreads/syscalls.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/locks.c, kaffe/kaffevm/lookup.c,
	  kaffe/kaffevm/object.c, kaffe/kaffevm/readClass.c,
	  kaffe/kaffevm/reflect.c, kaffe/kaffevm/soft.c,
	  kaffe/kaffevm/stackTrace.c, kaffe/kaffevm/string.c,
	  kaffe/kaffevm/stringParsing.c, kaffe/kaffevm/support.c,
	  kaffe/kaffevm/thread.c, kaffe/kaffevm/utf8const.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c,
	  kaffe/kaffevm/kaffe-gc/gc-incremental.h,
	  kaffe/kaffevm/kaffe-gc/gc-mem.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* config/i386/jit.h, kaffe/kaffevm/jit/basecode.c,
	  kaffe/kaffevm/jit/funcs.c, kaffe/kaffevm/jit/icode.c,
	  kaffe/kaffevm/jit/labels.c, kaffe/kaffevm/jit/machine.c,
	  kaffe/kaffevm/jit/registers.c, kaffe/kaffevm/jit/slots.c,
	  kaffe/kaffevm/jit/slots.h:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/jni/jni-arrays.c, kaffe/kaffevm/jni/jni-base.c
	  kaffe/kaffevm/jni/jni-callmethod.c, kaffe/kaffevm/jni/jni-fields.c,
	  kaffe/kaffevm/jni/jni-helpers.c, kaffe/kaffevm/jni/jni-string.c,
	  kaffe/kaffevm/jni/jni.c: 
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* config/i386/jit-i386.def, kaffe/kaffevm/intrp/machine.c,
	  kaffe/kaffevm/jit/machine.c:
	  With recent DBG() macro now behaving like a real statement, all
	  calls to it must be followed with a ;.  Since the above files weren't
	  the default on my machine, they got missed in the cleanup.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/kaffe.def:
	  Make the trace_jcode macro take variable args.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* TODO:
	  Added.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c,
	  kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	  s/stat/lstat/, to fix symlink deletion.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* include/errors.h, kaffe/kaffevm/external.c, kaffe/kaffevm/findInJar.c,
	  kaffe/kaffevm/gcFuncs.c, kaffe/kaffevm/hashtab.c,
	  kaffe/kaffevm/inflate.c, kaffe/kaffevm/itypes.c, kaffe/kaffevm/jar.c,
	  kaffe/kaffevm/kaffe.def, kaffe/kaffevm/jit/methodcalls.c,
	  kaffe/kaffevm/jit/native-wrapper.c, kaffe/kaffevm/jit3/funcs.c,
	  kaffe/kaffevm/jit3/labels.c, kaffe/kaffevm/jit3/machine.c:
	  Sparse NULL-constant fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c:
	  Few more gcc warning fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/gc.h, kaffe/kaffevm/kaffe-gc/gc-incremental.h,
	  kaffe/kaffevm/kaffe-gc/gc-mem.c, kaffe/kaffevm/kaffe-gc/gc-refs.c:
	  Gcc warning fixes.

2004-12-19  Adam Heath  <doogie@brainfood.com>

	* config/i386/jit3-i386.def, kaffe/kaffevm/baseClasses.c,
	  kaffe/kaffevm/classMethod.c, kaffe/kaffevm/classPool.c,
	  kaffe/kaffevm/code-analyse.c, kaffe/kaffevm/debug.c,
	  kaffe/kaffevm/debug.h, kaffe/kaffevm/exception.c,
	  kaffe/kaffevm/external.c, kaffe/kaffevm/findInJar.c,
	  kaffe/kaffevm/gcFuncs.c, kaffe/kaffevm/itypes.c,
	  kaffe/kaffevm/jit3/machine.c, kaffe/kaffevm/jit3/registers.c,
	  kaffe/kaffevm/kaffe-gc/gc-incremental.c,
	  kaffe/kaffevm/kaffe-gc/gc-mem.c, kaffe/kaffevm/kaffe-gc/gc-refs.c,
	  kaffe/kaffevm/locks.c, kaffe/kaffevm/lookup.c,
	  kaffe/kaffevm/object.c, kaffe/kaffevm/soft.c,
	  kaffe/kaffevm/systems/unix-jthreads/jthread.c,
	  kaffe/kaffevm/systems/unix-pthreads/lock-impl.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	  kaffe/kaffevm/thread.c, kaffe/kaffevm/utf8const.c,
	  kaffe/kaffevm/verifier/verify-block.c, libraries/clib/native/Object.c,
	  libraries/clib/native/Thread.c,
	  libraries/clib/net/PlainDatagramSocketImpl.c,
	  libraries/clib/net/PlainSocketImpl.c:
	  Make the DBG macro a proper statement, using do { ... } while(0).

2004-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/mips/irix5/jit3-md.h: Fixed a path.

2004-12-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* config/mips/irix5/jit-md.h, config/mips/irix5/jit3-md.h:
	Copied from mips/linux as the sigcontext structure looks similar.
	
2004-12-18  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffe/main.c:
	  Remove extra fprintf.

2004-12-18  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffe/main.c, kaffe/kaffevm/debug.c, kaffe/kaffevm/debug.c:
	  Add -debug-fd option, to specify where debug output should go.

2004-12-18  Adam Heath  <doogie@brainfood.com>

	* configure.ac, configure:
	  The processing of --disable-debug had the CPPFLAGS block only
	  running when --disable-debug is specified.  It never ran in the
	  default case, so -vmdebug was never a valid option.

2004-12-16  Adam Heath  <doogie@brainfood.com>

	* config/i386/linux/xprofile-md.h, kaffe/kaffe/main.c
	  kaffe/kaffevm/access.c, kaffe/kaffevm/classMethod.c
	  kaffe/kaffevm/classPool.c, kaffe/kaffevm/code-analyse.c
	  kaffe/kaffevm/code.c, kaffe/kaffevm/exception.c
	  kaffe/kaffevm/locks.h, kaffe/kaffevm/jit3/basecode.c
	  kaffe/kaffevm/jit3/icode.c:
	  First set of fixes after using sparse: 0 -> NULL changes.

2004-12-16  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl, scripts/SparseWarning.pm:
	  Add support for sparse.

2004-12-17  Michael Koch  <konqueror@gmx.de>

	* libraries/javalib/javax/swing/JTable.java
	(addColumn): New method.
	(getColumnClass): Likewise.
	(getColumnName): Likewise.

2004-12-17  Paul Jenner  <psj.home@ntlworld.com>

	* libraries/javalib/javax/swing/TransferHandler.java
	(createTransferable): Made protected.

2004-12-16  Adam Heath  <doogie@brainfood.com>

	* libraries/clib/native/Runtime.c:
	  Use LL suffix instead of just L for long long constant.

2004-12-16  Michael Koch  <konqueror@gmx.de>

	* libraries/javalib/javax/swing/JTable.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableHeaderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableUI.java:
	Use fixed get/setIntercellSpacing() methods.

2004-12-16  Michael Koch  <konqueror@gmx.de>

	* libraries/javalib/javax/swing/JTable.java
	(getIntercellSpacing): Fixed typo in method name.
	(setIntercellSpacing): Likewise.

2004-12-16  Michael Koch  <konqueror@gmx.de>

	* libraries/javalib/javax/swing/text/JTextComponent.java
	(focusAccelerator): New variable.
	(getFocusAccelerator): New method.
	(setFocusAccelerator): Likewise.

2004-12-16  Adam Heath  <doogie@brainfood.com>

	* config/alpha/alpha.c, config/mips/common.h, config/mips/mips.c
	  config/parisc/common.h, config/sh/common.h,
	  kaffe/jvmpi/jvmpi_kaffe.c, kaffe/kaffevm/classMethod.c,
	  kaffe/kaffevm/classPool.c, kaffe/kaffevm/exception.c,
	  kaffe/kaffevm/ksem.c, kaffe/kaffevm/ksem.h,
	  kaffe/kaffevm/locks.c, kaffe/kaffevm/locks.h,
	  kaffe/kaffevm/soft.c, kaffe/kaffevm/stackTrace.c,
	  kaffe/kaffevm/support.c, kaffe/kaffevm/support.h,
	  kaffe/kaffevm/thread.c, kaffe/kaffevm/thread.h,
	  kaffe/kaffevm/utf8const.c, kaffe/kaffevm/boehm-gc/gc2.c,
	  kaffe/kaffevm/intrp/machine.c,
	  kaffe/kaffevm/intrp/stackTrace-impl.h,
	  kaffe/kaffevm/jit/machine.c, kaffe/kaffevm/jni/jni.c,
	  kaffe/kaffevm/kaffe-gc/gc-incremental.c,
	  kaffe/kaffevm/kaffe-gc/gc-incremental.h,
	  kaffe/kaffevm/kaffe-gc/gc-mem.c,
	  kaffe/kaffevm/kaffe-gc/gc-refs.c,
	  kaffe/kaffevm/systems/beos-native/lock-impl.h,
	  kaffe/xprof/xprofiler.c, libraries/clib/native/Object.c,
	  libraries/clib/native/Thread.c,
	  libraries/clib/net/InetAddressImpl.c,
	  libraries/clib/net/PlainSocketImpl.c:
	  Implement macro wrappers around methods implemented by the
	  threading subsystem: KTHREAD, KSIGNAL, KSEM, KMUTEX, KCONDVAR.

2004-12-16  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/org/xml/sax/AttributeList.java,
	libraries/javalib/org/xml/sax/Attributes.java,
	libraries/javalib/org/xml/sax/ContentHandler.java,
	libraries/javalib/org/xml/sax/DTDHandler.java,
	libraries/javalib/org/xml/sax/DocumentHandler.java,
	libraries/javalib/org/xml/sax/EntityResolver.java,
	libraries/javalib/org/xml/sax/ErrorHandler.java,
	libraries/javalib/org/xml/sax/HandlerBase.java,
	libraries/javalib/org/xml/sax/InputSource.java,
	libraries/javalib/org/xml/sax/Locator.java,
	libraries/javalib/org/xml/sax/Parser.java,
	libraries/javalib/org/xml/sax/SAXException.java,
	libraries/javalib/org/xml/sax/SAXNotRecognizedException.java,
	libraries/javalib/org/xml/sax/SAXNotSupportedException.java,
	libraries/javalib/org/xml/sax/SAXParseException.java,
	libraries/javalib/org/xml/sax/XMLFilter.java,
	libraries/javalib/org/xml/sax/XMLReader.java,
	libraries/javalib/org/xml/sax/package.html,
	libraries/javalib/org/xml/sax/ext/Attributes2.java,
	libraries/javalib/org/xml/sax/ext/Attributes2Impl.java,
	libraries/javalib/org/xml/sax/ext/DeclHandler.java,
	libraries/javalib/org/xml/sax/ext/DefaultHandler2.java,
	libraries/javalib/org/xml/sax/ext/EntityResolver2.java,
	libraries/javalib/org/xml/sax/ext/LexicalHandler.java,
	libraries/javalib/org/xml/sax/ext/Locator2.java,
	libraries/javalib/org/xml/sax/ext/Locator2Impl.java,
	libraries/javalib/org/xml/sax/ext/package.html,
	libraries/javalib/org/xml/sax/helpers/AttributeListImpl.java,
	libraries/javalib/org/xml/sax/helpers/AttributesImpl.java,
	libraries/javalib/org/xml/sax/helpers/DefaultHandler.java,
	libraries/javalib/org/xml/sax/helpers/LocatorImpl.java,
	libraries/javalib/org/xml/sax/helpers/NamespaceSupport.java,
	libraries/javalib/org/xml/sax/helpers/NewInstance.java,
	libraries/javalib/org/xml/sax/helpers/ParserAdapter.java,
	libraries/javalib/org/xml/sax/helpers/ParserFactory.java,
	libraries/javalib/org/xml/sax/helpers/XMLFilterImpl.java,
	libraries/javalib/org/xml/sax/helpers/XMLReaderAdapter.java,
	libraries/javalib/org/xml/sax/helpers/XMLReaderFactory.java,
	libraries/javalib/org/xml/sax/helpers/package.html:
	Resynced with GNU JAXP.

	004-12-10  Chris Burdess       <dog@gnu.org>

        * org/xml/sax: Updated version of SAX API to sax2r3 final.

2004-12-15  Michael Koch  <konqueror@gmx.de>

	* libraries/javalib/javax/swing/JComponent.java
	(setTransferHandler): Made public. Fire property change event.
	* libraries/javalib/javax/swing/TransferHandler.java: Implemented.
	* jlibraries/javalib/avax/swing/text/JTextComponent.java
	(DefaultTransferHandler): New inner class.
	(defaultTransferHandler): New variable.
	(copy): New method.
	(cut): Likewise.
	(paste): Likewise.
	(doTransferAction): Likewise.

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/text/NumberFormat.java:
        Resynced with GNU Classpath.

	2004-12-14  Michael Koch  <konqueror@gmx.de>

        * java/text/NumberFormat.java (getIntegerInstance):
        Make sure that doubles get formatted as integers.

2004-12-13  Adam Heath  <doogie@brainfood.com>

	* kaffe/xprof/callGraph.c, kaffe/xprof/debugFile.c,
	  kaffe/xprof/debugFile.h, kaffe/xprof/gmonFile.c,
	  kaffe/xprof/gmonFile.h, kaffe/xprof/mangle.c,
	  kaffe/xprof/mangle.h, kaffe/xprof/memorySamples.c,
	  kaffe/xprof/memorySamples.h, kaffe/xprof/xprofiler.c:
	  Lots of gcc warning fixes.
	  
2004-12-14  Michael Koch  <konqueror@gmx.de>

	* libraries/javalib/javax/swing/JTree.java
	(collapsePath): New method.
	(collapseRow): Likewise.
	(expandPath): Likewise.
	(expandRow): Likewise.
	(checkExpandParents): Likewise.
	(doExpandParents): Likewise.
	(setExpandedState): Likewise.
	(makeVisible): Likewise.

2004-12-13  Adam Heath  <doogie@brainfood.com>

	* configure, configure.ac, scripts/GCCWarning.pm:
	  Add more warnings from gcc 3.4.

2004-12-13  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl:
	  Add bash and nm to the list of programs to exclude from the
	  list.  Also exclude the libtool msg about extracting symbols.

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JPasswordField.java:
        Resynced with GNU Classpath.

	2004-12-13  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JPasswordField.java: Updated javadocs.

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JLayeredPane.java,
	libraries/javalib/javax/swing/JInternalFrame.java:
        Resynced with GNU Classpath.

	2004-12-13  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JLayeredPane.java
        (getLayer): Fixed return type, made public.
        (getPosition): Use new getLayer().
        (SetPosition): Likewise.
        (getIndexOf): Likewise.
        (remove): Likewise.
        * javax/swing/JInternalFrame.java
        (getLayer): Use new JLayeredPane.getLayer().

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffe/main.c:
	Fixed broken .class ending detection to make gjdoc run again.

	Reported by: Apache Gump.

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/external.c:
	Improved native library lookup debug output in case of errors.

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* config/i386/threads.h:
	(THREADSTACKSIZE) doubled to 128k with jit, and 256 with intrp
	to hopefully make dom2 test suite run on gump.

2004-12-14  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/external.c:
	Improved initial native library lookup debug output.

2004-12-13  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/table/TableColumn.java:
	Resynced with GNU Classpath.

	2004-12-13  Michael Koch  <konqueror@gmx.de>

        * javax/swing/table/TableColumn.java: Added/fixed javadocs over all.
        (setHeaderValue): Simplified. Do nothing when old value == new value.

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.am.in,
	  libraries/javalib/Makefile.in, tools/gjdoc/javalib/Makefile.am,
	  tools/gjdoc/javalib/Makefile.in:
	  Reworked jar creation stuff, to not be verbose, and handle the
	  case if ctrl-c is hit before all the jar cmds from completing.

2004-12-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/jni/jni-base.c
	(KaffeJNI_ParseArgs): Fixed parsing of the '-D' option.
	
2004-12-12  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/Makefile.am (AM_CPPFLAGS): 
	Added missing engine includes.

	Reported by:  Arnaud Vandyck <avdyk@gnu.org>

	* kaffe/kaffevm/kaffe-gc/Makefile.in:
	Regenerated.

2004-12-12  Konstantinos Margaritis <markos@debian.gr>

	* kaffe/kaffe/main.c: Improved error message
	when user asks to run Something.class.

2004-12-12  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/man/kaffe.1.in: Updated the dates and versions a bit.
	This file will need a bit of work.

2004-12-12  Dalibor Topic  <robilad@kaffe.org>

	* config/ia64/linux/config.frag:
	Work around bug in gcc optimizer on ia64 by reducing 
	optimizationlevel to -O1.
	
2004-12-12  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Component.java:
	Resynced with GNU Classpath. Whitespace changes.
	
2004-12-12  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/thread.c, kaffe/kaffevm/thread.h:
	  Back out last change to these files, it caused test cases to
	  fail.

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/jni/jni-string.c, kaffe/kaffevm/jni/jni_funcs.h:
	  Remove const declaration from 3rd parameter of
	  KaffeJNI_ReleaseStringUTFChars.

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/utf8const.c, kaffe/kaffevm/jni/jni-string.c,
	  kaffe/kaffevm/systems/unix-pthreads/syscalls.c,
	  libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c:
	  Signed/unsigned warning fixes(size_t kinda stuff).

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/thread.c, kaffe/kaffevm/thread.h:
	  Make firstStartThread and exitThread NONRETURNING.

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/javax/swing/tree/DefaultTreeCellEditor.java:
	  Fix type in javadoc for the EditorContainer method.

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* libraries/clib/classpath/jcl.c:
	  In JCL_ThrowException, use fputs instead of fprintf.  Fixes
	  a gcc waring, using a non-constant format string.

2004-12-12  Adam Heath  <doogie@brainfood.com>

	* scripts/GCCWarning.pm, scripts/JikesWarning.pm,
	  scripts/LogWarning.pm, scripts/sort-warnings.pl:
	  Add ability to ignore specify warnings.

2004-12-11  Adam Heath  <doogie@brainfood.com>

	* scripts/GCCWarning.pm, scripts/JikesWarning.pm,
	  scripts/LogWarning.pm, scripts/Registry.pm,
	  scripts/WarningDescription.pm, scripts/sort-warnings.pl:
	  Reindent.

2004-12-11  Adam Heath  <doogie@brainfood.com>

	* include/jsyscall.h:
	  Improving formatting.

2004-12-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/CardLayout.java,
	libraries/javalib/java/awt/Menu.java,
	libraries/javalib/java/awt/MenuItem.java,
	libraries/javalib/java/awt/Panel.java,
	libraries/javalib/java/awt/Polygon.java,
	libraries/javalib/java/awt/PopupMenu.java,
	libraries/javalib/java/awt/TextArea.java,
	libraries/javalib/java/awt/TextComponent.java,
	libraries/javalib/java/awt/TextField.java,
	libraries/javalib/java/awt/dnd/peer/DropTargetContextPeer.java,
	libraries/javalib/java/awt/im/spi/InputMethodContext.java,
	libraries/javalib/java/awt/image/Raster.java,
	libraries/javalib/javax/swing/AbstractListModel.java,
	libraries/javalib/javax/swing/JPasswordField.java,
	libraries/javalib/javax/swing/JTree.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextUI.java,
	libraries/javalib/javax/swing/text/PlainDocument.java:
	Resynced with GNU Classpath. White-space diffs.

2004-12-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/Window.java:
	Resynced with GNU Classpath.

	2004-12-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* gnu/java/awt/peer/gtk/GdkGraphics.java (setClip): Protect
	against null clip region.
	* gnu/java/awt/peer/gtk/GtkFramePeer.java (create): Call
	gtkWindowSetResizable.
	(postConfigureEvent): Only revalidate if frame size has changed.
	* gnu/java/awt/peer/gtk/GtkWindowPeer.java (postConfigureEvent):
	Only revalidate if frame size has changed.
	* java/awt/Component.java (reshape): Only repaint and post
	component events if component is showing.
	* java/awt/Container.java (addImpl): Only post container event if
	container is showing.
	(remove): Likewise.
	* java/awt/Window.java (setLocationRelativeTo): Implement.
	(setBoundsCallback): Only post component events if component is
	showing.
	* native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (clearRect):
	Protect against null graphics structure.  Flush gdk event queue.
	
2004-12-11  Adam Heath  <doogie@brainfood.com>

	* include/Arrays.h, include/native.h, kaffe/kaffevm/object.c,
	  kaffe/kaffevm/object.h, kaffe/kaffevm/soft.c,
	  kaffe/kaffevm/stackTrace.c, kaffe/kaffevm/string.c,
	  kaffe/kaffevm/support.c, kaffe/kaffevm/jni/jni-arrays.c,
	  libraries/clib/native/Array.c, libraries/clib/native/ZipFile.c,
	  libraries/clib/net/InetAddressImpl.c:
	  Change type of various parameters and variables to jsize, to
	  reduce gcc warnings by 47(with 3.4).

2004-12-11  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/jit3/icode.c:
	  Some -Wtraditional fixes.

2004-12-11  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/classMethod.c, kaffe/kaffevm/exception.c,
	  kaffe/kaffevm/hashtab.c, kaffe/kaffevm/lookup.c,
	  kaffe/kaffevm/jit3/labels.c, kaffe/kaffevm/jit3/machine.c,
	  kaffe/kaffevm/jit3/icode.c,
	  libraries/clib/native/DateFormat.c,
	  libraries/clib/native/NativeLibrary.c,
	  libraries/clib/net/InetAddressImpl.c,
	  libraries/clib/net/NetworkInterface.c,
	  libraries/clib/net/PlainSocketImpl.c,
	  libraries/clib/nio/java_nio_VMDirectByteBuffer.c,
	  libraries/clib/security/sha-1.h:
	  Fix lots of -Wshadow warnings.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/systems/unix-pthreads/signal.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	  libraries/clib/management/Debug.c,
	  libraries/clib/management/XProfiler.c:
	  Add UNUSED annotation to several parameters.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* config/i386/jit3-i386.def, kaffe/kaffevm/jit3/basecode.c,
	  libraries/clib/native/Runtime.c:
	  Add NONRETURNING annotation.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Parser.java:
	  Fix some more access of static fields/methods on instances.
 
2004-12-10  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/Klasses.jar.bootstrap:
	  Updated java/math/BigInteger.class, and added
	  java/math/BigDecimal.class.

2004-12-11  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	tools/gjdoc/javalib/Makefile.am,
	tools/gjdoc/javalib/Makefile.in,:
	Regenerated.

	* tools/gjdoc/javalib/gnu/classpath/tools/MalformedInputEvent.java,
	tools/gjdoc/javalib/gnu/classpath/tools/MalformedInputListener.java,
	tools/gjdoc/javalib/gnu/classpath/tools/NotifyingInputStreamReader.java,
	tools/gjdoc/javalib/gnu/classpath/tools/IOToolkit.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/AbstractDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/CssClass.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/Driver.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/AbstractTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/DocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Main.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/PackageDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Parser.java,
	tools/gjdoc/javalib/gnu/classpath/tools/java2xhtml/Java2xhtml.java:
	Resynced with gjdoc.

	2004-12-10  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: handle
	multiple source directories.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	likewise.

	2004-12-10  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Main.java: fix NPE when empty
	directories are examined.

	* src/gnu/classpath/tools/java2xhtml/Java2xhtml.java: fix
	StringIndexOutOfBoundsException.

	2004-12-10  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: move
	license text above bottom navigation bar.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: fix bug which would
	copy license text only for documented classes.

	2004-12-10  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Main.java: add option
	-licensetext, add to usage.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: only copy license if
	option -licensetext has been given on the command line.

	* src/gnu/classpath/tools/gjdoc/Parser.java: only detect license
	comment if it contains the string "copyright", case-insensitive.


	2004-12-10  Julian Scheid <julian@sektor37.de>

	* Makefile.am: added new files.

	* src/gnu/classpath/tools/IOToolkit.java: added method
	readFully(Reader).

	* src/gnu/classpath/tools/gjdoc/Parser.java: use
	NotifyingInputStreamReader for reading source files; extract
	boilerplate comment.

	* src/gnu/classpath/tools/gjdoc/PackageDocImpl.java: add null
	boilerplate parameter to invocation of parseCommentTags().

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: add null
	boilerplate parameter to invocation of parseCommentTags().

	* src/gnu/classpath/tools/gjdoc/AbstractTagImpl.java: likewise.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: improved detection
	of firstCommentTags. add support for boilerplate text.

	* src/gnu/classpath/tools/gjdoc/Main.java: updated usage text;
	default locate now US english; default source encoding now
	temporarily US-ASCII; use BreakIterator by default for
	non-english languages.

	* src/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java: add
	parameter for dropping leading <p> tag.

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: pass
	additional parameter to HtmlRepairer constructor.

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	CSS class for boilerplate; support suggested attributes for divs.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	support output encoding; support suggested attributes.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	support output encoding and charset; support boilerplate text;
	repair HTML code;

	2004-12-10  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/MalformedInputEvent.java:
	* src/gnu/classpath/tools/MalformedInputListener.java:
	* src/gnu/classpath/tools/NotifyingInputStreamReader.java: 
	Initial version.
	
2004-12-10  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl:
	  Print out the total errors for each compiler group.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl:
	  Fix prepending on @INC.

2004-12-10  Dalibor Topic  <robilad@kaffe.org>

	* THIRDPARTY:
	Added notice for org.ietf.jgss.

	* libraries/javalib/org/ietf/jgss/ChannelBinding.java,
	libraries/javalib/org/ietf/jgss/GSSContext.java,
	libraries/javalib/org/ietf/jgss/GSSCredential.java,
	libraries/javalib/org/ietf/jgss/GSSException.java,
	libraries/javalib/org/ietf/jgss/GSSManager.java,
	libraries/javalib/org/ietf/jgss/GSSName.java,
	libraries/javalib/org/ietf/jgss/MessageProp.java,
	libraries/javalib/org/ietf/jgss/Oid.java:
	Resynced with GNU Classpath.

	2004-12-07  Mark Wielaard  <mark@klomp.org>

        * LICENSE: Add text about org.ietf.jgss documentation.
        * org/ietf/jgss/ChannelBinding.java: Merge top two comment blocks.
        * org/ietf/jgss/GSSCredential.java: Likewise.
        * org/ietf/jgss/GSSException.java: Likewise.
        * org/ietf/jgss/GSSManager.java: Likewise.
        * org/ietf/jgss/GSSName.java: Likewise.
        * org/ietf/jgss/MessageProp.java: Likewise.
        * org/ietf/jgss/Oid.java: Likewise.

2004-12-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/FileDescriptor.java:
        Resynced with GNU Classpath.

	2004-12-07  Mark Wielaard  <mark@klomp.org>

        * java/io/FileDescriptor.java (sync): Add real exception to
        SyncFailedException.

2004-12-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/text/MessageFormat.java:
	Resynced with GNU Classpath.

	2004-12-07  Mark Wielaard  <mark@klomp.org>

        * java/text/MessageFormat.java (scanFormat): Chain thrown exception.

2004-12-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am.in (all-am): Moved Adam's fix for broken 
	rebuildLib invocation here.
	(KAFFELIBRARYPATH): Added classpath native library.
	
	Reported by:  Riccardo Mottola <rmottola@users.sf.net>
	
2004-12-10  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/gnu/java/io/encode/Encoder.java:
	  close() now calls flush(), in case extending classes do buffering(like
	  KaffeEncoder now does).

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaBaseDataLine.java,
	  libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaSourceDataLine.java,
	  libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaTargetDataLine.java,
	  libraries/javalib/org/tritonus/sampled/mixer/esd/EsdSourceDataLine.java,
	  libraries/javalib/org/tritonus/sampled/mixer/esd/EsdTargetDataLine.java:
	  Remove unused static variables(actually fixes a warning about assigning a
	  constant value to a static that isn't also final).
	
2004-12-10  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/gnu/regexp/RE.java,
	  libraries/javalib/java/util/regex/Pattern.java:
	  Use braces around assignments in conditions.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/gnu/crypto/der/DERReader.java,
	  libraries/javalib/gnu/xml/util/SAXNullTransformerFactory.java,
	  libraries/javalib/gnu/xml/xpath/Predicate.java,
	  libraries/javalib/java/lang/System.java,
	  libraries/javalib/org/metastatic/jessie/pki/der/DERReader.java,
	  libraries/javalib/org/metastatic/jessie/provider/DERReader.java:
	  Access static variables/methods thru the class, not an instance of
	  the class.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/gnu/java/rmi/dgc/DGCImpl_Skel.java,
	  libraries/javalib/gnu/java/rmi/dgc/DGCImpl_Stub.java,
	  libraries/javalib/gnu/java/rmi/registry/RegistryImpl_Skel.java,
	  libraries/javalib/gnu/java/rmi/registry/RegistryImpl_Stub.java:
	  Don't use '$' in identifiers.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/debug.c, kaffe/kaffevm/jni/jni-string.c,
	  kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	  kaffe/kaffevm/jni/jni.c, libraries/clib/math/BigInteger.c,
	  replace/getaddrinfo.c:
	  Add some UNUSED annotations.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl, scripts/LogWarning.pm,
	  scripts/WarningDescription.pm, scripts/JikesWarning.pm,
	  scripts/GCCWarning.pm, scripts/Registry.pm:
	  Rewrote again, moving the warning/description definitions themselves
	  into their respective files.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl, scripts/LogWarning.pm,
	  scripts/WarningDescription.pm:
	  Start adding description support to the various detected
	  warnings.  Currently, only -Wmissing-braces has a description;
	  this was copied from the gcc info docs.

2004-12-10  Adam Heath  <doogie@brainfood.com>

	* I'm 30 today!

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl:
	  Exclude a few more lines.

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl, scripts/LogWarning.pm,
	  scripts/JikesWarning.pm, scripts/GCCWarning.pm:
	  Rewritten to be a 'bit' more modular.

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* scripts/sort-warnings.pl: Several new warnings detected, including
	  some from jikes.

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* configure, configure.ac: If --with-jikes is given with no value,
	  then use "$JIKESPROG +Pno-switchcheck +Pno-shadow +E."

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* binreloc/prefix.c, binreloc/prefix.h, kaffe/kaffe/main.c,
	  kaffe/kaffevm/stackTrace.c, kaffe/kaffevm/support.c,
	  kaffe/kaffevm/support.h, kaffe/kaffevm/thread.c,
	  kaffe/kaffevm/jni/jni.c, libraries/clib/native/Arrays.c,
	  libraries/clib/net/NetworkInterface.c,
	  libraries/clib/net/PlainSocketImpl.c:
	  Fix several gcc warnings.  725 -> 691, on my machine.
	  Note, that do_execute_java_class_method and do_execute_java_method
	  (and the _v counterparts) have changed their signatures.

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/jit3/basecode.c, kaffe/kaffevm/jit3/basecode.h,
	  kaffe/kaffevm/jit3/icode.c:
	  Fix 'function returns an aggretate type' warning.

2004-12-09  Adam Heath  <doogie@brainfood.com>

	* tools/gjdoc/javalib/Makefile.am, tools/gjdoc/javalib/Makefile.in:
	  Fix broken invocation of rebuildLib, by exporting vars in the
	  Makefile.

2004-12-08  Adam Heath  <doogie@brainfood.com>

	* kaffe/xprof/debugFile.c: s/null/NULL/, I hand-applied a diff.

2004-12-08  Adam Heath  <doogie@brainfood.com>

	* kaffe/xprof/debugFile.c: When printing out the DIA_SourceFile
	  record, if addr is null, hard-code 0 as the value; otherwise,
	  fprintf prints '(nil)', and ld complains when linking.

2004-12-08  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	  Call unprotectThreadList *before* calling pthread_exit.  This
	  prevents deadlocks during shutdown(discovered while getting xprof
	  to work).

2004-12-08  Adam Heath  <doogie@brainfood.com>

	* kaffe/kaffe/main.c: Add call to enableXProfiling.

2004-12-08  Adam Heath  <doogie@brainfood.com>

	* libraries/javalib/Makefile.am,
	  libraries/javalib/Makefile.in,
	  libraries/javalib/rebuildLib.in:
 	  No longer sed the Makefile, looking for our vars.  Instead,
	  the makefile now exports what we need.  This allows
	  --with-jikes="jikes +Pno-shadow +Pno-switchcheck" to be used,
	  and the classes compiled accordingly.

2004-12-08  Adam Heath  <doogie@brainfood.com>

	* test/regression/SoTimeout.java: No longer use buffered
	  anything, nor any encoder/decoder stuff.  It's not specified
	  what should happen to buffered data when an IOException
	  occurs(InterruptedIOException included).

2004-12-08  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/object.c
	(newMultiArrayChecked): Fixed recursion.

	* test/regression/MultiArray.java: New test by Mark Wielaard <mark@klomp.org>

	* test/regression/Makefile.am: Added MultiArray.

	* test/regression/Makefile.in: Regenerated.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* tools/gjdoc/javalib/gnu/classpath/tools/StringToolkit.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/InheritDocTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/TagContainer.java:
	tools/gjdoc/javalib/com/sun/javadoc/ClassDoc.java,
	tools/gjdoc/javalib/com/sun/javadoc/FieldDoc.java,
	tools/gjdoc/javalib/gnu/classpath/tools/FileSystemClassLoader.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/AbstractDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/CssClass.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/AbstractTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocProxy.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/DocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/FieldDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Main.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/MemberDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/MethodDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/PackageDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ParamTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Parser.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/RootDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/SeeTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/SerialFieldTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/TagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ThrowsTagImpl.java:
	Resyned with gjdoc.

	* configure.ac:
	Build gjdoc by default.

	* configure,
	tools/gjdoc/javalib/Makefile.am,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

	
	2004-12-08  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: allow run()
	to throw DocletConfigurationException; use printError() instead of
	System.err.println() for error message output.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	generate package-list file; implement options -link, -linkoffset.

	* src/gnu/classpath/tools/doclets/htmldoclet/ExternalDocSet.java:
	initial version.

	2004-12-08  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/StringToolkit.java: initial version.

	2004-12-08  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	implement tag {@docRoot}.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: fix handling of
	generic inline tags.

	2004-12-08  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: omit unnamed
	package from index; add method getAllPackages().

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	new CSS classes for overriding information.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: show
	overriding information; show field type; properly handle classes
	in the unnamed package; add link to package overview page to
	package class list; use getAllPackages() instead of
	rootDoc.specifiedPackages() for package menu and overview page;
	handle case when source files are not located in the proper
	package directory.

	* src/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java:
	remove dead code.

	* src/gnu/classpath/tools/gjdoc/Main.java: emit warning when -J
	option is ignored; simulate option -JD (set system property);
	allow user to specify Java source files on the command line.

	* src/gnu/classpath/tools/gjdoc/PackageDocImpl.java: use TreeSet
	instead of ArrayList for set of all classes.

	* src/gnu/classpath/tools/gjdoc/Parser.java: have
	processSourceFile() return the resulting ClassDoc.

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: handle source
	files specified on command line.

	* src/gnu/classpath/tools/FileSystemClassLoader.java: remove debug
	output and dead code.

	2004-12-07  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/Parser.java: sort methods, fields,
	and constructors.

	* src/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java: fix
	problems with final parameters and whitespace within array
	dimension specifiers.
	
	2004-12-07  Julian Scheid <julian@sektor37.de>

	* src/com/sun/javadoc/ClassDoc.java: add methods fields(boolean),
	methods(boolean) and constructors(boolean).

	* src/com/sun/javadoc/FieldDoc.java: add method constantValue().

	* src/gnu/classpath/tools/FileSystemClassLoader.java: consider
	Class-Path manifest attribute in jar files; add support for
	finding resources.

	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java: add
	classes for return type and specifying interfaces.

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: show
	return type, specifying interfaces. output arbitrary inline tags.

	* src/gnu/classpath/tools/gjdoc/AbstractTagImpl.java:
	implement interface TagContainer; pass context member and context
	tag to tag parser.

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: add support for
	unfiltered method, field and constructor arrays; implement
	methods(boolean), fields(boolean) and constructors(boolean);
	implement getFieldDoc, getMethodDoc, getConstructorDoc.

	* src/gnu/classpath/tools/gjdoc/ClassDocProxy.java: implement
	methods(boolean), fields(boolean) and constructors(boolean).

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: consider context
	member and context tag in tag parser; add support for comment
	inheritance.

	* src/gnu/classpath/tools/gjdoc/FieldDocImpl.java: add dummy
	implementation for constantValue().

	* src/gnu/classpath/tools/gjdoc/InheritDocTagImpl.java: initial
	version.

	* src/gnu/classpath/tools/gjdoc/Main.java: ignore options starting
	with -J; properly support -docletpath option.

	* src/gnu/classpath/tools/gjdoc/MemberDocImpl.java: override
	resolveComments() with support for automatic comment inheritance.

	* src/gnu/classpath/tools/gjdoc/MethodDocImpl.java: remove
	special-case handling of comment inheritance.

	* src/gnu/classpath/tools/gjdoc/PackageDocImpl.java: pass null
	context member and context tag to tag parser.

	* src/gnu/classpath/tools/gjdoc/ParamTagImpl.java: support context
	member and context tag.

	* src/gnu/classpath/tools/gjdoc/Parser.java: support unfiltered
	fields, methods and constructors.

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: don't close
	rawCommentCache before doclet has run.

	* src/gnu/classpath/tools/gjdoc/SeeTagImpl.java: remove debug
	code.

	* src/gnu/classpath/tools/gjdoc/SerialFieldTagImpl.java: support
	for context member and context tag.

	* src/gnu/classpath/tools/gjdoc/TagImpl.java: likewise.

	* src/gnu/classpath/tools/gjdoc/ThrowsTagImpl.java: likewise.

	* src/gnu/classpath/tools/gjdoc/TagContainer.java: initial
	version.

2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/xml/dom/DomAttr.java,
	libraries/javalib/gnu/xml/dom/DomCharacterData.java,
	libraries/javalib/gnu/xml/dom/DomDoctype.java,
	libraries/javalib/gnu/xml/dom/DomDocument.java,
	libraries/javalib/gnu/xml/dom/DomEntity.java,
	libraries/javalib/gnu/xml/dom/DomEntityReference.java,
	libraries/javalib/gnu/xml/dom/DomExtern.java,
	libraries/javalib/gnu/xml/dom/DomImpl.java,
	libraries/javalib/gnu/xml/dom/DomNamedNodeMap.java,
	libraries/javalib/gnu/xml/dom/DomNode.java,
	libraries/javalib/gnu/xml/dom/DomNotation.java,
	libraries/javalib/gnu/xml/dom/ls/ReaderInputStream.java,
	libraries/javalib/gnu/xml/dom/ls/SAXEventSink.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
	libraries/javalib/gnu/xml/libxmlj/transform/TransformTest.java,
	libraries/javalib/gnu/xml/transform/TransformerImpl.java,
	libraries/javalib/gnu/xml/transform/XSLComparator.java,
	libraries/javalib/gnu/xml/transform/XSLURIResolver.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.y,
	libraries/javalib/javax/xml/namespace/QName.java,
	libraries/javalib/javax/xml/transform/TransformerFactory.java:
	Resynced with GNU JAXP.

	2004-12-07  Chris Burdess  <dog@gnu.org>

        * dom: Minor DOM Level 3 Core conformance improvements.

	2004-12-07  Mark Wielaard  <mark@klomp.org>

        * ReaderInputStream.java: Mark and reset implementation.

	2004-12-06  Chris Burdess  <dog@gnu.org>

        * dom: Minor DOM Level 3 Core conformance improvements.

	2004-12-06  Mark Wielaard  <mark@klomp.org>

        * TransformerImpl.java: Use StreamResult's Writer if no byte stream
        is present.

	2004-12-05  Chris Burdess  <dog@gnu.org>

        * TransformerImpl.java,XSLURIResolver.java: Permit identity
        transforms with target nodes and null system IDs.

	2004-12-04  Dalibor Topic  <robilad@kaffe.org>

        * ElementAvailableFunction.java,FunctionAvailableFunction.java,
        KeyFunction.java,SortKey.java,Stylesheet.java,
        SystemPropertyFunction.java,TransformerImpl.java,XSLComparator.java,
        NameTest.java,NamespaceTest.java,XPathParser.java,QName.java:
        Corrected QName.getLocalName to getLocalPart. Fixed missing imports.

2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/http/HTTPURLConnection.java: 
	Resynced with GNU Classpath.
	
	2004-12-07  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPURLConnection.java: Added support
	for http.agent, http.keepAlive, and http.maxConnections system
	properties (and LRU connection pool).

2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libltdl/install-sh,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.
	
	* libraries/javalib/gnu/java/locale/LocaleInformation_pa.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pa_IN.java:
	Resynced with GNU Classpath.

	2004-12-07  Michael Koch  <konqueror@gmx.de>

	* gnu/java/locale/LocaleInformation_pa.java,
	gnu/java/locale/LocaleInformation_pa_IN.java:
	New locale files.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/stream/FileImageOutputStream.java:
	Resynced with GNU Classpath.
	
	2004-12-07  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/stream/FileImageOutputStream.java:
	Implemented.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Timer.java:
	Resynced with GNU Classpath.
	
	2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/util/Timer.java
	(run): Stop the queue if a task throws an exception.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/beans/PropertyDescriptor.java:
	Resynced with GNU Classpath.
	
	2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/beans/PropertyDescriptor.java
	(PropertyDescriptor,setReadMethod): Set propertyType.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/stream/FileCacheImageInputStream.java,
	libraries/javalib/javax/imageio/stream/FileCacheImageOutputStream.java,
	libraries/javalib/javax/imageio/stream/FileImageInputStream.java,
	libraries/javalib/javax/imageio/stream/ImageInputStreamImpl.java,
	libraries/javalib/javax/imageio/stream/ImageOutputStreamImpl.java,
	libraries/javalib/javax/imageio/stream/MemoryCacheImageInputStream.java,
	libraries/javalib/javax/imageio/stream/MemoryCacheImageOutputStream.java:
	Resynced with GNU Classpath.

	2004-12-07  Michael Koch  <konqueror@gmx.de>

	* javax/imageio/stream/FileCacheImageInputStream.java,
	javax/imageio/stream/FileCacheImageOutputStream.java,
	javax/imageio/stream/FileImageInputStream.java,
	javax/imageio/stream/ImageInputStreamImpl.java,
	javax/imageio/stream/ImageOutputStreamImpl.java,
	javax/imageio/stream/MemoryCacheImageInputStream.java,
	javax/imageio/stream/MemoryCacheImageOutputStream.java:
	Added all missing methods in javax.imageio.stream.

2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/BufferedInputStream.java:
	Resynced with GNU Classpath.
	
	2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/BufferedInputStream.java
	(skip): Don't return -1 on EOF.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/LineInputStream.java,
	libraries/javalib/gnu/java/net/protocol/http/HTTPURLConnection.java:
	Resynced with GNU Classpath.
	
	2004-12-06  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/LineInputStream.java: (read) fixed possible infinite
	loop (inetlib bug #11200).

	2004-12-06  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPURLConnection.java:
	(getHeaderField) return null if there are less than (index+1)
	fields.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/ObjectInputStream.java:
	Resynced with GNU Classpath.
	
	2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectInputStream.java
	(readObject): Fix to consume TC_ENDBLOCKDATA after readExternal.
	
2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/bootstrap.classlist:
	Added missing classses to fix build with kjc.

	* libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.

2004-12-08  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am:
	Added gnu_classpath_VMSystemProperties.h to include files.

	* libraries/clib/native/Makefile.am:
	Added gnu_classpath_VMSystemProperties.c.

	* include/Makefile.in,
	libraries/clib/native/Makefile.in,
	libltdl/configure,
	libraries/javalib/Klasses.jar.bootstrap,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* kaffe/kaffevm/external.h:
	Added missing include.

	* kaffe/kaffevm/support.c,
	kaffe/kaffevm/support.h:
	(setProperty) Removed.

	* libraries/clib/native/System.c:
	(initProperties, initProxyProperties) removed.

	* libraries/clib/native/gnu_classpath_VMSystemProperties.c:
	New file.

	* libraries/javalib/bootstrap.classlist,
	libraries/javalib/java/lang/System.java:
	Updated for new system properties mechanism.

	* libraries/javalib/gnu/classpath/Configuration.java,
	libraries/javalib/gnu/classpath/SystemProperties.java,
	libraries/javalib/gnu/classpath/VMSystemProperties.java,
	libraries/javalib/gnu/java/net/protocol/file/Connection.java,
	libraries/javalib/gnu/java/security/action/GetSecurityPropertyAction.java,
	libraries/javalib/java/io/File.java,
	libraries/javalib/java/lang/SecurityManager.java,
	libraries/javalib/java/lang/Thread.java,
	libraries/javalib/java/lang/ThreadGroup.java,
	libraries/javalib/java/lang/Throwable.java,
	libraries/javalib/java/security/Security.java,
	libraries/javalib/java/security/cert/X509CRLSelector.java,
	libraries/javalib/java/security/cert/X509CertSelector.java,
	libraries/javalib/java/util/Locale.java:
	Resynced with GNU Classpath.

	2004-12-07  Jeroen Frijters  <jeroen@frijters.net>

        * vm/reference/gnu/classpath/VMSystemProperties.java:
        Added import to make it compile.

	004-12-06  Jeroen Frijters  <jeroen@frijters.net>

        * gnu/classpath/SystemProperties.java: New file.
        * vm/reference/gnu/classpath/VMSystemProperties.java: New file.
        * gnu/java/io/EncodingManager.java,
        gnu/java/net/protocol/file/Connection.java,
        java/io/File.java,
        java/lang/Throwable.java,
        java/security/Security.java,
        java/security/cert/X509CRLSelector.java,
        java/security/cert/X509CertSelector.java,
        java/util/Locale.java,
        vm/reference/java/lang/VMClassLoader.java:
        Modified to use SystemProperties.
        * java/lang/Class.java: Modified to use SecurityManager.current.
        * java/lang/ClassLoader.java
        (StaticData.systemClassLoader): New field.
        (StaticData.static): New static initializer to install default
        security manager.
        (ClassLoader()): Modified to use StaticData.systemClassLoader.
        ClassLoader(ClassLoader)): Modified to use SecurityManager.current.
        (findSystemClass): Modified to use StaticData.systemClassLoader.
        (getParent): Modified to use SecurityManager.current.
        (getSystemResource,getSystemResources): Modified to use
        StaticData.systemClassLoader.
        (getSystemClassLoader): Modified to use SecurityManager.current and
        StaticData.systemClassLoader.
        (getExtClassLoaderUrls,getSystemClassLoaderUrls): Modified to use
        SystemProperties.
        (defaultGetSystemClassLoader): Modified to use SecurityManager.current
        and SystemProperties.
        (getSystemProperty): Removed.
        * java/lang/Runtime.java
        (securityManager): Removed.
        (defaultProperties): Removed.
        (static): Removed.
        (Runtime): Modified to use SystemProperties.
        (exit,removeShutdownHook,halt,runFinalizersOnExit,exec,load,loadLib):
        Modified to use SecurityManager.current.
        (loadLibrary): Modified to use SecurityManager.current and changed
        call to System.mapLibraryName to VMRuntime.mapLibraryName.
        * java/lang/SecurityManager.java
        (current): New field.
        * java/lang/System.java
        (systemClassLoader): Removed.
        (properties): Removed.
        (in,out,err): Initialize in-line.
        (static): Removed.
        (initLoadLibrary): Removed.
        (initProperties): Removed.
        (initSystemClassLoader): Removed.
        (initSecurityManager): Removed.
        (setIn,setOut,setErr,setSecurityManager,getSecurityManager,getenv):
        Modified to use SecurityManager.current.
        (getProperties,setProperties,getProperty(String),
        getProperty(String,String),setProperty): Modified to use
        SecurityManager.current and SystemProperties.
        (mapLibraryName): Modified to call VMRuntime.mapLibraryName.
        * java/lang/Thread.java: Modified to use SecurityManager.current.
        * java/lang/ThreadGroup.java: Modified to use SecurityManager.current.
        * native/jni/java-lang/java_lang_VMSystem.c
        (Java_java_lang_VMSystem_isWordsBigEndian): Removed.
        * vm/reference/java/lang/VMRuntime.java
        (nativeGetLibname): Removed (renamed to mapLibraryName).
        (mapLibraryName): New method.
        (insertSystemProperties): Removed.
        * vm/reference/java/lang/VMSystem.java
        (isWordsBigEndian): Removed.

2004-12-07  Adam Heath  <doogie@brainfood.com>

        * libraries/javalib/gnu/java/io/decoder/KaffeDecoder.java,
        libraries/javalib/gnu/java/io/encoder/KaffeEncoder.java:
        The java spec allows for buffering when doing encoding
        conversions.  This change does internal buffering in these
        classes, for a huge speedup.

2004-12-07  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libltdl/install-sh:
	Made it executable (chmod +x).

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/xml/transform/TransformerFactory.java:
	Use gnu.xml.transform.TransformerFactoryImpl as the default
	transformer instead of libxmlj one.

	Reported by: Benja Fallenstein <b.fallenstein@gmx.de>

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/rmi/RMIMarshalledObjectInputStream.java,
	libraries/javalib/gnu/java/rmi/registry/RegistryImpl.java,
	libraries/javalib/gnu/java/rmi/rmic/TabbedWriter.java,
	libraries/javalib/gnu/java/security/der/DEREncodingException.java,
	libraries/javalib/gnu/java/util/prefs/FileBasedFactory.java,
	libraries/javalib/gnu/java/util/prefs/MemoryBasedFactory.java,
	libraries/javalib/gnu/java/util/prefs/MemoryBasedPreferences.java,
	libraries/javalib/gnu/java/util/prefs/NodeWriter.java,
	libraries/javalib/gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	libraries/javalib/gnu/javax/rmi/CORBA/ValueHandlerImpl.java:
	Resynced with GNU Classpath. Whitespace and import fixes.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/NIOServerSocket.java:
	Resynced with GNU Classpath.

2004-12-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c
	(clearBlockState): Check whether the thread has been killed and
	exit in that case.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_t): New field "status".
	(THREAD_KILL): New status for killed thread.
	
	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	(jthread_create): Set status to RUNNING.
	(jthread_exit): Do not rely on pthread_cancel to kill threads.
	
2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/io/decode/Decoder.java,
	libraries/javalib/gnu/java/io/encode/Encoder.java,
	libraries/javalib/java/io/OutputStreamWriter.java:
	Resynced with GNU Classpath.

	* libraries/javalib/gnu/java/io/encode/KaffeEncoder.java,
	libraries/javalib/java/lang/String.java:
	Updated for resynced code.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/RawData32.java,
	libraries/javalib/gnu/classpath/RawData64.java:
        Resynced with GNU Classpath.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/DefaultListCellRenderer.java,
	libraries/javalib/javax/swing/JLabel.java,
	libraries/javalib/javax/swing/JList.java:
        Resynced with GNU Classpath.

	2004-12-06  Michael Koch  <konqueror@gmx.de>

        * javax/swing/DefaultListCellRenderer.java
        (serialVersionUID): Made private.
        (getListCellRendererComponent): Set horizontal alignment.
        * javax/swing/JLabel.java
        (setVerticalAlignment): Re-implemented.
        (setHorizontalAlignment): Do nothing if old value = new value.
        * javax/swing/JList.java
        (setCellRenderer): Likewise.
        (setModel): Re-implemented.
        (setSelectionModel): Likewise.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/geom/Rectangle2D.java:
        Resynced with GNU Classpath.

	2004-12-06  David Gilbert <david.gilbert@object-refinery.com>

        * java/awt/Component.java,
        java/awt/geom/Rectangle2D.java:
        Javadoc fixes.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/BufferedInputStream.java:
        Resynced with GNU Classpath.

	2004-12-06  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/BufferedInputStream.java
        (read(byte,int,int)): Handle case when zero bytes are requested.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/color/ICC_Profile.java:
        Resynced with GNU Classpath.

	2004-12-06  Jeroen Frijters  <jeroen@frijters.net>

        * java/awt/color/ICC_Profile.java
        (finalize): Removed pointless field assignments.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/http/HTTPConnection.java,
	libraries/javalib/gnu/java/net/protocol/http/HTTPURLConnection.java:
	Resynced with GNU Classpath.
	
	2004-12-05  Chris Burdess  <dog@gnu.org>

        * gnu/java/net/protocol/http/HTTPConnection.java,
        gnu/java/net/protocol/http/HTTPURLConnection.java:
        HTTPURLConnection now derives from HttpsURLConnection.

	2004-12-01  Chris Burdess  <dog@gnu.org>

        * gnu/java/net/protocol/http/HTTPConnection.java:
        HTTPConnection's default User-Agent header set to "classpath/" plus
        the version of Classpath in use.

2004-12-06  Guilhem Lavaux  <guilhem@kaffe.org>

	* include/Makefile.am,
	include/Makefile.in: Generate JNI headers for ObjectInputStream
	and VMObjectStreamClass now.

	* libraries/javalib/Klasses.jar.bootstrap: Regenerated.

	* test/regression/TestSerializable2.java: Updated to match new
	error values.
	
	* java/io/ObjectInputStream.java, 
	java/io/ObjectStreamClass.java, 
	libraries/clib/io/java_io_ObjectInputStream.c:
	Resynced with GNU Classpath.
	
	2004-12-06  Guilhem Lavaux  <guilhem@kaffe.org>
	Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectInputStream.java
	(newObject): Changed prototype. Get a constructor reflect object
	directly.
	(callConstructor): Removed.
	(allocateObject): Changed prototype.
	(readClassDescriptor): Build the constructor reflection directly.
	(readObject): Invoke newObject using the new prototype.

	* java/io/ObjectStreamClass.java
	(firstNonSerializableParent): Removed.
	(firstNonSerializableParentConstructor): Added.
	
	* include/java_io_ObjectInputStream.h: Regenerated.

	* native/jni/java-io/java_io_ObjectInputStream.c
	(allocateObject): Allocate an object and call the requested
	constructor.
	(callConstructor): Removed.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/classpath/Configuration.java
	(CLASSPATH_VERSION) Updated.

	Reported by:  Michael Koch  <konqueror@gmx.de>

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* FAQ/FAQ.automake: Updated to automake 1.9.3.
	
	* Makefile.in,
	aclocal.m4,
	config/Makefile.in,
	developers/autogen.sh,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/aclocal.m4,
	kaffe/kaffevm/boehm-gc/boehm/doc/Makefile.in,
	kaffe/kaffevm/boehm-gc/boehm/include/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/Makefile.in,
	libltdl/aclocal.m4,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/classpath/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	scripts/compile,
	scripts/config.guess,
	scripts/install-sh,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

2004-12-06  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/xml/dom/ls/ReaderInputStream.java,
	libraries/javalib/gnu/xml/dom/ls/WriterOutputStream.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
	libraries/javalib/gnu/xml/libxmlj/util/XMLJ.java:
	Resynced with GNU JAXP.

	2004-12-06  Mark Wielaard  <mark@klomp.org>
	Fixes for Reader & InputStream wrapping.

2004-12-05  Davanum Srinivas  <davanum@gmail.com>

	* libraries/javalib/gnu/java/net/protocol/http/HTTPURLConnection.java:
	Treat empty string as the same as null string for both proxyHost 
	and proxyPort.

2004-12-05  Mark Wielaard  <mark@klomp.org>

	* libraries/javalib/java/lang/VMSecurityManager.java
	(getClassContext): Cleanup returned stack.

2004-12-05  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java:
	Updated expected stack traces.

2004-12-05  Casey Marshall  <csm@gnu.org>

	* kaffe/kaffevm/classMethod.h:
	(signers) new field.

	* libraries/clib/native/Class.c:
	(java_lang_Class_getSigners0) new function. implemented.
	(java_lang_Class_getSigners) removed.
	(java_lang_Class_setSigners) implemented.

	* libraries/javalib/java/lang/Class.java:
	(getSigners) implemented.

	* libraries/javalib/java/lang/ClassLoader.java:
	(setSigners) implemented.

2004-12-05  Mark Wielaard  <mark@klomp.org>

	* libraries/javalib/gnu/xml/dom/ls/ReaderInputStream.java
	(ReaderInputStream) Use UTF-8 as the default encoding.

2004-12-05  Dalibor Topic  <robilad@kaffe.org>

	* tools/gjdoc/javalib/Makefile.am:
	Adapted for new files from gjdoc.

	* tools/gjdoc/javalib/Makefile.in:
	Regenerated.

	* tools/gjdoc/javalib/com/sun/javadoc/Doc.java,
	tools/gjdoc/javalib/com/sun/javadoc/RootDoc.java,
	tools/gjdoc/javalib/com/sun/javadoc/SourcePosition.java,
	tools/gjdoc/javalib/doctranslets/gjdoc_common.xsl,
	tools/gjdoc/javalib/doctranslets/html/about.xsl,
	tools/gjdoc/javalib/doctranslets/html/allclasses.xsl,
	tools/gjdoc/javalib/doctranslets/html/allpackages.xsl,
	tools/gjdoc/javalib/doctranslets/html/alphaindex.xsl,
	tools/gjdoc/javalib/doctranslets/html/alphaindex_chunked.xsl,
	tools/gjdoc/javalib/doctranslets/html/classdoc-source.xsl,
	tools/gjdoc/javalib/doctranslets/html/classdoc-uses.xsl,
	tools/gjdoc/javalib/doctranslets/html/classdoc.xsl,
	tools/gjdoc/javalib/doctranslets/html/deprecated.xsl,
	tools/gjdoc/javalib/doctranslets/html/fulltree.xsl,
	tools/gjdoc/javalib/doctranslets/html/gjdoc.xsl,
	tools/gjdoc/javalib/doctranslets/html/help.xsl,
	tools/gjdoc/javalib/doctranslets/html/html_common.xsl,
	tools/gjdoc/javalib/doctranslets/html/index.xsl,
	tools/gjdoc/javalib/doctranslets/html/index_noframes.xsl,
	tools/gjdoc/javalib/doctranslets/html/packageclasses.xsl,
	tools/gjdoc/javalib/doctranslets/html/packagedoc.xsl,
	tools/gjdoc/javalib/doctranslets/html/serialized.xsl,
	tools/gjdoc/javalib/doctranslets/html/res/default_help_en.html,
	tools/gjdoc/javalib/doctranslets/html/res/gjdoc.js,
	tools/gjdoc/javalib/doctranslets/html/res/gjdochtml-clean.css,
	tools/gjdoc/javalib/doctranslets/html/res/gjdochtml-fixed.css,
	tools/gjdoc/javalib/doctranslets/html/res/gjdochtml-sclara.css,
	tools/gjdoc/javalib/doctranslets/html/res/gjdochtml.css,
	tools/gjdoc/javalib/dtd/dbcentx.mod,
	tools/gjdoc/javalib/dtd/gjdoc-alphaindex.dtd,
	tools/gjdoc/javalib/dtd/ent/iso-amsa.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsb.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsc.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsn.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amso.ent,
	tools/gjdoc/javalib/dtd/ent/iso-amsr.ent,
	tools/gjdoc/javalib/dtd/ent/iso-box.ent,
	tools/gjdoc/javalib/dtd/ent/iso-cyr1.ent,
	tools/gjdoc/javalib/dtd/ent/iso-cyr2.ent,
	tools/gjdoc/javalib/dtd/ent/iso-dia.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk1.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk2.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk3.ent,
	tools/gjdoc/javalib/dtd/ent/iso-grk4.ent,
	tools/gjdoc/javalib/dtd/ent/iso-lat1.ent,
	tools/gjdoc/javalib/dtd/ent/iso-lat2.ent,
	tools/gjdoc/javalib/dtd/ent/iso-num.ent,
	tools/gjdoc/javalib/dtd/ent/iso-pub.ent,
	tools/gjdoc/javalib/dtd/ent/iso-tech.ent,
	tools/gjdoc/javalib/gnu/classpath/tools/FileSystemClassLoader.java,
	tools/gjdoc/javalib/gnu/classpath/tools/IOToolkit.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/AbstractDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletConfigurationException.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOption.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOptionColonSeparated.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOptionFile.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOptionFlag.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/DocletOptionString.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/InvalidPackageWildcardException.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/PackageGroup.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/PackageMatcher.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/StandardTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/TagletPrinter.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/CssClass.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/Driver.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/Driver1_4.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/FileSystemClassLoader.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletException.java,
	tools/gjdoc/javalib/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocProxy.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ConstructorDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/DocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ErrorReporter.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/FieldDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/GjdocPackageDoc.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/GjdocRootDoc.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Main.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/MemberDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/MethodDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/PackageDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/Parser.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ProgramElementDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/RootDocImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/SeeTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/SourcePositionImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/TextTagImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/TypeImpl.java,
	tools/gjdoc/javalib/gnu/classpath/tools/java2xhtml/Java2xhtml.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/AuthorTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/DeprecatedTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/GenericTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/SinceTaglet.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/TagletContext.java,
	tools/gjdoc/javalib/gnu/classpath/tools/taglets/VersionTaglet.java,
	tools/gjdoc/javalib/htmldoclet/HtmlDoclet.properties,
	tools/gjdoc/javalib/htmldoclet/gjdochtml-vanilla.css,
	tools/gjdoc/javalib/htmldoclet/help.xhtml:
	Resynced with gjdoc. Works prety fine and fast now.

	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/MethodDocImpl.java: inherit
	documentation from superclass if possible.
	
	* src/gnu/classpath/tools/gjdoc/DocImpl.java: add getter for
	tagMap.
	
	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java: if
	the -group's don't cover all packages, put remaining packages into
	section "Other Packages" on the overview page.
	
	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/AbstractDoclet.java: changed
	directory name "docfiles" to "doc-files".
	
	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	fixed a NPE if a ThrowsTag doesn't resolve an exception
	
	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/resources/htmldoclet/HtmlDoclet.properties:
	* src/resources/htmldoclet/gjdochtml-vanilla.css:
	* src/resources/htmldoclet/help.xhtml:
	initial version.

	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java:
	accommodate for moved classes; tweak output XML code.

	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslate.java:
	accommodate for moved classes.
	
	* src/gnu/classpath/tools/doclets/DocletOptionColonSeparated.java
	added missing package specification and imports.

	* src/gnu/classpath/tools/doclets/StandardTaglet.java: made
	public.

	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: remember source
	position for classes; fix isIncluded(); properly resolve parameter
	types in link tags

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: remove <p>...</p>
	around firstSentenceTags; add setter for source position

	* src/gnu/classpath/tools/gjdoc/Main.java: pass all options to
	doclet, including those handled by gjdoc; change standard doclet
	to HtmlDoclet; minor fixes in usage output;

	* src/gnu/classpath/tools/gjdoc/PackageDocImpl.java: cache
	allClasses, ordinaryClasses and exceptions.

	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: sort classes;
	work around Classpath's writeUTF() performance issue; fix
	isIncluded().

	* src/gnu/classpath/tools/gjdoc/SeeTagImpl.java: fix resolution of
	java.lang classes.

	* src/gnu/classpath/tools/gjdoc/TextTagImpl.java: add getter for
	text.

	* src/gnu/classpath/tools/gjdoc/TypeImpl.java: fix isIncluded().

	* src/gnu/classpath/tools/taglets/AuthorTaglet.java: 
	* src/gnu/classpath/tools/taglets/SinceTaglet.java: 
	improve emitted HTML.
	
	2004-12-03  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/FileSystemClassLoader.java:
	* src/gnu/classpath/tools/doclets/PackageGroup.java:
	* src/gnu/classpath/tools/doclets/PackageMatcher.java:
	* src/gnu/classpath/tools/doclets/InvalidPackageWildcardException.java:
	* src/gnu/classpath/tools/doclets/StandardTaglet.java:
	moved from src/gnu/classpath/tools/doclets/xmldoclet

	* src/gnu/classpath/tools/IOToolkit.java:
	* src/gnu/classpath/tools/doclets/AbstractDoclet.java:
	* src/gnu/classpath/tools/doclets/DocletConfigurationException.java:
	* src/gnu/classpath/tools/doclets/DocletOption.java:
	* src/gnu/classpath/tools/doclets/DocletOptionColonSeparated.java:
	* src/gnu/classpath/tools/doclets/DocletOptionFile.java:
	* src/gnu/classpath/tools/doclets/DocletOptionFlag.java:
	* src/gnu/classpath/tools/doclets/DocletOptionString.java:
	* src/gnu/classpath/tools/doclets/TagletPrinter.java:
	* src/gnu/classpath/tools/doclets/htmldoclet/CssClass.java:
	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlDoclet.java:
	* src/gnu/classpath/tools/doclets/htmldoclet/HtmlPage.java:
	* src/gnu/classpath/tools/taglets/TagletContext.java:
	initial version.
	
	* src/gnu/classpath/tools/doclets/xmldoclet/FileSystemClassLoader.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/InvalidPackageWildcardException.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/PackageGroup.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/PackageMatcher.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/StandardTaglet.java:
	removed.
	
	2004-11-29  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: don't
	emit HTML repairing terminating text prematurely.

	2004-11-29  Julian Scheid <julian@sektor37.de>
	* src/resources/doctranslets/html/classdoc.xsl: added workaround
	for a problem in gnujaxp.
	
	2004-11-29  Julian Scheid <julian@sektor37.de>

	* src/resources/doctranslets/html/gjdoc.xsl: fixed XSL syntax
	error.

	2004-11-29  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletException.java:
	use reflection to set the root cause if possible.

	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	use DOMResult instead of StreamResult for output file list, thus
	improving performance and working around a bug in Aelfred.

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: output
	serializable fields; output root cause on exception.

	* src/resources/doctranslets/html/deprecated.xsl: correct filename
	in copyright header.

	* src/resources/doctranslets/html/gjdoc.xsl: add serialized page
	to output file list. correct condition for tree page.

	* src/resources/doctranslets/html/serialized.xsl: initial version.

	* examples/Makefile: add serialized.xsl to resources.
	
	2004-11-27  Julian Scheid <julian@sektor37.de>

	* src/resources/doctranslets/html/alphaindex.xsl: 
	* src/resources/doctranslets/html/alphaindex_chunked.xsl:
	* src/resources/doctranslets/html/classdoc.xsl:
	* src/resources/doctranslets/html/deprecated.xsl:
	* src/resources/doctranslets/html/fulltree.xsl:
	* src/resources/doctranslets/html/help.xsl:
	pass document title to javascript.

	* src/resources/doctranslets/html/packagedoc.xsl: pass document
	title to javascript; make XPath expression compatible with
	GNUJAXP.

	* src/resources/doctranslets/html/classdoc.xsl: pass document
	title to javascript; improve handling of <pre> tags.

	* src/resources/doctranslets/html/res/gjdoc.js: new handling of
	document title.

	* src/resources/doctranslets/html/html_common.xsl: minor
	refactoring.	

	2004-11-26  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: support
	option -group; allow use of options -tag and -taglet for
	specifying the order in which generic tags, user-specified tags
	and standard tags appear in the output document; minor
	refactoring; tidy comment indentation.

	* src/gnu/classpath/tools/gjdoc/Main.java: added option -group to
	usage information.

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: honor inline tag
	types instead of forcing all inline tags to {@link}; fix problem
	with inline tags that do not have a value; fix bug which produced
	invalid parameter names.
	
	* src/resources/doctranslets/html/classdoc.xsl: show deprecation
	information correctly in both summary and detail section.

	* src/resources/doctranslets/html/index_noframes.xsl: support
	grouped packages.

	* src/resources/doctranslets/html/packagedoc.xsl: tidy indentation
	in template output-classes-summary.

	* src/resources/doctranslets/html/gjdoc.xsl: fixed path to
	gjdoc.js resource.

	* src/resources/doctranslets/html/index.xsl: add common includes
	so that gjdoc.js is loaded.

	* src/resources/doctranslets/html/index_noframes.xsl: fixed page
	title.

	* src/resources/doctranslets/html/deprecated.xsl: fixed page
	title.

	* src/resources/doctranslets/html/res/gjdoc.js: copy page title to
	browser title on page load.

	* src/gnu/classpath/tools/doclets/xmldoclet/InvalidPackageWildcardException.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/PackageGroup.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/PackageMatcher.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/StandardTaglet.java:
	initial version.
	
	2004-11-25  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/taglets/AuthorTaglet.java: added a
	workaround for a bug in classpath regex handling.

	2004-11-25  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: fix NPEs
	if superclasses have empty field or method lists.

	2004-11-25  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver1_4.java:
	* src/gnu/classpath/tools/gjdoc/ClassDocProxy.java:
	apply latest patches by Andrew Overholt.

	2004-11-25  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: output
	isOrdinaryClass for clasdocs; output full superclass information,
	including inherited fields and methods; output full package
	documentation; output usage information; support option -uses.
	* src/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java:
	improved heuristics for detecting non-escaped ampersands.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	pass option -uses to stylesheets; create directory structure for
	usage pages if necessary.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	add field for option -uses.
	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: implement
	method hashCode().
	* src/gnu/classpath/tools/gjdoc/Parser.java: support comments
	between class declaration and opening brace in scanned source
	files.
	* src/resources/doctranslets/gjdoc_common.xsl: support option
	-uses.
	* src/resources/doctranslets/html/about.xsl: initial version.
	* src/resources/doctranslets/html/allclasses.xsl:
	* src/resources/doctranslets/html/packageclasses.xsl:
	* src/resources/doctranslets/html/allpackages.xsl: call javascript
	function when document is loaded; add CSS classes to header and
	links.
	* src/resources/doctranslets/html/alphaindex.xsl: 
	* src/resources/doctranslets/html/alphaindex_chunked.xsl: 
	* src/resources/doctranslets/html/deprecated.xsl:
	* src/resources/doctranslets/html/fulltree.xsl:
	* src/resources/doctranslets/html/help.xsl:
	* src/resources/doctranslets/html/index_noframes.xsl:
	call javascript function when document is loaded; set currently
	selected item in navbar; improved XHTML structure.
	* src/resources/doctranslets/html/classdoc-source.xsl: use
	template for title.
	* src/resources/doctranslets/html/classdoc-uses.xsl: initial
	version.
	* src/resources/doctranslets/html/classdoc.xsl: 
	call javascript function when document is loaded; set currently
	selected item in navbar; improved XHTML structure; link to source
	and usage; fixed output of enclosing class; implemented output of
	inherited methods and fields;
	* src/resources/doctranslets/html/gjdoc.xsl: support option -uses;
	copy alternate stylesheets; output about page.
	* src/resources/doctranslets/html/html_common.xsl: add javascript
	file and alternate stylesheets to template include_common;
	improved navigation bar.
	* src/resources/doctranslets/html/index.xsl: make left frame
	slightly smaller.
	* src/resources/doctranslets/html/packagedoc.xsl: call javascript
	function when document is loaded; set currently selected item in
	navbar; improved XHTML structure; split class list into
	interfaces, classes, exceptions and errors; output full package
	documentation.
	* src/resources/doctranslets/html/res/gjdochtml.css:
	fixed comment format; moved styles to gjdochtml-clean.css.
	* src/resources/doctranslets/html/res/gjdoc.js:
	* src/resources/doctranslets/html/res/gjdochtml-clean.css:
	* src/resources/doctranslets/html/res/gjdochtml-sclara.css:
	* src/resources/doctranslets/html/res/gjdochtml-fixed.css:
	initial version.
	
	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: output
	sub-tags for @deprecated tags; support @deprecated tags; support
	options -nodeprecated and -nodeprecatedlist; output coarse-grained
	deprecation information to index.xml.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	pass option -nodeprecatedlist to stylesheet.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	add field for option -nodeprecatedlist.
	* src/gnu/classpath/tools/gjdoc/Main.java: add options -tag,
	-nodeprecated, -nodeprecatedlist to usage.
	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: remove debugging
	output.
	* src/gnu/classpath/tools/taglets/DeprecatedTaglet.java: initial
	version.	
	* src/resources/doctranslets/gjdoc_common.xsl: support for option
	-nodeprecatedlist.
	* src/resources/doctranslets/html/classdoc.xsl: move templates
	get_qualified_type, resolve_parameter_list and output_link_tag to
	html_common.xsl.
	* src/resources/doctranslets/html/deprecated.xsl: initial version.
	* src/resources/doctranslets/html/gjdoc.xsl: implement list of
	deprecated API entries.
	* src/resources/doctranslets/html/html_common.xsl: add entry for
	deprecated list to navbar; templates get_qualified_type,
	resolve_parameter_list and output_link_tag moved here.

	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: support
	-doctitle option; output RootDoc documentation (if -overview
	given).
	* src/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java: fix
	NPE when outside class context; fix StringOutOfBoundsException
	when handling incomplete HTML tags like "</".
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	pass option -doctitle to stylesheet.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	add field for option -doctitle.
	* src/gnu/classpath/tools/gjdoc/DocImpl.java: fix problem with
	non-comment documentation like in overview page.
	* src/gnu/classpath/tools/gjdoc/Main.java: support -overview option.
	* src/resources/doctranslets/gjdoc_common.xsl: support -doctitle option.
	* src/resources/doctranslets/html/index_noframes.xsl: implement
	-doctitle and -overview option.
	* src/resources/doctranslets/html/res/gjdochtml.css: add CSS
	classes for overview page.
	
	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: use
	Doc.compareTo() instead of explicitly comparing Doc names.
	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: move comparison
	function to DocImpl.java.
	* src/gnu/classpath/tools/gjdoc/DocImpl.java: use locale-dependent
	Collator for comparing names of Docs.
	* src/gnu/classpath/tools/gjdoc/Main.java: provide a Collator
	using the user-specified locale.
	
	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/gjdoc/Main.java: support option
	-breakiterator; initial support for option -locale.
	* src/gnu/classpath/tools/gjdoc/DocImpl.java: implement option
	-breakiterator.
	
	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: rename
	option -stylesheet to -stylesheetfile; support options -header,
	-footer, -bottom.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	pass options -header, -footer, -bottom to stylesheet.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	add fields for options -header, -footer, -bottom.
	* src/gnu/classpath/tools/gjdoc/Main.java: add options -header,
	-footer, -bottom to usage; fix problem when -subpackages are
	specified but no other packages or classes are specified
	explicitly.
	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: add method
	hasSpecifiedPackagesOrClasses().
	* src/resources/doctranslets/gjdoc_common.xsl: support options
	-header, -footer, -bottom.
	* src/resources/doctranslets/html/alphaindex.xsl:
	* src/resources/doctranslets/html/alphaindex_chunked:
	* src/resources/doctranslets/html/classdoc.xsl:
	* src/resources/doctranslets/html/fulltree.xsl:
	* src/resources/doctranslets/html/help.xsl:
	* src/resources/doctranslets/html/html_common.xsl:
	* src/resources/doctranslets/html/index_noframes.xsl:
	* src/resources/doctranslets/html/packagedoc.xsl: 
	add bottom navigation bar.
	* src/resources/doctranslets/html/res/gjdochtml.css: improve
	navigation bar appearance.

	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/gjdoc/Main.java: Implemented options
	-subpackages and -exclude.

	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java:
	Implemented option -tag.
	* src/gnu/classpath/tools/taglets/GenericTaglet.java: initial
	version.
	
	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	* src/gnu/classpath/tools/gjdoc/Main.java:
	* src/resources/doctranslets/gjdoc_common.xsl:
	* src/resources/doctranslets/html/gjdoc.xsl:
	Renamed option -stylesheet to -stylesheetfile.

	2004-11-23  Julian Scheid <julian@sektor37.de>
	* src/com/sun/javadoc/Doc.java: add support for SourcePosition.
	* src/com/sun/javadoc/SourcePosition.java: initial version.
	* src/gnu/classpath/tools/java2xhtml/Java2xhtml.java: initial
	version.
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: sorted
	imports; made DocTransletOptions a field instead of a variable;
	added support for options -linksource, -windowtitle, -helpfile,
	-stylesheet; output source position in XML files; added
	copyStream(Reader, Writer).
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	pass options -linksource, -windowtitle, -helpfile, -stylesheet to
	stylesheets; move copyStream(InputStream, OutputStream) to
	Driver.java.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	added fields for options -linksource, -windowtitle, -helpfile,
	-stylesheet
	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: 
	* src/gnu/classpath/tools/gjdoc/ConstructorDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/DocImpl.java:
	* src/gnu/classpath/tools/gjdoc/ExecutableMemberDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/FieldDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/MemberDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/MethodDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/PackageDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/ProgramElementDocImpl.java:
	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java:
	add support for source position.
	* src/gnu/classpath/tools/gjdoc/SourcePositionImpl.java: initial
	version.
	* src/resources/doctranslets/gjdoc_common.xsl: add support for
	options -linksource, -windowtitle, -helpfile, -stylesheet;
	* src/resources/doctranslets/html/allclasses.xsl: add CSS class to
	link tags.
	* src/resources/doctranslets/html/alphaindex.xsl: use template for
	title; add quick access links for all categories.
	* src/resources/doctranslets/html/alphaindex_chunked.xsl: use
	template for title; add CSS class for quick access links.
	* src/resources/doctranslets/html/classdoc-source.xsl: initial
	version.
	* src/resources/doctranslets/html/classdoc.xsl: use template for
	title; add links to source code.
	* src/resources/doctranslets/html/fulltree.xsl: 
	* src/resources/doctranslets/html/gjdoc.xsl: support options
	-linksource, -stylesheet.
	* src/resources/doctranslets/html/help.xsl: support -helpfile
	option.
	* src/resources/doctranslets/html/html_common.xsl: introduce
	template for outputting title which supports option -windowtitle;
	improve navigation bar.
	* src/resources/doctranslets/html/index.xsl: fix problem with
	default pages with single-package docs 
	* src/resources/doctranslets/html/index_noframes.xsl: use template
	for title; disable home button.
	* src/resources/doctranslets/html/packagedoc.xsl: use template for
	title.
	* src/resources/doctranslets/html/res/gjdochtml.css: improve
	visual appearance.

	2004-11-22  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: support
	VersionTaglet and SinceTaglet; support -version and -nosince
	options; fix -author option.
	* src/gnu/classpath/tools/gjdoc/Main.java: add options -version
	and -nosince to usage.
	* src/resources/doctranslets/html/classdoc.xsl: remove explicit
	handling of @since tags.
	* src/gnu/classpath/tools/taglets/SinceTaglet.java
	* src/gnu/classpath/tools/taglets/VersionTaglet.java: Initial
	version.
	
	2004-11-22  Julian Scheid <julian@sektor37.de>
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: pass
	options -nohelp and -splitindex to DocTranslet; implement
	alphabetic index export.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	make parameters from command line available to gjdoc.xsl as well;
	cope with empty <info/> elements in gjdoc.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	add fields for -nohelp and -splitindex options.
	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: fix
	implementation of isOrdinaryClass(); cope with null methods and
	constructors;
	* src/gnu/classpath/tools/gjdoc/Main.java: add options
	-splitindex, -notree, -noindex and -nohelp to usage.
	* src/resources/doctranslets/gjdoc_common.xsl: support -splitindex
	option.
	* src/resources/doctranslets/html/html_common.xsl: add central
	template for rendering the navigation bar.
	* src/resources/doctranslets/html/classdoc.xsl:
	* src/resources/doctranslets/html/index_noframes.xsl:
	* src/resources/doctranslets/html/packagedoc.xsl:
	* src/resources/doctranslets/html/fulltree.xsl: use template code
	for showing navigation bar.
	* src/resources/dtd/gjdoc-alphaindex.dtd
	* src/resources/doctranslets/html/help.xsl:
	* src/resources/doctranslets/html/alphaindex.xsl:
	* src/resources/doctranslets/html/alphaindex_chunked.xsl
	* src/resources/doctranslets/html/res/default_help_en.html:
	Initial version.
	
	2004-11-22  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/HtmlRepairer.java: fix
	filename in copyright notice.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	accept options from command line; set options for XSL transformation.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTransletOptions.java:
	initial version.
	* src/gnu/classpath/tools/gjdoc/Main.java: support option
	-encoding; output warning for ignored options -verbose, -locale;
	add options -docletpath, -source, -verbose, -locale, -encoding,
	-author, -title, -nonavbar, -docfilessubdirs and
	-excluddocfilesdubdirs to usage.
	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/Driver.java:
	support options -docfilessubdirs and -excluddocfilesdubdirs;
	support option -author; don't output tag data if it is null; pass
	on options -nonavbar, -noindex, -notree and -nocomment to
	DocTranslet;
	* src/gnu/classpath/tools/taglets/AuthorTaglet.java: support
	enabling and disabling of output;
	* src/gnu/classpath/tools/gjdoc/Parser.java: support input
	encodings; fix a bug which would reuse the class comment for the
	first class method if the method doesn't have a comment itself.
	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: support input
	encodings; output warning if there's a mismatch between a class
	name and the name of the file it's residing in; print notice
	instead of warning if a package description can't be found.
	* src/resources/doctranslets/gjdoc_common.xsl: support for command
	line options -nonavbar, -noindex, -notree, -nohelp, -nocomment.
	* src/resources/doctranslets/html/classdoc.xsl: implement command
	line option -nonavbar.
	* src/resources/doctranslets/html/packagedoc.xsl: implement
	command line option -nonavbar.	
	* src/resources/doctranslets/html/index.xsl: don't generate
	package overview pages if only one package is being documented.
	* src/resources/doctranslets/html/gjdoc.xsl: don't generate
	package overview pages if only one package is being documented.
	
	2004-11-21  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/taglets/AuthorTaglet.java: remove call
	to assert() for compatiblity with pre-1.4 compilers.
	* src/gnu/classpath/tools/doclets/xmldoclet/DocTransletException.java: 
	remove call to Exception(String, Throwable) and
	Exception(Throwable) for compatiblity with pre-1.4 compilers (as
	per Debian patch 06_no1.4classpath).
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: fall back
	to current directory if no target directory has been specified (as
	per Debian patch 07_default_out_dir.dpatch).

	2004-11-21  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java:
	don't keep package data in memory during XSLT transformation.
	* src/gnu/classpath/tools/gjdoc/ErrorReporter.java: remember
	output channel in constructor; avoid infinite recursion in
	conjunction with XSLT error redireciton.

	2004-11-21  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	redirect stderr while transforming so that stylesheet messages are
	handled by the DocErrorReporter.
	* src/resources/java.lang-classes-1.2.txt: initial version.
	* src/resources/java.lang-classes-1.3.txt: initial version.
	* src/resources/java.lang-classes-1.4.txt: initial version.
	* src/resources/java.lang-classes-1.5.txt: initial version.
	* src/gnu/classpath/tools/gjdoc/Main.java: use
	DocErrorReporter.printNotice() for reporting warning and error
	count; add dummy classes for package java.lang; implement option
	-quiet; flush rootDoc instead of releasing the reference.
	
	2004-11-21  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/ClassDocImpl.java: allow various
	fields to be null.
	* src/gnu/classpath/tools/gjdoc/GjdocPackageDoc.java: initial
	version.
	* src/gnu/classpath/tools/gjdoc/GjdocRootDoc.java: initial
	version.
	* src/gnu/classpath/tools/gjdoc/PackageDocImpl.java: implement
	GjdocPackageDoc; add getter and setter for package directory.
	* src/gnu/classpath/tools/gjdoc/RootDocImpl.java: implement
	GjdocRootDoc; remove notice about core source code being required;
	set directory for scanned packages; add flush() method.
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: remove
	BackupErrorReporter (continue to use RootDoc for error reporting);
	cope with null fields in ClassDocImpl; improve error message
	related to @throws tags; avoid error with -xmlonly if DTD
	directory already exists; copy data-dir directory.
	
	2004-11-21  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/gjdoc/DocImpl.java: don't skip HTML tags
	when skipping whitespace. Fixes bug #8810 (no html tag as first
	word of @param tag).
	* src/resources/doctranslets/html/classdoc.xsl: specify doctype;
	use copy-of instead of value-of for copying tag contents,
	preserving any nested HTML tags.
	* src/resources/doctranslets/html/index_noframes.xsl: specify
	doctype; use apply-templates instead of value-of for copying
	package comment, preserving any nested HTML tags.
	
	2004-11-21  Julian Scheid <julian@sektor37.de>

	* examples/classpath.packages: removed duplicate entry
	"java.awt.geom" as per bug #9375. Thanks to David Gilbert.
	* src/gnu/classpath/tools/taglets/AuthorTaglet.java: fixed problem in 
	regexp which would barf on real names with more than two words.
	* src/gnu/classpath/tools/gjdoc/ErrorReporter.java: added method 
	setQuiet().

	2004-11-20  Arnaud Vandyck <avdyk@gnu.org>

	* src/gnu/classpath/tools/gjdoc/Main: Eclipse reformat, added some javadoc,
	added every options gjdoc should support in a commentary. '-locale' and
	'-encoding' needs an additional argument. Added options to be registered in
	the docRoot: '-docletpath', more to come...

	2004-11-20  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java: register
	AuthorTaglet; accept configuration options for AuthorTaglet.
	* src/resources/doctranslets/html/classdoc.xsl: remove hardwired
	handling of @author tags; add missing handling of taglet tags; fix 
	transformation of taglet tags.
	* src/gnu/classpath/tools/taglets/AuthorTaglet.java: added.
	* src/gnu/classpath/tools/gjdoc/Main.java: added new options to usage.
	
	2004-11-20  Julian Scheid <julian@sektor37.de>

	* src/gnu/classpath/tools/doclets/xmldoclet/doctranslet/DocTranslet.java:
	avoid setting XSL parameters with null values
	* src/resources/doctranslets/html/classdoc.xsl: added dummies for
	missing templates "output_superclass_fields" and
	"output_superclass_methods", enabling compilation of classdoc.xsl
	on strict transformer implementations.
	* src/gnu/classpath/tools/doclets/xmldoclet/Driver.java:
	create target directory if it doesn't exist.

	2004-11-18  Arnaud Vandyck <avdyk@gnu.org>

	* src/com/sun/javadoc/RootDoc: Eclipse reformat and added some javadoc.

2004-12-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/xml/namespace/QName.java:
	(getLocalName) renamed to
	(getLocalPart) to match the specification.

	* libraries/javalib/gnu/xml/transform/KeyFunction.java,
	libraries/javalib/gnu/xml/transform/Stylesheet.java,
	libraries/javalib/gnu/xml/transform/SystemPropertyFunction.java,
	libraries/javalib/gnu/xml/xpath/NameTest.java,
	libraries/javalib/gnu/xml/xpath/NamespaceTest.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.java:
	Adapted accordingly.

2004-12-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Updated for new GNU JAXP files.

	* libraries/clib/libxmlj/xmlj_dom.c,
	libraries/clib/libxmlj/xmlj_dom.h,
	libraries/clib/libxmlj/xmlj_io.c,
	libraries/clib/libxmlj/xmlj_node.c,
	libraries/clib/libxmlj/xmlj_sax.c,
	libraries/clib/libxmlj/xmlj_util.c,
	libraries/javalib/gnu/xml/aelfred2/ContentHandler2.java,
	libraries/javalib/gnu/xml/aelfred2/JAXPFactory.java,
	libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
	libraries/javalib/gnu/xml/aelfred2/XmlParser.java,
	libraries/javalib/gnu/xml/dom/Consumer.java,
	libraries/javalib/gnu/xml/dom/DTDAttributeTypeInfo.java,
	libraries/javalib/gnu/xml/dom/DTDElementTypeInfo.java,
	libraries/javalib/gnu/xml/dom/DomAttr.java,
	libraries/javalib/gnu/xml/dom/DomCDATA.java,
	libraries/javalib/gnu/xml/dom/DomCharacterData.java,
	libraries/javalib/gnu/xml/dom/DomComment.java,
	libraries/javalib/gnu/xml/dom/DomDoctype.java,
	libraries/javalib/gnu/xml/dom/DomDocument.java,
	libraries/javalib/gnu/xml/dom/DomDocumentBuilder.java,
	libraries/javalib/gnu/xml/dom/DomDocumentBuilderFactory.java,
	libraries/javalib/gnu/xml/dom/DomDocumentConfiguration.java,
	libraries/javalib/gnu/xml/dom/DomElement.java,
	libraries/javalib/gnu/xml/dom/DomEntity.java,
	libraries/javalib/gnu/xml/dom/DomEntityReference.java,
	libraries/javalib/gnu/xml/dom/DomEx.java,
	libraries/javalib/gnu/xml/dom/DomExtern.java,
	libraries/javalib/gnu/xml/dom/DomFragment.java,
	libraries/javalib/gnu/xml/dom/DomImpl.java,
	libraries/javalib/gnu/xml/dom/DomIterator.java,
	libraries/javalib/gnu/xml/dom/DomNamedNodeMap.java,
	libraries/javalib/gnu/xml/dom/DomNode.java,
	libraries/javalib/gnu/xml/dom/DomNotation.java,
	libraries/javalib/gnu/xml/dom/DomNsNode.java,
	libraries/javalib/gnu/xml/dom/DomPI.java,
	libraries/javalib/gnu/xml/dom/DomText.java,
	libraries/javalib/gnu/xml/dom/ImplementationList.java,
	libraries/javalib/gnu/xml/dom/ImplementationSource.java,
	libraries/javalib/gnu/xml/dom/JAXPFactory.java,
	libraries/javalib/gnu/xml/dom/package.html,
	libraries/javalib/gnu/xml/dom/ls/DomLSEx.java,
	libraries/javalib/gnu/xml/dom/ls/DomLSInput.java,
	libraries/javalib/gnu/xml/dom/ls/DomLSOutput.java,
	libraries/javalib/gnu/xml/dom/ls/DomLSParser.java,
	libraries/javalib/gnu/xml/dom/ls/DomLSSerializer.java,
	libraries/javalib/gnu/xml/dom/ls/FilteredSAXEventSink.java,
	libraries/javalib/gnu/xml/dom/ls/ReaderInputStream.java,
	libraries/javalib/gnu/xml/dom/ls/SAXEventSink.java,
	libraries/javalib/gnu/xml/dom/ls/WriterOutputStream.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeAttr.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeCDATASection.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeCharacterData.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeComment.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDOMException.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDOMStringList.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocument.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeDocumentBuilder.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeElement.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNode.java,
	libraries/javalib/gnu/xml/libxmlj/dom/GnomeNodeIterator.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
	libraries/javalib/gnu/xml/libxmlj/util/XMLJ.java,
	libraries/javalib/gnu/xml/pipeline/DomConsumer.java,
	libraries/javalib/gnu/xml/pipeline/EventFilter.java,
	libraries/javalib/gnu/xml/transform/AbstractNumberNode.java,
	libraries/javalib/gnu/xml/transform/ApplyImportsNode.java,
	libraries/javalib/gnu/xml/transform/ApplyTemplatesNode.java,
	libraries/javalib/gnu/xml/transform/AttributeNode.java,
	libraries/javalib/gnu/xml/transform/AttributeSet.java,
	libraries/javalib/gnu/xml/transform/Bindings.java,
	libraries/javalib/gnu/xml/transform/CallTemplateNode.java,
	libraries/javalib/gnu/xml/transform/ChooseNode.java,
	libraries/javalib/gnu/xml/transform/CommentNode.java,
	libraries/javalib/gnu/xml/transform/CopyNode.java,
	libraries/javalib/gnu/xml/transform/CopyOfNode.java,
	libraries/javalib/gnu/xml/transform/CurrentFunction.java,
	libraries/javalib/gnu/xml/transform/DocumentFunction.java,
	libraries/javalib/gnu/xml/transform/DummyNode.java,
	libraries/javalib/gnu/xml/transform/ElementAvailableFunction.java,
	libraries/javalib/gnu/xml/transform/ElementNode.java,
	libraries/javalib/gnu/xml/transform/ForEachNode.java,
	libraries/javalib/gnu/xml/transform/FormatNumberFunction.java,
	libraries/javalib/gnu/xml/transform/FunctionAvailableFunction.java,
	libraries/javalib/gnu/xml/transform/GenerateIdFunction.java,
	libraries/javalib/gnu/xml/transform/IfNode.java,
	libraries/javalib/gnu/xml/transform/Key.java,
	libraries/javalib/gnu/xml/transform/KeyFunction.java,
	libraries/javalib/gnu/xml/transform/LiteralNode.java,
	libraries/javalib/gnu/xml/transform/MessageNode.java,
	libraries/javalib/gnu/xml/transform/NodeNumberNode.java,
	libraries/javalib/gnu/xml/transform/NumberNode.java,
	libraries/javalib/gnu/xml/transform/OtherwiseNode.java,
	libraries/javalib/gnu/xml/transform/ParameterNode.java,
	libraries/javalib/gnu/xml/transform/ProcessingInstructionNode.java,
	libraries/javalib/gnu/xml/transform/SAXSerializer.java,
	libraries/javalib/gnu/xml/transform/SortKey.java,
	libraries/javalib/gnu/xml/transform/StreamSerializer.java,
	libraries/javalib/gnu/xml/transform/Stylesheet.java,
	libraries/javalib/gnu/xml/transform/SystemPropertyFunction.java,
	libraries/javalib/gnu/xml/transform/Template.java,
	libraries/javalib/gnu/xml/transform/TemplateNode.java,
	libraries/javalib/gnu/xml/transform/TemplatesImpl.java,
	libraries/javalib/gnu/xml/transform/TextNode.java,
	libraries/javalib/gnu/xml/transform/TransformerFactoryImpl.java,
	libraries/javalib/gnu/xml/transform/TransformerImpl.java,
	libraries/javalib/gnu/xml/transform/TransformerOutputProperties.java,
	libraries/javalib/gnu/xml/transform/UnparsedEntityUriFunction.java,
	libraries/javalib/gnu/xml/transform/ValueOfNode.java,
	libraries/javalib/gnu/xml/transform/WhenNode.java,
	libraries/javalib/gnu/xml/transform/WithParam.java,
	libraries/javalib/gnu/xml/transform/XSLComparator.java,
	libraries/javalib/gnu/xml/transform/XSLURIResolver.java,
	libraries/javalib/gnu/xml/transform/package.html,
	libraries/javalib/gnu/xml/xpath/AndExpr.java,
	libraries/javalib/gnu/xml/xpath/ArithmeticExpr.java,
	libraries/javalib/gnu/xml/xpath/BooleanFunction.java,
	libraries/javalib/gnu/xml/xpath/CeilingFunction.java,
	libraries/javalib/gnu/xml/xpath/ConcatFunction.java,
	libraries/javalib/gnu/xml/xpath/Constant.java,
	libraries/javalib/gnu/xml/xpath/ContainsFunction.java,
	libraries/javalib/gnu/xml/xpath/CountFunction.java,
	libraries/javalib/gnu/xml/xpath/DocumentOrderComparator.java,
	libraries/javalib/gnu/xml/xpath/EqualityExpr.java,
	libraries/javalib/gnu/xml/xpath/Expr.java,
	libraries/javalib/gnu/xml/xpath/ExpressionTest.java,
	libraries/javalib/gnu/xml/xpath/FalseFunction.java,
	libraries/javalib/gnu/xml/xpath/FloorFunction.java,
	libraries/javalib/gnu/xml/xpath/Function.java,
	libraries/javalib/gnu/xml/xpath/FunctionCall.java,
	libraries/javalib/gnu/xml/xpath/IdFunction.java,
	libraries/javalib/gnu/xml/xpath/LangFunction.java,
	libraries/javalib/gnu/xml/xpath/LastFunction.java,
	libraries/javalib/gnu/xml/xpath/LocalNameFunction.java,
	libraries/javalib/gnu/xml/xpath/NameFunction.java,
	libraries/javalib/gnu/xml/xpath/NameTest.java,
	libraries/javalib/gnu/xml/xpath/NamespaceTest.java,
	libraries/javalib/gnu/xml/xpath/NamespaceUriFunction.java,
	libraries/javalib/gnu/xml/xpath/NegativeExpr.java,
	libraries/javalib/gnu/xml/xpath/NodeTypeTest.java,
	libraries/javalib/gnu/xml/xpath/NormalizeSpaceFunction.java,
	libraries/javalib/gnu/xml/xpath/NotFunction.java,
	libraries/javalib/gnu/xml/xpath/NumberFunction.java,
	libraries/javalib/gnu/xml/xpath/OrExpr.java,
	libraries/javalib/gnu/xml/xpath/ParenthesizedExpr.java,
	libraries/javalib/gnu/xml/xpath/Path.java,
	libraries/javalib/gnu/xml/xpath/Pattern.java,
	libraries/javalib/gnu/xml/xpath/PositionFunction.java,
	libraries/javalib/gnu/xml/xpath/Predicate.java,
	libraries/javalib/gnu/xml/xpath/RelationalExpr.java,
	libraries/javalib/gnu/xml/xpath/Root.java,
	libraries/javalib/gnu/xml/xpath/RoundFunction.java,
	libraries/javalib/gnu/xml/xpath/Selector.java,
	libraries/javalib/gnu/xml/xpath/StartsWithFunction.java,
	libraries/javalib/gnu/xml/xpath/Step.java,
	libraries/javalib/gnu/xml/xpath/Steps.java,
	libraries/javalib/gnu/xml/xpath/StringFunction.java,
	libraries/javalib/gnu/xml/xpath/StringLengthFunction.java,
	libraries/javalib/gnu/xml/xpath/SubstringAfterFunction.java,
	libraries/javalib/gnu/xml/xpath/SubstringBeforeFunction.java,
	libraries/javalib/gnu/xml/xpath/SubstringFunction.java,
	libraries/javalib/gnu/xml/xpath/SumFunction.java,
	libraries/javalib/gnu/xml/xpath/Test.java,
	libraries/javalib/gnu/xml/xpath/TranslateFunction.java,
	libraries/javalib/gnu/xml/xpath/TrueFunction.java,
	libraries/javalib/gnu/xml/xpath/UnionExpr.java,
	libraries/javalib/gnu/xml/xpath/VariableReference.java,
	libraries/javalib/gnu/xml/xpath/XPathFactoryImpl.java,
	libraries/javalib/gnu/xml/xpath/XPathImpl.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.y,
	libraries/javalib/gnu/xml/xpath/XPathTest.java,
	libraries/javalib/gnu/xml/xpath/XPathTokenizer.java,
	libraries/javalib/javax/xml/namespace/QName.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilderFactory.java,
	libraries/javalib/javax/xml/transform/TransformerConfigurationException.java,
	libraries/javalib/javax/xml/transform/TransformerException.java,
	libraries/javalib/javax/xml/transform/TransformerFactory.java:
	Resynced with GNU JAXP.

	2004-11-26  Chris Burdess <dog@gnu.org>

        * xmlj_util.c: Check for exception in xmljNewString.

	2004-11-17  Chris Burdess <dog@gnu.org>

        * dom: DOM Level 3 Core conformance testing.

	2004-11-12  Chris Burdess <dog@gnu.org>

        * GnomeTransformerFactory.java: Implemented getAssociatedStylesheet.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/ftp/package.html,
	libraries/javalib/gnu/java/net/protocol/http/package.html:
	Resynced with GNU Classpath.


	2004-12-03  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/ftp/package.html,
	gnu/java/net/protocol/http/package.html:
	Add missing files.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>
	* libraries/javalib/java/awt/EventDispatchThread.java,
	libraries/javalib/java/awt/Toolkit.java,
	libraries/javalib/java/io/ObjectStreamClass.java,
	libraries/javalib/java/lang/reflect/Proxy.java,
	libraries/javalib/java/net/URL.java,
	libraries/javalib/java/security/SecureRandom.java,
	libraries/javalib/java/util/Timer.java,
	libraries/javalib/java/util/prefs/AbstractPreferences.java:
	Resynced with GNU Classpath.

	2004-12-02  Jeroen Frijters  <jeroen@frijters.net>

	* java/awt/EventDispatchThread.java,
	java/awt/Toolkit.java,
	java/io/ObjectStreamClass.java,
	java/lang/reflect/Proxy.java,
	java/net/URL.java,
	java/security/SecureRandom.java,
	java/util/Timer.java,
	java/util/prefs/AbstractPreferences.java,
	vm/reference/java/lang/VMProcess.java:
	Don't catch java.lang.ThreadDeath.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/file/Connection.java:
        Resynced with GNU Classpath.

	2004-12-02  Jeroen Frijters  <jeroen@frijters.net>

        * gnu/java/net/protocol/file/Connection.java
        (StaticData): New inner class to contain statics.
        (connect, getHeaderField): Modified to use StaticData.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/javax/swing/AbstractListModel.java,
	libraries/javalib/javax/swing/DefaultSingleSelectionModel.java,
	libraries/javalib/javax/swing/JPopupMenu.java:
        Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * javax/swing/AbstractListModel.java
        (fireContentsChanged): Simplified.
        (fireIntervalAdded): Likewise.
        (fireIntervalRemoved): Likewise.
        * javax/swing/DefaultSingleSelectionModel.java:
        Reformatted.
        (fireStateChanged): Simplified.
        * javax/swing/JPopupMenu.java
        (setSelectionModel): Set property.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/SelectorImpl.java:
        Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * gnu/java/nio/SelectorImpl.java
        (register): Removed redundant code.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/print/Book.java:
        Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * java/awt/print/Book.java: Reformatted.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/java/awt/geom/Area.java:
	Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * java/awt/geom/Area.java
        (QuadSegment.curveArea): Remove unused variables.
        (CubicSegment.curveArea): Likewise.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/locale/LocaleInformation_af_ZA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_DZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_IQ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_JO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_KW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_LB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_LY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_MA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_QA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_SY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_TN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ar_YE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_be_BY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_bn_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ca_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_cs_CZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_cy_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_da_DK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_AT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_CH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_DE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_de_LU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_el_GR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_AU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_BW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_CA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_HK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_IE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_NZ.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_PH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_SG.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_US.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_ZA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_en_ZW.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_AR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_BO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_CL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_CO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_CR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_DO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_EC.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_GT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_HN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_MX.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_NI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_PY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_SV.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_US.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_UY.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_es_VE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_et_EE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_eu_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fa_IR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fi_FI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fo_FO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_CA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_CH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_fr_LU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ga_IE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gl_ES.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_gv_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_he_IL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hi_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_hu_HU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_id_ID.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_it_CH.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_it_IT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ja_JP.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kl_GL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ko_KR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_kw_GB.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lt_LT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_lv_LV.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mr_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_mt_MT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nl.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nl_BE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nl_NL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_nn_NO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pl_PL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pt_BR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_pt_PT.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ro_RO.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ru_RU.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ru_UA.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sk_SK.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sq_AL.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sv_FI.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_sv_SE.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_ta_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_te_IN.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_tr_TR.java,
	libraries/javalib/gnu/java/locale/LocaleInformation_uk_UA.java:
	Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * gnu/java/locale/LocaleInformation_en.java,
        gnu/java/locale/LocaleInformation_nl.java:
        Removed unneeded comments.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * gnu/java/locale/LocaleInformation_de.java:
        Re-generated with current gnu.localegen.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * gnu/java/locale/LocaleInformation_af_ZA.java,
        gnu/java/locale/LocaleInformation_ar_DZ.java,
        gnu/java/locale/LocaleInformation_ar_IN.java,
        gnu/java/locale/LocaleInformation_ar_IQ.java,
        gnu/java/locale/LocaleInformation_ar_JO.java,
        gnu/java/locale/LocaleInformation_ar_KW.java,
        gnu/java/locale/LocaleInformation_ar_LB.java,
        gnu/java/locale/LocaleInformation_ar_LY.java,
        gnu/java/locale/LocaleInformation_ar_MA.java,
        gnu/java/locale/LocaleInformation_ar_QA.java,
        gnu/java/locale/LocaleInformation_ar_SY.java,
        gnu/java/locale/LocaleInformation_ar_TN.java,
        gnu/java/locale/LocaleInformation_ar_YE.java,
        gnu/java/locale/LocaleInformation_be_BY.java,
        gnu/java/locale/LocaleInformation_bn_IN.java,
        gnu/java/locale/LocaleInformation_ca_ES.java,
        gnu/java/locale/LocaleInformation_cs_CZ.java,
        gnu/java/locale/LocaleInformation_cy_GB.java,
        gnu/java/locale/LocaleInformation_da_DK.java,
        gnu/java/locale/LocaleInformation_de_AT.java,
        gnu/java/locale/LocaleInformation_de_AT.java,
        gnu/java/locale/LocaleInformation_de_BE.java,
        gnu/java/locale/LocaleInformation_de_CH.java,
        gnu/java/locale/LocaleInformation_de_DE.java,
        gnu/java/locale/LocaleInformation_de_LU.java,
        gnu/java/locale/LocaleInformation_el_GR.java,
        gnu/java/locale/LocaleInformation_en_AU.java,
        gnu/java/locale/LocaleInformation_en_BW.java,
        gnu/java/locale/LocaleInformation_en_CA.java,
        gnu/java/locale/LocaleInformation_en_GB.java,
        gnu/java/locale/LocaleInformation_en_HK.java,
        gnu/java/locale/LocaleInformation_en_IE.java,
        gnu/java/locale/LocaleInformation_en_IN.java,
        gnu/java/locale/LocaleInformation_en_NZ.java,
        gnu/java/locale/LocaleInformation_en_PH.java,
        gnu/java/locale/LocaleInformation_en_SG.java,
        gnu/java/locale/LocaleInformation_en_US.java,
        gnu/java/locale/LocaleInformation_en_ZA.java,
        gnu/java/locale/LocaleInformation_en_ZW.java,
        gnu/java/locale/LocaleInformation_es_AR.java,
        gnu/java/locale/LocaleInformation_es_BO.java,
        gnu/java/locale/LocaleInformation_es_CL.java,
        gnu/java/locale/LocaleInformation_es_CO.java,
        gnu/java/locale/LocaleInformation_es_CR.java,
        gnu/java/locale/LocaleInformation_es_DO.java,
        gnu/java/locale/LocaleInformation_es_EC.java,
        gnu/java/locale/LocaleInformation_es_ES.java,
        gnu/java/locale/LocaleInformation_es_GT.java,
        gnu/java/locale/LocaleInformation_es_HN.java,
        gnu/java/locale/LocaleInformation_es_MX.java,
        gnu/java/locale/LocaleInformation_es_NI.java,
        gnu/java/locale/LocaleInformation_es_PA.java,
        gnu/java/locale/LocaleInformation_es_PE.java,
        gnu/java/locale/LocaleInformation_es_PR.java,
        gnu/java/locale/LocaleInformation_es_PY.java,
        gnu/java/locale/LocaleInformation_es_SV.java,
        gnu/java/locale/LocaleInformation_es_US.java,
        gnu/java/locale/LocaleInformation_es_UY.java,
        gnu/java/locale/LocaleInformation_es_VE.java,
        gnu/java/locale/LocaleInformation_et_EE.java,
        gnu/java/locale/LocaleInformation_eu_ES.java,
        gnu/java/locale/LocaleInformation_fa_IR.java,
        gnu/java/locale/LocaleInformation_fi_FI.java,
        gnu/java/locale/LocaleInformation_fo_FO.java,
        gnu/java/locale/LocaleInformation_fr_BE.java,
        gnu/java/locale/LocaleInformation_fr_CA.java,
        gnu/java/locale/LocaleInformation_fr_CH.java,
        gnu/java/locale/LocaleInformation_fr_LU.java,
        gnu/java/locale/LocaleInformation_ga_IE.java,
        gnu/java/locale/LocaleInformation_gl_ES.java,
        gnu/java/locale/LocaleInformation_gv_GB.java,
        gnu/java/locale/LocaleInformation_he_IL.java,
        gnu/java/locale/LocaleInformation_hi_IN.java,
        gnu/java/locale/LocaleInformation_hu_HU.java,
        gnu/java/locale/LocaleInformation_id_ID.java,
        gnu/java/locale/LocaleInformation_it_CH.java,
        gnu/java/locale/LocaleInformation_it_IT.java,
        gnu/java/locale/LocaleInformation_ja_JP.java,
        gnu/java/locale/LocaleInformation_kl_GL.java,
        gnu/java/locale/LocaleInformation_ko_KR.java,
        gnu/java/locale/LocaleInformation_kw_GB.java,
        gnu/java/locale/LocaleInformation_lt_LT.java,
        gnu/java/locale/LocaleInformation_lv_LV.java,
        gnu/java/locale/LocaleInformation_mr_IN.java,
        gnu/java/locale/LocaleInformation_mt_MT.java,
        gnu/java/locale/LocaleInformation_nl_BE.java,
        gnu/java/locale/LocaleInformation_nl_NL.java,
        gnu/java/locale/LocaleInformation_nn_NO.java,
        gnu/java/locale/LocaleInformation_pl_PL.java,
        gnu/java/locale/LocaleInformation_pt_BR.java,
        gnu/java/locale/LocaleInformation_pt_PT.java,
        gnu/java/locale/LocaleInformation_ro_RO.java,
        gnu/java/locale/LocaleInformation_ru_RU.java,
        gnu/java/locale/LocaleInformation_ru_UA.java,
        gnu/java/locale/LocaleInformation_sk_SK.java,
        gnu/java/locale/LocaleInformation_sq_AL.java,
        gnu/java/locale/LocaleInformation_sv_FI.java,
        gnu/java/locale/LocaleInformation_sv_SE.java,
        gnu/java/locale/LocaleInformation_ta_IN.java,
        gnu/java/locale/LocaleInformation_te_IN.java,
        gnu/java/locale/LocaleInformation_tr_TR.java,
        gnu/java/locale/LocaleInformation_uk_UA.java:
        Updated to match by gnu.localegen generated locales more.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/classpath/.cvsignore,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.am,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/jcl.c,
	libraries/clib/awt/classpath-gtk/classpath/jcl.h,
	libraries/clib/awt/classpath-gtk/classpath/jnilink.c,
	libraries/clib/awt/classpath-gtk/classpath/jnilink.h,
	libraries/clib/awt/classpath-gtk/classpath/native_state.c,
	libraries/clib/awt/classpath-gtk/classpath/native_state.h,
	libraries/clib/awt/classpath-gtk/classpath/primlib.c,
	libraries/clib/awt/classpath-gtk/classpath/primlib.h:
	Removed.

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,	
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkImage.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkImagePainter.java,
	libraries/javalib/java/applet/Applet.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/image/MemoryImageSource.java:
	Resynced with GNU Classpath.
	
	2004-12-01  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics.java (drawImage variants):
        Update image observer.
        * gnu/java/awt/peer/gtk/GtkComponentPeer.java (createImage):
        Start image production.
        * gnu/java/awt/peer/gtk/GtkFramePeer.java (setMenuBar): Protect
        against negative menu bar widths.
        (setBounds): Likewise.
        (postConfigureEvent): Likewise.
        * gnu/java/awt/peer/gtk/GtkImage.java (imageComplete): Don't
        remove consumer unless only a single frame has completed.
        * gnu/java/awt/peer/gtk/GtkImagePainter.java (GtkImagePainter):
        Add observer parameter.
        (setPixels): Update image observer.
        (imageComplete): Likewise.
        * java/applet/Applet.java (width): New field.
        (height): Likewise.
        (setStub): Set size if width or height field has been set.
        (resize): If stub is null save width and height values.
        * java/awt/Component.java (reshape): Protect against null
        parent.
        * java/awt/image/MemoryImageSource.java
        (MemoryImageSource(int,int,ColorModel,byte[],int,int)):
        Document.
        (MemoryImageSource(int,int,ColorModel,int[],int,int)):
        Likewise.
        (MemoryImageSource(int,int,ColorModel,byte[],int,int,Hashtable)):
        Reference pixel array directly, rather than creating a local
        copy.
        (MemoryImageSource(int,int,ColorModel,int[],int,int,Hashtable)):
        Likewise.
        (newPixels(int,int,int,int)): Fix for loop and array copy
        bounds.
        (newPixels(int,int,int,int,boolean)): Likewise.
        (startProduction): If animated call imageComplete with
        SINGLEFRAME.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c: Uncomment
        gdk_flush lines.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c
        (drawPixels): Return if g is null or g->drawable is not a gdk
        drawable.

2004-12-03  Guilhem Lavaux  <guilhem@kaffe.org>

	* libraries/javalib/java/io/ObjectInputStream.java
	(newObject): Check for the existence of the constructor and whether
	it is private explicitly.

	* libraries/clib/io/ObjectInputStream.c: Removed.

	* libraries/clib/io/java_io_ObjectInputStream.c, 
	libraries/clib/io/java_io_VMObjectStreamClass.c: 
	Imported from GNU Classpath.

	* libraries/clib/io/Makefile.am: Removed ObjectInputStream.c
	and added java_io_ObjectInputStream.c and
	java_io_VMObjectStreamClass.c.

	* libraries/clib/io/Makefile.in: Regenerated.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/javax/swing/JTree.java:
        Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JTree.java
        (ANCHOR_SELECTION_PATH_PROPERTY): Added @since tag.
        (LEAD_SELECTION_PATH_PROPERTY): Likewise.
        (EXPANDS_SELECTED_PATHS_PROPERTY): Likewise.
        (EXPANDED): New constant.
        (COLLAPSED): Likewise.
        (nodeStates): New field.
        (cellEditor): New method.
        (cellRenderer): Likewise.
        (selectionModel): Likewise.
        (treeModel): Likewise.
        (scrollPathToVisible): Likewise.
        (scrollRowToVisible): Likewise.
        (isCollapsed): Likewise.
        (isExpanded): Likewise.
        (clearToggledPaths): Likewise.
        (getDescendantToggledPaths): Likewise.
        (hasBeenExpanded): Likewise.
        (isVisible): Likewise.
        (isPathEditable): Likewise.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JLayeredPane.java:
        Resynced with GNU Classpath.

	2004-12-01  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JLayeredPane.java: Reformatted.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/ObjectOutputStream.java,
	libraries/javalib/java/io/ObjectStreamClass.java:
	Resynced with GNU Classpath.

	2004-12-01  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/ObjectOutputStream.java
	(writeObject, callWriteMethod): Replaced reflection with accessing
	cached info in ObjectStreamClass.
	(getMethod): Removed.
	* java/io/ObjectStreamClass.java
	(findMethod): Added check to make sure the method found has the
	right modifiers.
	(cacheMethods): Added writeReplace and writeObject methods.
	(setFlags): Look at new writeObjectMethod field instead of doing
	reflection again.
	(writeReplaceMethod): New field.
	(writeObjectMethod): New field.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/inet/ftp/ActiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/BlockInputStream.java,
	libraries/javalib/gnu/inet/ftp/BlockOutputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedInputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedOutputStream.java,
	libraries/javalib/gnu/inet/ftp/DTP.java,
	libraries/javalib/gnu/inet/ftp/DTPInputStream.java,
	libraries/javalib/gnu/inet/ftp/DTPOutputStream.java,
	libraries/javalib/gnu/inet/ftp/FTPConnection.java,
	libraries/javalib/gnu/inet/ftp/FTPException.java,
	libraries/javalib/gnu/inet/ftp/FTPResponse.java,
	libraries/javalib/gnu/inet/ftp/FTPURLConnection.java,
	libraries/javalib/gnu/inet/ftp/Handler.java,
	libraries/javalib/gnu/inet/ftp/PassiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/StreamInputStream.java,
	libraries/javalib/gnu/inet/ftp/StreamOutputStream.java,
	libraries/javalib/gnu/inet/ftp/package.html:
	Removed due to inetlib's ftp handler being merged into GNU Classpath.

        * libraries/javalib/gnu/inet/http/Authenticator.java,
        libraries/javalib/gnu/inet/http/ByteArrayRequestBodyWriter.java,
        libraries/javalib/gnu/inet/http/ByteArrayResponseBodyReader.java,
        libraries/javalib/gnu/inet/http/ChunkedInputStream.java,
        libraries/javalib/gnu/inet/http/Cookie.java,
        libraries/javalib/gnu/inet/http/CookieManager.java,
        libraries/javalib/gnu/inet/http/Credentials.java,
        libraries/javalib/gnu/inet/http/HTTPConnection.java,
        libraries/javalib/gnu/inet/http/HTTPDateFormat.java,
        libraries/javalib/gnu/inet/http/HTTPURLConnection.java,
        libraries/javalib/gnu/inet/http/Handler.java,
        libraries/javalib/gnu/inet/http/Headers.java,
        libraries/javalib/gnu/inet/http/Request.java,
        libraries/javalib/gnu/inet/http/RequestBodyWriter.java,
        libraries/javalib/gnu/inet/http/Response.java,
        libraries/javalib/gnu/inet/http/ResponseBodyReader.java,
        libraries/javalib/gnu/inet/http/ResponseHeaderHandler.java,
        libraries/javalib/gnu/inet/http/SimpleCookieManager.java,
        libraries/javalib/gnu/inet/http/package.html,
        libraries/javalib/gnu/inet/http/event/ConnectionEvent.java,
        libraries/javalib/gnu/inet/http/event/ConnectionListener.java,
        libraries/javalib/gnu/inet/http/event/RequestEvent.java,
        libraries/javalib/gnu/inet/http/event/RequestListener.java:
        Removed due to inetlib's http handler being merged into GNU Classpath.

        * libraries/javalib/gnu/inet/https/Handler.java:
	Use GNU Classpath's merged in http handler.

        * libraries/javalib/gnu/java/net/BASE64.java,
        libraries/javalib/gnu/java/net/CRLFInputStream.java,
        libraries/javalib/gnu/java/net/CRLFOutputStream.java,
        libraries/javalib/gnu/java/net/EmptyX509TrustManager.java,
        libraries/javalib/gnu/java/net/GetLocalHostAction.java,
        libraries/javalib/gnu/java/net/GetSystemPropertyAction.java,
        libraries/javalib/gnu/java/net/LineInputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/ActiveModeDTP.java,
	libraries/javalib/gnu/java/net/protocol/ftp/BlockInputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/BlockOutputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/CompressedInputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/CompressedOutputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/DTP.java,
	libraries/javalib/gnu/java/net/protocol/ftp/DTPInputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/DTPOutputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/FTPConnection.java,
	libraries/javalib/gnu/java/net/protocol/ftp/FTPException.java,
	libraries/javalib/gnu/java/net/protocol/ftp/FTPResponse.java,
	libraries/javalib/gnu/java/net/protocol/ftp/FTPURLConnection.java,
	libraries/javalib/gnu/java/net/protocol/ftp/Handler.java,
	libraries/javalib/gnu/java/net/protocol/ftp/PassiveModeDTP.java,
	libraries/javalib/gnu/java/net/protocol/ftp/StreamInputStream.java,
	libraries/javalib/gnu/java/net/protocol/ftp/StreamOutputStream.java:
        libraries/javalib/gnu/java/net/protocol/http/Authenticator.java,
        libraries/javalib/gnu/java/net/protocol/http/ByteArrayRequestBodyWriter.java,
        libraries/javalib/gnu/java/net/protocol/http/ByteArrayResponseBodyReader.java,
        libraries/javalib/gnu/java/net/protocol/http/ChunkedInputStream.java,
        libraries/javalib/gnu/java/net/protocol/http/Connection.java,
        libraries/javalib/gnu/java/net/protocol/http/Cookie.java,
        libraries/javalib/gnu/java/net/protocol/http/CookieManager.java,
        libraries/javalib/gnu/java/net/protocol/http/Credentials.java,
        libraries/javalib/gnu/java/net/protocol/http/HTTPConnection.java,
        libraries/javalib/gnu/java/net/protocol/http/HTTPDateFormat.java,
        libraries/javalib/gnu/java/net/protocol/http/HTTPURLConnection.java,
        libraries/javalib/gnu/java/net/protocol/http/Handler.java,
        libraries/javalib/gnu/java/net/protocol/http/Headers.java,
        libraries/javalib/gnu/java/net/protocol/http/Request.java,
        libraries/javalib/gnu/java/net/protocol/http/RequestBodyWriter.java,
        libraries/javalib/gnu/java/net/protocol/http/Response.java,
        libraries/javalib/gnu/java/net/protocol/http/ResponseBodyReader.java,
        libraries/javalib/gnu/java/net/protocol/http/ResponseHeaderHandler.java,
        libraries/javalib/gnu/java/net/protocol/http/SimpleCookieManager.java,
        libraries/javalib/gnu/java/net/protocol/http/event/ConnectionEvent.java,
        libraries/javalib/gnu/java/net/protocol/http/event/ConnectionListener.java,
        libraries/javalib/gnu/java/net/protocol/http/event/RequestEvent.java,
        libraries/javalib/gnu/java/net/protocol/http/event/RequestListener.java,
	Resynced with GNU Classpath.

	2004-12-01  Chris Burdess  <dog@gnu.org>

	* gnu/java/net/protocol/http/HTTPURLConnection.java:
	HTTPURLConnection now returns Lists as getHeaderFields() values.

	2004-11-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/BASE64.java,
	gnu/java/net/CRLFInputStream.java,
	gnu/java/net/CRLFOutputStream.java,
	gnu/java/net/EmptyX509TrustManager.java,
	gnu/java/net/GetLocalHostAction.java,
	gnu/java/net/GetSystemPropertyAction.java,
	gnu/java/net/LineInputStream.java,
	gnu/java/net/protocol/http/Authenticator.java,
	gnu/java/net/protocol/http/ByteArrayRequestBodyWriter.java,
	gnu/java/net/protocol/http/ByteArrayResponseBodyReader.java,
	gnu/java/net/protocol/http/ChunkedInputStream.java,
	gnu/java/net/protocol/http/Cookie.java,
	gnu/java/net/protocol/http/CookieManager.java,
	gnu/java/net/protocol/http/Credentials.java,
	gnu/java/net/protocol/http/HTTPConnection.java,
	gnu/java/net/protocol/http/HTTPDateFormat.java,
	gnu/java/net/protocol/http/HTTPURLConnection.java,
	gnu/java/net/protocol/http/Headers.java,
	gnu/java/net/protocol/http/Request.java,
	gnu/java/net/protocol/http/RequestBodyWriter.java,
	gnu/java/net/protocol/http/Response.java,
	gnu/java/net/protocol/http/ResponseBodyReader.java,
	gnu/java/net/protocol/http/ResponseHeaderHandler.java,
	gnu/java/net/protocol/http/SimpleCookieManager.java,
	gnu/java/net/protocol/http/event/ConnectionEvent.java,
	gnu/java/net/protocol/http/event/ConnectionListener.java,
	gnu/java/net/protocol/http/event/RequestEvent.java,
	gnu/java/net/protocol/http/event/RequestListener.java:
	New files
	* gnu/java/net/protocol/http/Connection.java:
	gnu/java/net/protocol/http/TODO: Removed
	* gnu/java/net/protocol/http/Handler.java: Updated.
	Merged HTTP protocol implementation from GNU inetlib.

	2004-11-30  Michael Koch  <konqueror@gmx.de>

	* gnu/java/net/protocol/ftp/ActiveModeDTP.java,
	gnu/java/net/protocol/ftp/BlockInputStream.java,
	gnu/java/net/protocol/ftp/BlockOutputStream.java,
	gnu/java/net/protocol/ftp/CompressedInputStream.java,
	gnu/java/net/protocol/ftp/CompressedOutputStream.java,
	gnu/java/net/protocol/ftp/DTP.java,
	gnu/java/net/protocol/ftp/DTPInputStream.java,
	gnu/java/net/protocol/ftp/DTPOutputStream.java,
	gnu/java/net/protocol/ftp/FTPConnection.java,
	gnu/java/net/protocol/ftp/FTPException.java,
	gnu/java/net/protocol/ftp/FTPResponse.java,
	gnu/java/net/protocol/ftp/FTPURLConnection.java,
	gnu/java/net/protocol/ftp/Handler.java,
	gnu/java/net/protocol/ftp/PassiveModeDTP.java,
	gnu/java/net/protocol/ftp/StreamInputStream.java,
	gnu/java/net/protocol/ftp/StreamOutputStream.java:
	New files. Merged from GNU inetlib.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/tree/DefaultMutableTreeNode.java,
	libraries/javalib/javax/swing/tree/MutableTreeNode.java:
        Resynced with GNU Classpath.

	2004-11-30  Michael Koch  <konqueror@gmx.de>

	* javax/swing/tree/DefaultMutableTreeNode.java:
	Completely Revised.
	* javax/swing/tree/MutableTreeNode.java:
	Reformatted.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JFormattedTextField.java:
        Resynced with GNU Classpath.

	2004-11-30  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JFormattedTextField.java
	(setDocument): Call setDocument of super class. Don't fire property
	change event.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java:
        Resynced with GNU Classpath.

	2004-11-28  Michael Koch  <konqueror@gmx.de>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java: Fix typo.

	2004-11-27  Sven de Marothy  <sven@physto.se>

	* gnu/java/awt/peer/gtk/GdkGraphics2D.java
        Reformatted.
        (drawRaster): Added FIXME.
        (drawRaster): Changed to work with packed-sample models.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JList.java,
	libraries/javalib/javax/swing/JTree.java:
        Resynced with GNU Classpath.

	2004-11-26  Michael Koch  <konqueror@gmx.de>

	* javax/swing/JList.java, javax/swing/JTree.java:
	Added much new methods and fixed much methods setting bound properties.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java:
        Resynced with GNU Classpath.

	2004-11-26  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/peer/gtk/GdkGraphics2D.java
        (drawRaster): Set alpha component to opaque if image has no alpha
	
2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/File.java,
	libraries/javalib/java/io/VMFile.java:
        Resynced with GNU Classpath.

	2004-11-26  Jeroen Frijters  <jeroen@frijters.net>

	* java/io/File.java
	(canWrite): Moved directory write test to VMFile.
	* vm/reference/java/io/VMFile.java
	(canWriteDirectory): New method.

2004-12-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/MultiPixelPackedSampleModel.java:
        Resynced with GNU Classpath.

	2004-11-25  Sven de Marothy  <sven@physto.se>

	* java/awt/image/MultiPixelPackedSampleModel.java
	(MultiPixelPackedSampleModel): Corrected parameters, order of bit 
	shifts and masks, stride length off by one.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/IndexColorModel.java:
        Resynced with GNU Classpath.

	2004-11-25  Sven de Marothy  <sven@physto.se>

        * java/awt/image/IndexColorModel.java
        (IndexColorModel): Add FIXME with respect to alpha handling.
        (getAlpha): Default to returning opaque pixels.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Button.java,
	libraries/javalib/java/awt/Checkbox.java,
	libraries/javalib/java/awt/Choice.java,
	libraries/javalib/java/awt/Menu.java,
	libraries/javalib/java/awt/MenuItem.java,
	libraries/javalib/java/awt/PopupMenu.java,
	libraries/javalib/java/awt/TextArea.java,
	libraries/javalib/java/awt/TextComponent.java,
	libraries/javalib/java/awt/TextField.java:
	Resynced with GNU Classpath.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Menu.java (AccessibleAWTMenu
        getAccessibleContext): Implement.
        * java/awt/PopupMenu.java (AccessibleAWTPopupMenu
        getAccessibleContext): Implement.
        * java/awt/TextComponent.java (AccessibleAWTTextComponent
        getAccessibleContext): Implement.
        (TextComponent): Extends Accessible.
        (getIndexAtPoint, getCharacterBounds): New methods.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Button.java
        (AccessibleAWTButton.getAccessibleActionDescription): Explain the
        source of 'click'.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Checkbox.java: Remove stub comments.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Button.java
        (AccessibleAWTButton.getAccessibleActionDescription): Return
        'click'.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Checkbox.java (AccessibleAWTCheckBox): Remove todo
        comments.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Checkbox.java (itemStateChanged): Implement function.
        (getAccessibleContext): Add AccessibleAWTCheckBox to item listeners.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/TextArea.java (AccessibleAWTTextArea,
        getAccessibleContext): Implement.
        * java/awt/TextField.java (AccessibleAWTTextField,
        getAccessibleContext): Implement.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Checkbox.java (AccessibleAWTCheckBox): Implement.
        (getAccessibleContext): Implement.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/MenuItem.java (AccessibleAWTMenuItem): Implement.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/Choice.java (AccessibleAWTChoice): Implement.

	2004-11-23 Jerry Quinn <jlquinn@optonline.net>

        * java/awt/MenuItem.java (AccessibleAWTMenuItem): Implement.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/DefaultSingleSelectionModel.java,
	libraries/javalib/javax/swing/JPasswordField.java,
	libraries/javalib/javax/swing/tree/AbstractLayoutCache.java:
        Resynced with GNU Classpath.

	2004-11-23  Michael Koch  <konqueror@gmx.de>

        * javax/swing/DefaultSingleSelectionModel.java,
        javax/swing/JPasswordField.java,
        javax/swing/tree/AbstractLayoutCache.java:
        Reformatted and javadocs cleaned up.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/nio/channels/spi/AbstractSelectableChannel.java:
        Resynced with GNU Classpath.

	2004-11-23  Michael Koch  <konqueror@gmx.de>

        * java/nio/channels/spi/AbstractSelectableChannel.java
        (register): Only reuse valid selection keys.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/NIOServerSocket.java:
        Resynced with GNU Classpath.

	2004-11-23  Michael Koch  <konqueror@gmx.de>

        * gnu/java/nio/NIOServerSocket.java
        (getPlainSocketImpl): Removed debug code.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Component.java,
	libraries/javalib/javax/swing/text/JTextComponent.java:
	Resynced with GNU Classpath.

	2004-11-23  Michael Koch  <konqueror@gmx.de>

        * java/awt/Component.java:
        Fixed argument names to match javadocs.
        (setFont): Rewritten set property first and then fire event.
        (setLocale): Likewise.
        * javax/swing/text/JTextComponent.java
        (setEditable): Likewise.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/zip/InflaterInputStream.java:
	Resynced with GNU Classpath.

	2004-11-23  Michael Koch  <konqueror@gmx.de>

        * java/util/zip/InflaterInputStream.java
        (onebytebuffer): Little reformatting to match libgcj's version.
        (read): Likewise.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* include/Makefile.am:
	Removed gnu_java_nio_NIOServerSocket.h.

	* libraries/clib/nio/Makefile.am:
	Removed NIOServerSocket.c.

	* include/Makefile.in,
	libltdl/configure,
	libraries/clib/nio/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in:
	Regenerated.

	* libraries/clib/nio/DirectByteBufferImpl.c,
	libraries/clib/nio/NIOServerSocket.c:
	Removed.

	* libraries/javalib/gnu/java/nio/NIOServerSocket.java:
	Resynced with GNU Classpath.

	2004-11-23  Michael Koch  <konqueror@gmx.de>

        * gnu/java/nio/NIOServerSocket.java
        (getPlainSocketImpl): Implemented in java with reflection.
        * include/gnu_java_nio_NIOServerSocket.h,
        native/jni/java-nio/gnu_java_nio_NIOServerSocket.c: Removed.
        * include/Makefile.am:
        Don't generate include/gnu_java_nio_NIOServerSocket.h.
        * native/jni/java-nio/Makefile.am:
        Don't build native/jni/java-nio/gnu_java_nio_NIOServerSocket.c.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/SocketChannelImpl.java:
        Resynced with GNU Classpath.

	2004-11-22  Michael Koch  <konqueror@gmx.de>

        * gnu/java/nio/SocketChannelImpl.java
        (read): Made check for blocking un-ambiguous.
        Removed wrong check for data array length.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/SocketChannelImpl.java,
	libraries/javalib/java/nio/channels/SocketChannel.java:
        Resynced with GNU Classpath.

	2004-11-21  Michael Koch  <konqueror@gmx.de>

	* gnu/java/nio/SocketChannelImpl.java
	(read): Only return 0 when no bytes for reading available in
	non-blocking mode.
	* java/nio/channels/SocketChannel.java:
	Added some missing @return tags.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/beans/PropertyChangeSupport.java,
	libraries/javalib/java/beans/VetoableChangeSupport.java:
        Resynced with GNU Classpath.

	2004-11-21  Michael Koch  <konqueror@gmx.de>

	* java/beans/PropertyChangeSupport.java
	(propertyChangeSupportSerializedDataVersion): Made static.
	* java/beans/VetoableChangeSupport.java
	(propertyChangeSupportSerializedDataVersion): Likewise.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/CardLayout.java,
	libraries/javalib/java/awt/event/InputEvent.java,
	libraries/javalib/java/awt/image/RGBImageFilter.java:
        Resynced with GNU Classpath.

	2004-11-21  Michael Koch  <konqueror@gmx.de>

	* java/awt/CardLayout.java:
	Made some constants static.
	(serialVersionUID): Made private.
	(addLayoutComponent): Simplified code.
	* java/awt/event/InputEvent.java
	(getModifiersEx): Added missing @param tag.
	* java/awt/image/RGBImageFilter.java
	(filterRGBPixels): Reformatted, removed wrong @param tag.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URLConnection.java:
        Resynced with GNU Classpath.

	2004-11-21  Michael Koch  <konqueror@gmx.de>

	* java/net/URLConnection.java
	(getContent): Added missing @return tag.

2004-12-02  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/text/FieldView.java,
	libraries/javalib/javax/swing/text/JTextComponent.java:
	Resynced with GNU Classpath.

	2004-11-21  Michael Koch  <konqueror@gmx.de>

	* javax/swing/text/FieldView.java,
	javax/swing/text/JTextComponent.java:
	Removed debug code.

2004-12-01  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/classpath/Makefile.am:
	Removed primlib.c and primlib.h as they are not used anywhere,
	and break compilation to static libraries.

	* libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/classpath/Makefile.in:
	Regenerated.

	* libraries/clib/classpath/primlib.c,
	libraries/clib/classpath/primlib.h:
	Removed.

	Reported by:  Peter Naulls <peter@chocky.org>

2004-12-01  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.

	* libraries/javalib/bootstrap.classlist:
	Added missing classes for bootstrap with kjc.

2004-11-29  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac:
	Moved classpath library up to clib.

	* include/Makefile.am:
	Adapted for java_nio_VMDirectByteBuffer.java.

	* include/kaffe/jni_md.h.in,
	kaffe/kaffeh/support.c,
	kaffe/kaffevm/classMethod.h,
	kaffe/kaffevm/constants.c,
	kaffe/kaffevm/gtypes.h,
	kaffe/xprof/memorySamples.c:
	Replaced SIZE_OF_VOIDP with SIZEOF_VOID_P.

	* libraries/clib/Makefile.am:
	Added classpath subdir.

	* libraries/clib/awt/classpath-gtk/Makefile.am:
	Removed classpath subdir.

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	Link to classpath library.

	* libraries/clib/classpath/.cvsignore,
	libraries/clib/classpath/Makefile.am,
	libraries/clib/classpath/Makefile.in,
	libraries/clib/classpath/jcl.c,
	libraries/clib/classpath/jcl.h,
	libraries/clib/classpath/jnilink.c,
	libraries/clib/classpath/jnilink.h,
	libraries/clib/classpath/native_state.c,
	libraries/clib/classpath/native_state.h,
	libraries/clib/classpath/primlib.c,
	libraries/clib/classpath/primlib.h:
	Moved over from libraries/clib/awt/classpath-gtk.

	* libraries/clib/nio/Makefile.am:
	Added java_nio_VMDirectByteBuffer.c.

	* configure,
	config/config.h.in,
	include/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/javalib/Klasses.jar.bootstrap,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files,
	libraries/javalib/bootstrap.classlist:
	Regenerated.

	* libraries/clib/nio/java_nio_VMDirectByteBuffer.c,
	libraries/javalib/gnu/classpath/RawData.java,
	libraries/javalib/gnu/classpath/RawData32.java,
	libraries/javalib/gnu/classpath/RawData64.java,
	libraries/javalib/java/nio/DirectByteBufferImpl.java,
	libraries/javalib/java/nio/MappedByteBufferImpl.java,
	libraries/javalib/java/nio/VMDirectByteBuffer.java:
	Resynced with GNU Classpath.

	2004-11-21  Jeroen Frijters  <jeroen@frijters.net>

        * java/nio/DirectByteBufferImpl.java
        (ReadOnly): New inner subclass.
        (ReadWrite): New inner subclass.
        (owner): Made final and private.
        (address): Made final.
        (DirectByteBufferImpl(int)): New constructor.
        (DirectByteBufferImpl(Object,RawData,int,int,int)): New constructor.
        (DirectByteBufferImpl(Object,RawData,int,int,int,boolean)): Removed.
        (allocate): Modified to instantiate ReadWrite subclass.
        (finalize): Fixed to only free the buffer, if we own it.
        (put): Removed read-only check.
        (slice, duplicate): Modified to instantiate appropriate subclass.
        (isReadOnly): Removed.
        * java/nio/MappedByteBufferImpl.java
        (slice, duplicate): Modified to instantiate appropriate
        DirectByteBufferImpl subclass.

	2004-11-21  Michael Koch  <konqueror@gmx.de>

